%%projecttitle%%

Ariad Interface Components 1.3

Version: | 1.3.144
Component Filename: | AS-IFce1.ocx
Component GUID: | {FBC672E3-F04D-11D2-AFA5-E82C878FD532}

asxBars (Control)

asxButtonStrip (Control)

asxFontLabel (Control)

asxGenericContainer (Control)

asxLabel (Control)

asxLineHeaderEx (Control)

asxMenuEvent (Control)

asxPager (Control)

asxPanel (Control)

asxPowerBanner (Control)

asxPowerButton (Control)

asxStatusBar (Control)

asxSysButton (Control)

asxToolbar (Control)

asxToolbox (Control)

asxToolButton (Control)


%%localitemtitle%%

asxBars control
Description

The asxBars control can be used to add visual effects to an application. It is also a container control, so you can host other controls, for example images containing company logos, within the control, regardless of it they have a hWnd property or not.

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a Bars control

Properties
BackColor | Read-write property | Returns or sets the background color of a Bars control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a Bars control is transparent or opaque.
Enabled | Read-write property | Returns or sets a value that determines whether a Bars control can respond to user-generated events.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Bars control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Bars control.
hWnd | Read-only property | Returns a handle to a Bars control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Bars control.
Orientation | Read-write property | Returns or sets a value that determines the orientation (horizontal or vertical) of a Bars control.
ShadowColor | Read-write property | Returns or sets the shadow color of a Bars control.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click | Occurs when the user presses and then releases a mouse button over a Bars control
DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Bars control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user moves the mouse.
MouseUp | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button


%%localitemtitle%%

About method (asxBars)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.


%%localitemtitle%%

Refresh method (asxBars)

Description

Forces a complete repaint of a Bars control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.


%%localitemtitle%%

BackColor property (asxBars)

Description

Returns or sets the background color of a Bars control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxBars)

Description

Returns or sets a value indicating whether the background of a Bars control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

Enabled property (asxBars)

Description

Returns or sets a value that determines whether a Bars control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxBars)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Bars control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.


%%localitemtitle%%

HighlightColor property (asxBars)

Description

Returns or sets the highlight color of a Bars control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxBars)

Description

Returns a handle to a Bars control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.


%%localitemtitle%%

MouseIcon property (asxBars)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxBars)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Bars control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Orientation property (asxBars)

Description

Returns or sets a value that determines the orientation (horizontal or vertical) of a Bars control.

Property type

An IFCOrientations enumeration.

Syntax

object.Orientation [= value]

The Orientation Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
value | An IFCOrientations enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcoHorizontal | 0 | (Default) Drawn objects are positioned horizontally.
ifcoVertical | 1 | Drawn objects are positioned vertically.


%%localitemtitle%%

ShadowColor property (asxBars)

Description

Returns or sets the shadow color of a Bars control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Version property (asxBars)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxBars.
value | A String value.


%%localitemtitle%%

Click event (asxBars)

Description

Occurs when the user presses and then releases a mouse button over a Bars control

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxBars object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxBars)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Bars control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxBars object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxBars)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxBars object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxBars)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxBars object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxBars)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxBars object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxButtonStrip control
Description

The asxButtonStrip control is similar in design to the Outlook Bar featured in many Microsoft products. It allows you to define pages (or views) and attach buttons to these pages, complete with caption text and various image states.

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
AddButton | Adds a new button to the current page in a ButtonStrip control, using default values
AddButtonEx | Adds a new button to any page in a ButtonStrip control, allowing you to set most properties at the same time
AddPage | Adds a new page to the ButtonStrip control, using default properties
AddPageEx | Adds a new page to a ButtonStrip control, allowing to you set most properties at the same time
ButtonKeyToIndex | Returns the index of a button identified by it's key
Clear | Clears all object froms the control
DeleteButton | Deletes a button from the specified page in a ButtonStrip control
DeletePage | Deletes a page from the ButtonStrip control, and all buttons the page contains
EnsureVisible | Ensures the selected button on the current page is visible, by scolling the page area.
EnsureVisibleEx | Ensures that the specified button will be visible in a ButtonStrip control, either by scrolling up or down, changing the current page, or both.
ForceClick | Forces a ButtonClick() event to be raised for the selected button
GetNextButtonIndex | Returns the index of the next button for a page in a ButtonStrip control
GetNextPageIndex | Returns the index of the next page in a ButtonStrip control
GetPreviousButtonIndex | Returns the idnex of the previous button for a page in a ButtonStrip control
GetPreviousPageIndex | Returns the index of the previous page in a ButtonStrip control
IsOverButton | Returns the index number of the button situated within the specfied values
IsOverPage | Returns the index number of the page situated within the specfied value
PageKeyToIndex | Returns the index of a page identified by it's key
Refresh | Forces a complete repaint of a ButtonStrip control
RefreshButton | Forces a complete repaint of a visible button in a ButtonStrip control
RefreshButtonEx | Forces a complete repaint of any visible button in a ButtonStrip control
RefreshButtons | Forces a complete repaint of all visible buttons in a ButtonStrip control
RefreshPage | Forces a complete repaint of a visible page in a ButtonStrip control
RefreshPages | Forces a complete repaint of all visible pages in a ButtonStrip control
RenameButton Displays an edit field over the specified button, allowing the user to rename the page.

Notes:
You cannot rename a button which is located on a hidden page, but you can rename a button on a disabled page.
If the specified button is currently hidden, either because it is on a different page, or because it is currently offscreen, the button will be automatically displayed.
RenamePage Displays an edit field over the specified page, allowing the user to rename the page.

Notes:
You cannot rename a page which is hidden, but you can rename a disabled page.
SwapButton | Swaps one button with another on the same page in a ButtonStrip control
SwapPage | Swaps one page with another

Properties
BackColor | Read-write property | Returns or sets the background color of a ButtonStrip control.
BorderStyle | Read-write property | Returns or sets the border style of a ButtonStrip control
ButtonCaption | Read-write property | Returns or sets the caption of a button in a ButtonStrip control
ButtonCount | Read-only property | Returns the total number of buttons on the specified page in a ButtonStrip control
ButtonDisabledTextColor | Read-write property | Returns or sets the disabled text colour of a button in a ButtonStrip control
ButtonEnabled | Read-write property | Returns or sets a value that determines whether an individual button in a ButtonStrip control can respond to user-generated events.
ButtonFont | Read-write property | Returns or sets the font used by buttons in a ButtonStrip control
ButtonFontBold | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonFontItalic | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonFontName | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonFontSize | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonFontStrikethru | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonFontUnderline | Read-write property | Returns or sets the font used to display text in a ButtonStrip control button
ButtonGap | Read-write property | Returns or sets the gap between buttons on a page.
ButtonHighlightColor | Read-write property | Returns or sets the highlight drawing color of a button in a ButtonStrip control.
ButtonKey | Read-write property | Returns or sets the key of a button in a ButtonStrip control
ButtonMaskColor | Read-write property | Returns or sets a color in a button’s picture to be a “mask” (that is, transparent).
ButtonMouseIcon | Read-write property | Returns or sets a custom mouse icon.
ButtonMousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a button containing in a ButtonStrip control.
ButtonPicture | Read-write property | Returns or sets the picture of a button in a ButtonStrip control
ButtonPictureDown | Read-write property | Returns or sets the picture of a button in a ButtonStrip control use when the button is pressed
ButtonPictureOver | Read-write property | Returns or sets the picture of a button in a ButtonStrip control used when the button is highlighted
ButtonShadowColor | Read-write property | Returns or sets the shadow drawing color of a button in a ButtonStrip control.
ButtonTag | Read-write property | Returns or sets the Tag of a button in a ButtonStrip control
ButtonTextColor | Read-write property | Returns or sets the text colour of a button in a ButtonStrip control
ButtonToolTipText | Read-write property | Returns or sets the ToolTip text of a button in a ButtonStrip control
ButtonUseMaskColor | Read-write property | Returns or sets if a button uses the ButtonMaskColor property to create transparent bitmaps.
ClientButtonHeight | Read-only property | Returns the height of a button in a ButtonStrip control
ClientHeight | Read-only property | Returns the height of the internal button scrolling area in a ButtonStrip control
CurrentButton | Read-write property | Returns or sets the current button of any page in a ButtonStrip control
CurrentPage | Read-write property | Returns or sets the current page in a ButtonStrip control
Enabled | Read-write property | Returns or sets a value that determines whether a ButtonStrip control can respond to user-generated events.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a ButtonStrip control.
hDCButtons | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of the buttons are of a ButtonStrip control.
hDCScroll | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of the scrolling area of a ButtonStrip control.
hWnd | Read-only property | Returns a handle to a ButtonStrip control
hWndButtons | Read-only property | Returns a handle to the buttons are of a ButtonStrip control
hWndScroll | Read-only property | Returns a handle to the scrolling area of a ButtonStrip control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ButtonStrip control.
PageCaption | Read-write property | Returns or sets the caption of a page header button in a ButtonStrip control
PageCount | Read-only property | Returns the total number of pages in a ButtonStrip control
PageDisabledTextColor | Read-write property | Returns or sets the disabled text color of pages contained in a ButtonStrip control.
PageEnabled | Read-write property | Returns or sets a value that determines whether an individual page in a ButtonStrip control can respond to user-generated events.
PageFont | Read-write property | Returns or sets the font used by page button headers in a ButtonStrip control
PageFontBold | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageFontItalic | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageFontName | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageFontSize | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageFontStrikethru | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageFontUnderline | Read-write property | Returns or sets the font used to display text in a ButtonStrip control page header button
PageHeight | Read-write property | Returns or sets the height of each page within a ButtonStrip control
PageHighlightTextColor | Read-write property | Returns or sets the text color of highlighted pages contained in a ButtonStrip control.
PageItemsStayDownWithClick | Read-write property | Returns or sets if buttons on a page stay pressed when they are selected
PageKey | Read-write property | Returns or sets the key of a page header button in a ButtonStrip control
PageTag | Read-write property | Returns or sets an expression that stores any extra data needed for your program. Unlike other properties, the value of the Tag property isn't used by Visual Basic; you can use this property to identify objects.
PageTextColor | Read-write property | Returns or sets the text color of pages contained in a ButtonStrip control.
PageToolTipText | Read-write property | Returns or sets the ToolTip text of a page header button in a ButtonStrip control
PageVisible | Read-write property | Returns or sets if page header button in a ButtonStrip control is visible
PlaySounds | Read-write property | Returns or sets if sounds are played when buttons or pages in a ButtonStrip control are clicked
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ShowToolTips | Read-write property | Specifies if ToolTips are enabled for the ButtonStrip control
ToolTipFont | Read-write property | Returns or sets the font used by ToolTips
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
ButtonAdded | Occurs when a button is added via the AddButton or AddButtonEx functions.
ButtonClick | Occurs when the user presses and then releases the mouse button over a button on the active page
ButtonDeleted | Occurs when a button is deleted via the DeleteButton function.
ButtonMouseOver | Occurs when the mouse passes over a button on the active page
ButtonRenamed | Occurs when a button is renamed via the use of the RenameButton method
ButtonRightClick | Occurs when the user presses and then releases the right mouse button over a button on the active page
Click | Occurs when the user presses and then releases a mouse button over an area of the ButtonStrip which is neither a button or a page
KeyDown | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyPress | Occurs when the user presses and releases an ANSI key
KeyUp | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
MouseOver | Occurs when the mouse passes over an area of the ButtonStrip which is neither a button or a page header
PageAdded | Occurs when a page is added via the AddPage or AddPageEx functions.
PageChanged | Occurs when the current page is changed
PageClick | Occurs when the user presses and then releases the mouse button over a page header button
PageDeleted | Occurs when a page is deleted via the DeletePage function.
PageMouseOver | Occurs when the mouse passes over a page header button
PageRenamed | Occurs when a page is renamed via the use of the RenamePage method
PageRightClick | Occurs when the user presses and then releases the right mouse button over a page header button
RenameCancelled | Occurs when a renamed operation is cancelled, either because the user pressed Escape, or clicked outside the edit region
RightClick | Occurs when the user presses and then releases the right mouse button over an area of the ButtonStrip which is neither a button or a page
Scroll | Occurs when either of the scroll buttons on a ButtonStrip control are clicked


%%localitemtitle%%

About method (asxButtonStrip)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

AddButton method (asxButtonStrip)

Description

Adds a new button to the current page in a ButtonStrip control, using default values

Return Type

An Integer value.

Syntax

object.AddButton

The AddButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

AddButtonEx method (asxButtonStrip)

Description

Adds a new button to any page in a ButtonStrip control, allowing you to set most properties at the same time

Return Type

An Integer value.

Syntax

object.AddButtonEx (PageIndex, [Caption], [Picture], [MaskColor], [Enabled], [Visible], [UseMaskColor], [PictureDown], [PictureOver], [ToolTipText], [Tag], [Key])

The AddButtonEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Caption | Optional. A String value.
Picture | Optional. A StdPicture object.
MaskColor | Optional. An OLE_COLOR object.
Enabled | Optional. A Boolean value.
Visible | Optional. A Boolean value.
UseMaskColor | Optional. A Boolean value.
PictureDown | Optional. A StdPicture object.
PictureOver | Optional. A StdPicture object.
ToolTipText | Optional. A String value.
Tag | Optional. A String value.
Key | Optional. A String value.


%%localitemtitle%%

AddPage method

Description

Adds a new page to the ButtonStrip control, using default properties

Return Type

An Integer value.

Syntax

object.AddPage

The AddPage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

AddPageEx method

Description

Adds a new page to a ButtonStrip control, allowing to you set most properties at the same time

Return Type

An Integer value.

Syntax

object.AddPageEx ([Caption], [Enabled], [Visible], [ToolTipText], [Tag], [Key])

The AddPageEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Caption | Optional. A String value.
Enabled | Optional. A Boolean value.
Visible | Optional. A Boolean value.
ToolTipText | Optional. A String value.
Tag | Optional. A String value.
Key | Optional. A String value.


%%localitemtitle%%

ButtonKeyToIndex method

Description

Returns the index of a button identified by it's key

Return Type

An Integer value.

Syntax

object.ButtonKeyToIndex (PageIndex, Index)

The ButtonKeyToIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. An Integer value.
Index | Required. A Variant value.


%%localitemtitle%%

Clear method

Description

Clears all object froms the control

Return Type

None

Syntax

object.Clear

The Clear Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

DeleteButton method (asxButtonStrip)

Description

Deletes a button from the specified page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.DeleteButton (PageIndex, Index)

The DeleteButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.


%%localitemtitle%%

DeletePage method

Description

Deletes a page from the ButtonStrip control, and all buttons the page contains

Return Type

An Integer value.

Syntax

object.DeletePage (Index)

The DeletePage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.


%%localitemtitle%%

EnsureVisible method

Description

Ensures the selected button on the current page is visible, by scolling the page area.

Return Type

None

Syntax

object.EnsureVisible

The EnsureVisible Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

EnsureVisibleEx method

Description

Ensures that the specified button will be visible in a ButtonStrip control, either by scrolling up or down, changing the current page, or both.

Return Type

None

Syntax

object.EnsureVisibleEx PageIndex, Index

The EnsureVisibleEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.


%%localitemtitle%%

ForceClick method (asxButtonStrip)

Description

Forces a ButtonClick() event to be raised for the selected button

Return Type

None

Syntax

object.ForceClick

The ForceClick Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

GetNextButtonIndex method

Description

Returns the index of the next button for a page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.GetNextButtonIndex (PageIndex, Index, [AutoRangeFix])

The GetNextButtonIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
AutoRangeFix | Optional. A Boolean value.


%%localitemtitle%%

GetNextPageIndex method

Description

Returns the index of the next page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.GetNextPageIndex (Index, [AutoRangeFix])

The GetNextPageIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
AutoRangeFix | Optional. A Boolean value.


%%localitemtitle%%

GetPreviousButtonIndex method

Description

Returns the idnex of the previous button for a page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.GetPreviousButtonIndex (PageIndex, Index, [AutoRangeFix])

The GetPreviousButtonIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
AutoRangeFix | Optional. A Boolean value.


%%localitemtitle%%

GetPreviousPageIndex method

Description

Returns the index of the previous page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.GetPreviousPageIndex (Index, [AutoRangeFix])

The GetPreviousPageIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
AutoRangeFix | Optional. A Boolean value.


%%localitemtitle%%

IsOverButton method

Description

Returns the index number of the button situated within the specfied values

Return Type

An Integer value.

Syntax

object.IsOverButton (X, Y)

The IsOverButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
X | Required. A Single value.
Y | Required. A Single value.


%%localitemtitle%%

IsOverPage method

Description

Returns the index number of the page situated within the specfied value

Return Type

An Integer value.

Syntax

object.IsOverPage (Y)

The IsOverPage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Y | Required. A Single value.


%%localitemtitle%%

PageKeyToIndex method

Description

Returns the index of a page identified by it's key

Return Type

An Integer value.

Syntax

object.PageKeyToIndex (Index)

The PageKeyToIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.


%%localitemtitle%%

Refresh method (asxButtonStrip)

Description

Forces a complete repaint of a ButtonStrip control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

RefreshButton method (asxButtonStrip)

Description

Forces a complete repaint of a visible button in a ButtonStrip control

Return Type

None

Syntax

object.RefreshButton Index, [IsHighlighted]

The RefreshButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
IsHighlighted | Optional. A Boolean value.


%%localitemtitle%%

RefreshButtonEx method

Description

Forces a complete repaint of any visible button in a ButtonStrip control

Return Type

None

Syntax

object.RefreshButtonEx PageIndex, Index, [IsHighlighted], [IsPushed]

The RefreshButtonEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
IsHighlighted | Optional. A Boolean value.
IsPushed | Optional. A Boolean value.


%%localitemtitle%%

RefreshButtons method

Description

Forces a complete repaint of all visible buttons in a ButtonStrip control

Return Type

None

Syntax

object.RefreshButtons

The RefreshButtons Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

RefreshPage method

Description

Forces a complete repaint of a visible page in a ButtonStrip control

Return Type

None

Syntax

object.RefreshPage Index, [IsHighlighted], [IsPushed]

The RefreshPage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
IsHighlighted | Optional. A Boolean value.
IsPushed | Optional. A Boolean value.


%%localitemtitle%%

RefreshPages method

Description

Forces a complete repaint of all visible pages in a ButtonStrip control

Return Type

None

Syntax

object.RefreshPages

The RefreshPages Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

RenameButton method

Description

Displays an edit field over the specified button, allowing the user to rename the page.

Notes:
You cannot rename a button which is located on a hidden page, but you can rename a button on a disabled page.
If the specified button is currently hidden, either because it is on a different page, or because it is currently offscreen, the button will be automatically displayed.

Return Type

None

Syntax

object.RenameButton PageIndex, Index

The RenameButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. An Integer value.
Index | Required. An Integer value.


%%localitemtitle%%

RenamePage method

Description

Displays an edit field over the specified page, allowing the user to rename the page.

Notes:
You cannot rename a page which is hidden, but you can rename a disabled page.

Return Type

None

Syntax

object.RenamePage PageIndex

The RenamePage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.


%%localitemtitle%%

SwapButton method (asxButtonStrip)

Description

Swaps one button with another on the same page in a ButtonStrip control

Return Type

An Integer value.

Syntax

object.SwapButton (PageIndex, CurIndex, NewIndex)

The SwapButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
CurIndex | Required. A Variant value.
NewIndex | Required. An Integer value.


%%localitemtitle%%

SwapPage method

Description

Swaps one page with another

Return Type

An Integer value.

Syntax

object.SwapPage (CurIndex, NewIndex)

The SwapPage Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
CurIndex | Required. A Variant value.
NewIndex | Required. An Integer value.


%%localitemtitle%%

BackColor property (asxButtonStrip)

Description

Returns or sets the background color of a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderStyle property (asxButtonStrip)

Description

Returns or sets the border style of a ButtonStrip control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

ButtonCaption property (asxButtonStrip)

Description

Returns or sets the caption of a button in a ButtonStrip control

Property type

A String value.

Syntax

object.ButtonCaption(PageIndex, Index) [= value]

The ButtonCaption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonCount property (asxButtonStrip)

Description

Returns the total number of buttons on the specified page in a ButtonStrip control

Property type

An Integer value.

Syntax

object.ButtonCount(Index)

The ButtonCount Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonDisabledTextColor property

Description

Returns or sets the disabled text colour of a button in a ButtonStrip control

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonDisabledTextColor [= OLE_COLOR]

The ButtonDisabledTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonEnabled property (asxButtonStrip)

Description

Returns or sets a value that determines whether an individual button in a ButtonStrip control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.ButtonEnabled(PageIndex, Index) [= value]

The ButtonEnabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonFont property

Description

Returns or sets the font used by buttons in a ButtonStrip control

Property type

A StdFont object.

Syntax

[Set] object.ButtonFont [= StdFont]

The ButtonFont Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
StdFont | A StdFont object.


%%localitemtitle%%

ButtonFontBold property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A Boolean value.

Syntax

object.ButtonFontBold [= value]

The ButtonFontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ButtonFontItalic property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A Boolean value.

Syntax

object.ButtonFontItalic [= value]

The ButtonFontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ButtonFontName property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A String value.

Syntax

object.ButtonFontName [= value]

The ButtonFontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A String value.


%%localitemtitle%%

ButtonFontSize property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A Single value.

Syntax

object.ButtonFontSize [= value]

The ButtonFontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Single value.


%%localitemtitle%%

ButtonFontStrikethru property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A Boolean value.

Syntax

object.ButtonFontStrikethru [= value]

The ButtonFontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ButtonFontUnderline property

Description

Returns or sets the font used to display text in a ButtonStrip control button

Property type

A Boolean value.

Syntax

object.ButtonFontUnderline [= value]

The ButtonFontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ButtonGap property (asxButtonStrip)

Description

Returns or sets the gap between buttons on a page.

Property type

An Integer value.

Syntax

object.ButtonGap [= value]

The ButtonGap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | An Integer value.


%%localitemtitle%%

ButtonHighlightColor property

Description

Returns or sets the highlight drawing color of a button in a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonHighlightColor [= OLE_COLOR]

The ButtonHighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonKey property (asxButtonStrip)

Description

Returns or sets the key of a button in a ButtonStrip control

Property type

A String value.

Syntax

object.ButtonKey(PageIndex, Index) [= value]

The ButtonKey Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonMaskColor property (asxButtonStrip)

Description

Returns or sets a color in a button’s picture to be a “mask” (that is, transparent).

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonMaskColor(PageIndex, Index) [= OLE_COLOR]

The ButtonMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonMouseIcon property

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonMouseIcon [= StdPicture]

The ButtonMouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonMousePointer property

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a button containing in a ButtonStrip control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.ButtonMousePointer [= MousePointerConstants]

The ButtonMousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

ButtonPicture property (asxButtonStrip)

Description

Returns or sets the picture of a button in a ButtonStrip control

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPicture(PageIndex, Index) [= StdPicture]

The ButtonPicture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureDown property (asxButtonStrip)

Description

Returns or sets the picture of a button in a ButtonStrip control use when the button is pressed

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureDown(PageIndex, Index) [= StdPicture]

The ButtonPictureDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureOver property (asxButtonStrip)

Description

Returns or sets the picture of a button in a ButtonStrip control used when the button is highlighted

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureOver(PageIndex, Index) [= StdPicture]

The ButtonPictureOver Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonShadowColor property

Description

Returns or sets the shadow drawing color of a button in a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonShadowColor [= OLE_COLOR]

The ButtonShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonTag property

Description

Returns or sets the Tag of a button in a ButtonStrip control

Property type

A String value.

Syntax

object.ButtonTag(PageIndex, Index) [= value]

The ButtonTag Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonTextColor property

Description

Returns or sets the text colour of a button in a ButtonStrip control

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonTextColor [= OLE_COLOR]

The ButtonTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonToolTipText property (asxButtonStrip)

Description

Returns or sets the ToolTip text of a button in a ButtonStrip control

Property type

A String value.

Syntax

object.ButtonToolTipText(PageIndex, Index) [= value]

The ButtonToolTipText Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonUseMaskColor property (asxButtonStrip)

Description

Returns or sets if a button uses the ButtonMaskColor property to create transparent bitmaps.

Property type

A Boolean value.

Syntax

object.ButtonUseMaskColor(PageIndex, Index) [= value]

The ButtonUseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ClientButtonHeight property

Description

Returns the height of a button in a ButtonStrip control

Property type

A Single value.

Syntax

object.ClientButtonHeight

The ClientButtonHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

ClientHeight property

Description

Returns the height of the internal button scrolling area in a ButtonStrip control

Property type

A Single value.

Syntax

object.ClientHeight

The ClientHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

CurrentButton property (asxButtonStrip)

Description

Returns or sets the current button of any page in a ButtonStrip control

Property type

A Variant value.

Syntax

object.CurrentButton(PageIndex) [= value]

The CurrentButton Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
PageIndex | Required. A Variant value.
value | A Variant value.


%%localitemtitle%%

CurrentPage property

Description

Returns or sets the current page in a ButtonStrip control

Property type

A Variant value.

Syntax

object.CurrentPage [= value]

The CurrentPage Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Variant value.


%%localitemtitle%%

Enabled property (asxButtonStrip)

Description

Returns or sets a value that determines whether a ButtonStrip control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxButtonStrip)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a ButtonStrip control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

hDCButtons property

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of the buttons are of a ButtonStrip control.

Property type

A Long value.

Syntax

object.hDCButtons

The hDCButtons Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

hDCScroll property

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of the scrolling area of a ButtonStrip control.

Property type

A Long value.

Syntax

object.hDCScroll

The hDCScroll Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

hWnd property (asxButtonStrip)

Description

Returns a handle to a ButtonStrip control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

hWndButtons property

Description

Returns a handle to the buttons are of a ButtonStrip control

Property type

A Long value.

Syntax

object.hWndButtons

The hWndButtons Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

hWndScroll property

Description

Returns a handle to the scrolling area of a ButtonStrip control

Property type

A Long value.

Syntax

object.hWndScroll

The hWndScroll Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

MouseIcon property (asxButtonStrip)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxButtonStrip)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ButtonStrip control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

PageCaption property

Description

Returns or sets the caption of a page header button in a ButtonStrip control

Property type

A String value.

Syntax

object.PageCaption(Index) [= value]

The PageCaption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PageCount property

Description

Returns the total number of pages in a ButtonStrip control

Property type

An Integer value.

Syntax

object.PageCount

The PageCount Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.


%%localitemtitle%%

PageDisabledTextColor property

Description

Returns or sets the disabled text color of pages contained in a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.PageDisabledTextColor [= OLE_COLOR]

The PageDisabledTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PageEnabled property

Description

Returns or sets a value that determines whether an individual page in a ButtonStrip control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.PageEnabled(Index) [= value]

The PageEnabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PageFont property

Description

Returns or sets the font used by page button headers in a ButtonStrip control

Property type

A StdFont object.

Syntax

[Set] object.PageFont [= StdFont]

The PageFont Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
StdFont | A StdFont object.


%%localitemtitle%%

PageFontBold property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A Boolean value.

Syntax

object.PageFontBold [= value]

The PageFontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

PageFontItalic property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A Boolean value.

Syntax

object.PageFontItalic [= value]

The PageFontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

PageFontName property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A String value.

Syntax

object.PageFontName [= value]

The PageFontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A String value.


%%localitemtitle%%

PageFontSize property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A Single value.

Syntax

object.PageFontSize [= value]

The PageFontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Single value.


%%localitemtitle%%

PageFontStrikethru property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A Boolean value.

Syntax

object.PageFontStrikethru [= value]

The PageFontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

PageFontUnderline property

Description

Returns or sets the font used to display text in a ButtonStrip control page header button

Property type

A Boolean value.

Syntax

object.PageFontUnderline [= value]

The PageFontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

PageHeight property

Description

Returns or sets the height of each page within a ButtonStrip control

Property type

An Integer value.

Syntax

object.PageHeight [= value]

The PageHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | An Integer value.


%%localitemtitle%%

PageHighlightTextColor property

Description

Returns or sets the text color of highlighted pages contained in a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.PageHighlightTextColor [= OLE_COLOR]

The PageHighlightTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PageItemsStayDownWithClick property

Description

Returns or sets if buttons on a page stay pressed when they are selected

Property type

A Boolean value.

Syntax

object.PageItemsStayDownWithClick(Index) [= value]

The PageItemsStayDownWithClick Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PageKey property

Description

Returns or sets the key of a page header button in a ButtonStrip control

Property type

A String value.

Syntax

object.PageKey(Index) [= value]

The PageKey Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PageTag property

Description

Returns or sets an expression that stores any extra data needed for your program. Unlike other properties, the value of the Tag property isn't used by Visual Basic; you can use this property to identify objects.

Property type

A String value.

Syntax

object.PageTag(Index) [= value]

The PageTag Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PageTextColor property

Description

Returns or sets the text color of pages contained in a ButtonStrip control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.PageTextColor [= OLE_COLOR]

The PageTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PageToolTipText property

Description

Returns or sets the ToolTip text of a page header button in a ButtonStrip control

Property type

A String value.

Syntax

object.PageToolTipText(Index) [= value]

The PageToolTipText Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PageVisible property

Description

Returns or sets if page header button in a ButtonStrip control is visible

Property type

A Boolean value.

Syntax

object.PageVisible(Index) [= value]

The PageVisible Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PlaySounds property (asxButtonStrip)

Description

Returns or sets if sounds are played when buttons or pages in a ButtonStrip control are clicked

Property type

A Boolean value.

Syntax

object.PlaySounds [= value]

The PlaySounds Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

Redraw property (asxButtonStrip)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ShowToolTips property (asxButtonStrip)

Description

Specifies if ToolTips are enabled for the ButtonStrip control

Property type

A Boolean value.

Syntax

object.ShowToolTips [= value]

The ShowToolTips Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A Boolean value.


%%localitemtitle%%

ToolTipFont property (asxButtonStrip)

Description

Returns or sets the font used by ToolTips

Property type

A StdFont object.

Syntax

[Set] object.ToolTipFont [= StdFont]

The ToolTipFont Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
StdFont | A StdFont object.


%%localitemtitle%%

Version property (asxButtonStrip)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxButtonStrip.
value | A String value.


%%localitemtitle%%

ButtonAdded event

Description

Occurs when a button is added via the AddButton or AddButtonEx functions.

Syntax

Private Sub object_ButtonAdded([index], PageKey, PageIndex, ButtonKey, ButtonIndex)

The ButtonAdded Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.


%%localitemtitle%%

ButtonClick event (asxButtonStrip)

Description

Occurs when the user presses and then releases the mouse button over a button on the active page

Syntax

Private Sub object_ButtonClick([index], PageKey, PageIndex, ButtonKey, ButtonIndex)

The ButtonClick Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.


%%localitemtitle%%

ButtonDeleted event

Description

Occurs when a button is deleted via the DeleteButton function.

Syntax

Private Sub object_ButtonDeleted([index], PageKey, PageIndex, ButtonKey, ButtonIndex)

The ButtonDeleted Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.


%%localitemtitle%%

ButtonMouseOver event (asxButtonStrip)

Description

Occurs when the mouse passes over a button on the active page

Syntax

Private Sub object_ButtonMouseOver([index], PageKey, PageIndex, ButtonKey, ButtonIndex)

The ButtonMouseOver Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.


%%localitemtitle%%

ButtonRenamed event

Description

Occurs when a button is renamed via the use of the RenameButton method

Syntax

Private Sub object_ButtonRenamed([index], PageKey, PageIndex, ButtonKey, ButtonIndex, NewName)

The ButtonRenamed Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.
NewName | A String value.


%%localitemtitle%%

ButtonRightClick event (asxButtonStrip)

Description

Occurs when the user presses and then releases the right mouse button over a button on the active page

Syntax

Private Sub object_ButtonRightClick([index], PageKey, PageIndex, ButtonKey, ButtonIndex)

The ButtonRightClick Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
ButtonKey | A String value.
ButtonIndex | An Integer value.


%%localitemtitle%%

Click event (asxButtonStrip)

Description

Occurs when the user presses and then releases a mouse button over an area of the ButtonStrip which is neither a button or a page

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

KeyDown event (asxButtonStrip)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxButtonStrip)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxButtonStrip)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseOver event

Description

Occurs when the mouse passes over an area of the ButtonStrip which is neither a button or a page header

Syntax

Private Sub object_MouseOver([index], Button, Shift)

The MouseOver Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

PageAdded event

Description

Occurs when a page is added via the AddPage or AddPageEx functions.

Syntax

Private Sub object_PageAdded([index], PageKey, PageIndex)

The PageAdded Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.


%%localitemtitle%%

PageChanged event

Description

Occurs when the current page is changed

Syntax

Private Sub object_PageChanged([index], PageKey, PageIndex, Cancel)

The PageChanged Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
Cancel | A Boolean value.


%%localitemtitle%%

PageClick event

Description

Occurs when the user presses and then releases the mouse button over a page header button

Syntax

Private Sub object_PageClick([index], PageKey, PageIndex)

The PageClick Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.


%%localitemtitle%%

PageDeleted event

Description

Occurs when a page is deleted via the DeletePage function.

Syntax

Private Sub object_PageDeleted([index], PageKey, PageIndex)

The PageDeleted Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.


%%localitemtitle%%

PageMouseOver event

Description

Occurs when the mouse passes over a page header button

Syntax

Private Sub object_PageMouseOver([index], PageKey, PageIndex)

The PageMouseOver Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.


%%localitemtitle%%

PageRenamed event

Description

Occurs when a page is renamed via the use of the RenamePage method

Syntax

Private Sub object_PageRenamed([index], PageKey, PageIndex, NewName)

The PageRenamed Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.
NewName | A String value.


%%localitemtitle%%

PageRightClick event

Description

Occurs when the user presses and then releases the right mouse button over a page header button

Syntax

Private Sub object_PageRightClick([index], PageKey, PageIndex)

The PageRightClick Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
PageKey | A String value.
PageIndex | An Integer value.


%%localitemtitle%%

RenameCancelled event

Description

Occurs when a renamed operation is cancelled, either because the user pressed Escape, or clicked outside the edit region

Syntax

Private Sub object_RenameCancelled([index])

The RenameCancelled Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

RightClick event (asxButtonStrip)

Description

Occurs when the user presses and then releases the right mouse button over an area of the ButtonStrip which is neither a button or a page

Syntax

Private Sub object_RightClick([index])

The RightClick Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Scroll event (asxButtonStrip)

Description

Occurs when either of the scroll buttons on a ButtonStrip control are clicked

Syntax

Private Sub object_Scroll([index], Direction)

The Scroll Event syntax has these parts:

Part | Description
object | An asxButtonStrip object.
Index | An integer that uniquely identifies a control if it's in a control array.
Direction | An Integer value.


%%localitemtitle%%

asxFontLabel control
Description

The asxFontLabel control is similar to the standard VB Label control, except that by embedding commands in it's Caption property, you can format the text in different ways

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a FontLabel control

Properties
AutoSize | Read-write property | Returns or sets a value that determines whether a FontLabel control is automatically resized to display its entire contents.
BackColor | Read-write property | Returns or sets the background color of a FontLabel control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a FontLabel control is transparent or opaque.
BorderStyle | Read-write property | Returns or sets the border style of a FontLabel control
Caption Read-write property

Determines the text displayed in a FontLabel control

Delimiter | Read-write property | Returns or sets the delimiter used to parse commands within the Caption text
Enabled | Read-write property | Returns or sets a value that determines whether a FontLabel control can respond to user-generated events.
Font | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontBold | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontItalic | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontName | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontSize | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontStrikethru | Read-write property | Returns or sets the default font used to display text in a FontLabel control
FontUnderline | Read-write property | Returns or sets the default font used to display text in a FontLabel control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a FontLabel control.
hWnd | Read-only property | Returns a handle to a FontLabel control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a FontLabel control.
Picture | Read-write property | Returns or sets a picture to be displayed behind the caption text.
PictureAlignment | Read-write property | Returns or sets the alignment of the background picture.
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
TextColor | Read-write property | Returns or sets the text color of a FontLabel control.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.
WordWrap | Read-write property | Returns or sets a value indicating whether a FontLabel control with its AutoSize property set to True expands vertically or horizontally to fit the text specified in its Caption property

Events
Changed
Click | Indicates the contents of a FontLabel control have changed.
DblClick | Occurs when the user presses and then releases a mouse button over a FontLabel control
KeyDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
KeyPress | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyUp | Occurs when the user presses and releases an ANSI key
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a FontLabel control
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.


%%localitemtitle%%

About method (asxFontLabel)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.


%%localitemtitle%%

Refresh method (asxFontLabel)

Description

Forces a complete repaint of a FontLabel control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.


%%localitemtitle%%

AutoSize property (asxFontLabel)

Description

Returns or sets a value that determines whether a FontLabel control is automatically resized to display its entire contents.

Property type

A Boolean value.

Syntax

object.AutoSize [= value]

The AutoSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

BackColor property (asxFontLabel)

Description

Returns or sets the background color of a FontLabel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxFontLabel)

Description

Returns or sets a value indicating whether the background of a FontLabel control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BorderStyle property (asxFontLabel)

Description

Returns or sets the border style of a FontLabel control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

Caption property (asxFontLabel)

Description

Determines the text displayed in a FontLabel control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A String value.

Remarks

Supported Commands:

Name | Command | Description
Bold | B 0/1 | Turns Bold on or off (0 - off, 1 - on)
Italic | I 0/1 | Turns Italic on or off (0 - off, 1 - on)
Underline | U 0/1 | Turns Underline on or off (0 - off, 1 - on)
Strikethru | S 0/1 | Turns Strikethru on or off (0 - off, 1 - on)
Foreground Colour | COLOR value | Sets the text colour. See notes below.
Font Size | SIZE value | Sets the font size
Font Name | FONT name | Sets the font name. See notes below.
Step X Co-ordinate | SX value | Adds (or removes if negative) value pixels to the current X co-ordinate.
Step Y Co-ordinate | SY value | Adds (or removes if negative) value pixels to the current Y co-ordinate.
X Co-ordinate | X value | Sets the current X position to value pixels.
Y Co-ordinate | Y value | Sets the current Y position to value pixels.

Colour Notes: There are three seperate ways of specifying a colour:

Type | Format | Notes
Standard 16 Colours (QBColor(n)) | Qn | n is a value between 0 and 15.
RGB Color (RGB(r,g,b)) | red,blue,green | red, blue and green are values between 0 and 255.
Long | n

Font Notes:

If you are using a font name containing spaces, then you must convert them to ^_^,
because of a bug within the control. For example, Times New Roman would become Times^_^New^_^Roman


%%localitemtitle%%

Delimiter property

Description

Returns or sets the delimiter used to parse commands within the Caption text

Property type

A String value.

Syntax

object.Delimiter [= value]

The Delimiter Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A String value.


%%localitemtitle%%

Enabled property (asxFontLabel)

Description

Returns or sets a value that determines whether a FontLabel control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

Font property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A String value.


%%localitemtitle%%

FontSize property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxFontLabel)

Description

Returns or sets the default font used to display text in a FontLabel control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxFontLabel)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a FontLabel control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.


%%localitemtitle%%

hWnd property (asxFontLabel)

Description

Returns a handle to a FontLabel control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.


%%localitemtitle%%

MouseIcon property (asxFontLabel)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxFontLabel)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a FontLabel control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Picture property (asxFontLabel)

Description

Returns or sets a picture to be displayed behind the caption text.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureAlignment property (asxFontLabel)

Description

Returns or sets the alignment of the background picture.

Property type

An IFCAlignments enumeration.

Syntax

object.PictureAlignment [= value]

The PictureAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

Redraw property (asxFontLabel)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

TextColor property (asxFontLabel)

Description

Returns or sets the text color of a FontLabel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Version property (asxFontLabel)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A String value.


%%localitemtitle%%

WordWrap property (asxFontLabel)

Description

Returns or sets a value indicating whether a FontLabel control with its AutoSize property set to True expands vertically or horizontally to fit the text specified in its Caption property

Property type

A Boolean value.

Syntax

object.WordWrap [= value]

The WordWrap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxFontLabel.
value | A Boolean value.


%%localitemtitle%%

Changed event

Syntax

Private Sub object_Changed([index])

The Changed Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Click event (asxFontLabel)

Description

Indicates the contents of a FontLabel control have changed.

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxFontLabel)

Description

Occurs when the user presses and then releases a mouse button over a FontLabel control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

KeyDown event (asxFontLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxFontLabel)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxFontLabel)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxFontLabel)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a FontLabel control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxFontLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxFontLabel)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxFontLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxGenericContainer control
Description

The asxGenericContainer control acts in a similar way to the standard VB Frame control, but it does not display border lines or caption text.

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
ForceResize | Forces the Resize() event to be raised

Properties
BackColor | Read-write property | Returns or sets the background color of a GenericContainer control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a GenericContainer control is transparent or opaque.
BorderStyle | Read-write property | Returns or sets the border style of a GenericControl control
Enabled | Read-write property | Returns or sets a value that determines whether a GenericContainer control can respond to user-generated events.
hWnd | Read-only property | Returns a handle to a GenericContainer control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a GenericContainer control.

Events
Click | Occurs when GenericContainer control window size is changed
DblClick | Occurs when the user presses and then releases a mouse button over a GenericContainer control
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a GenericContainer control
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.
Resize


%%localitemtitle%%

About method (asxGenericContainer)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.


%%localitemtitle%%

ForceResize method (asxGenericContainer)

Description

Forces the Resize() event to be raised

Return Type

None

Syntax

object.ForceResize

The ForceResize Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.


%%localitemtitle%%

BackColor property (asxGenericContainer)

Description

Returns or sets the background color of a GenericContainer control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxGenericContainer)

Description

Returns or sets a value indicating whether the background of a GenericContainer control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BorderStyle property (asxGenericContainer)

Description

Returns or sets the border style of a GenericControl control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

Enabled property (asxGenericContainer)

Description

Returns or sets a value that determines whether a GenericContainer control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
value | A Boolean value.


%%localitemtitle%%

hWnd property (asxGenericContainer)

Description

Returns a handle to a GenericContainer control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.


%%localitemtitle%%

MouseIcon property (asxGenericContainer)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxGenericContainer)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a GenericContainer control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxGenericContainer.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Click event (asxGenericContainer)

Description

Occurs when GenericContainer control window size is changed

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxGenericContainer)

Description

Occurs when the user presses and then releases a mouse button over a GenericContainer control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxGenericContainer)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a GenericContainer control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxGenericContainer)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxGenericContainer)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

Resize event (asxGenericContainer)

Syntax

Private Sub object_Resize([index], NewWidth, NewHeight)

The Resize Event syntax has these parts:

Part | Description
object | An asxGenericContainer object.
Index | An integer that uniquely identifies a control if it's in a control array.
NewWidth | A Single value.
NewHeight | A Single value.


%%localitemtitle%%

asxLabel control
Description

The asxLabel control is similar to the standard VB Label control, supporting additional features such as hyperlink behaviour

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a Label control

Properties
Alignment | Read-write property | Returns or sets a value that determines the alignment of text within a Label control
AutoSize | Read-write property | Returns or sets a value that determines whether a Label control is automatically resized to display its entire contents.
BackColor | Read-write property | Returns or sets the background color of a Label control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a Label control is transparent or opaque.
BorderStyle | Read-write property | Returns or sets the border style of a Label control
Caption | Read-write property | Determines the text displayed in a Label control
Enabled | Read-write property | Returns or sets a value that determines whether a Label control can respond to user-generated events.
Font | Read-write property | Returns or sets the font used to display text in a Label control
FontBold | Read-write property | Returns or sets the font used to display text in a Label control
FontItalic | Read-write property | Returns or sets the font used to display text in a Label control
FontName | Read-write property | Returns or sets the font used to display text in a Label control
FontSize | Read-write property | Returns or sets the font used to display text in a Label control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a Label control
FontUnderline | Read-write property | Returns or sets the font used to display text in a Label control
ForeColor | Read-write property | Returns or sets the foreground color used to display text in a Label control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Label control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Label control.
HotTrackColor | Read-write property | Returns or sets the hot tracking colour used by the Label control
hWnd | Read-only property | Returns a handle to a Label control
LinkPath | Read-write property | Returns or sets the attached document startup path
LinkURL | Read-write property | Returns or sets the linked document filename
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Label control.
ShadowColor | Read-write property | Returns or sets the shadow color of a Label control.
UseMnemonic | Read-write property | Returns or sets a value that specifies whether an ampersand (&) included in the text of the Caption property of the Label control defines an access key.
WordWrap | Read-write property | Returns or sets a value indicating whether a Label control with its AutoSize property set to True expands vertically or horizontally to fit the text specified in its Caption property

Events
BeforeURL
Change | Occurs just before an attached program link is executed
Click | Indicates the contents of a Label control have changed.
DblClick | Occurs when the user presses and then releases a mouse button over a Label control
Error | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Label control
KeyDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
KeyPress | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyUp | Occurs when the user presses and releases an ANSI key
MouseDown | Occurs when an internal error occurs, such as a missing document specified by the LinkURL property
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.


%%localitemtitle%%

About method (asxLabel)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.


%%localitemtitle%%

Refresh method (asxLabel)

Description

Forces a complete repaint of a Label control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.


%%localitemtitle%%

Alignment property

Description

Returns or sets a value that determines the alignment of text within a Label control

Property type

An IFCStandardAlignmentsEx enumeration.

Syntax

object.Alignment [= value]

The Alignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | An IFCStandardAlignmentsEx enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifaxLeft | 0 | (Default) Drawn objects are aligned to the left
ifaxRight | 1 | Drawn objects are aligned to the right
ifaxCenter | 2 | Drawn objects are center aligned
ifaxJustify | 3 | Drawn objects are justified to fill the entire control width


%%localitemtitle%%

AutoSize property (asxLabel)

Description

Returns or sets a value that determines whether a Label control is automatically resized to display its entire contents.

Property type

A Boolean value.

Syntax

object.AutoSize [= value]

The AutoSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

BackColor property (asxLabel)

Description

Returns or sets the background color of a Label control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxLabel)

Description

Returns or sets a value indicating whether the background of a Label control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BorderStyle property (asxLabel)

Description

Returns or sets the border style of a Label control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

Caption property (asxLabel)

Description

Determines the text displayed in a Label control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A String value.


%%localitemtitle%%

Enabled property (asxLabel)

Description

Returns or sets a value that determines whether a Label control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

Font property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Font object.

Syntax

[Set] object.Font [= Font]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
Font | A Font object.


%%localitemtitle%%

FontBold property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A String value.


%%localitemtitle%%

FontSize property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxLabel)

Description

Returns or sets the font used to display text in a Label control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

ForeColor property

Description

Returns or sets the foreground color used to display text in a Label control

Property type

An OLE_COLOR object.

Syntax

[Set] object.ForeColor [= OLE_COLOR]

The ForeColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hDC property (asxLabel)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Label control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.


%%localitemtitle%%

HighlightColor property (asxLabel)

Description

Returns or sets the highlight color of a Label control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HotTrackColor property

Description

Returns or sets the hot tracking colour used by the Label control

Property type

An OLE_COLOR object.

Syntax

[Set] object.HotTrackColor [= OLE_COLOR]

The HotTrackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxLabel)

Description

Returns a handle to a Label control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.


%%localitemtitle%%

LinkPath property

Description

Returns or sets the attached document startup path

Property type

A String value.

Syntax

object.LinkPath [= value]

The LinkPath Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A String value.


%%localitemtitle%%

LinkURL property

Description

Returns or sets the linked document filename

Property type

A String value.

Syntax

object.LinkURL [= value]

The LinkURL Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A String value.


%%localitemtitle%%

MouseIcon property (asxLabel)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxLabel)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Label control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

ShadowColor property (asxLabel)

Description

Returns or sets the shadow color of a Label control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

UseMnemonic property

Description

Returns or sets a value that specifies whether an ampersand (&) included in the text of the Caption property of the Label control defines an access key.

Property type

A Boolean value.

Syntax

object.UseMnemonic [= value]

The UseMnemonic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

WordWrap property (asxLabel)

Description

Returns or sets a value indicating whether a Label control with its AutoSize property set to True expands vertically or horizontally to fit the text specified in its Caption property

Property type

A Boolean value.

Syntax

object.WordWrap [= value]

The WordWrap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLabel.
value | A Boolean value.


%%localitemtitle%%

BeforeURL event

Syntax

Private Sub object_BeforeURL([index], Cancel)

The BeforeURL Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Cancel | A Boolean value.


%%localitemtitle%%

Change event (asxLabel)

Description

Occurs just before an attached program link is executed

Syntax

Private Sub object_Change([index])

The Change Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Click event (asxLabel)

Description

Indicates the contents of a Label control have changed.

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxLabel)

Description

Occurs when the user presses and then releases a mouse button over a Label control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Error event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Label control

Syntax

Private Sub object_Error([index], ErrNum, ErrMsg, CancelErrDlg)

The Error Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
ErrNum | A Long value.
ErrMsg | A String value.
CancelErrDlg | A Boolean value.


%%localitemtitle%%

KeyDown event (asxLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxLabel)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxLabel)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxLabel)

Description

Occurs when an internal error occurs, such as a missing document specified by the LinkURL property

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxLabel)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxLineHeaderEx control
Description

The asxLineHeaderEx control acts as a 3D line containing a caption and acting as a label control, similar to the top portion of a frame control.

Members

Methods
About Displays an About dialog, containing version, copyright and contact information

Properties
BackColor | Read-write property | Returns or sets the background color of a LineHeaderEx control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a LineHeaderEx control is transparent or opaque.
Caption | Read-write property | Determines the text displayed in a LineHeaderEx control
Enabled | Read-write property | Returns or sets a value that determines whether a LineHeaderEx control can respond to user-generated events.
Font | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontBold | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontItalic | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontName | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontSize | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
FontUnderline | Read-write property | Returns or sets the font used to display text in a LineHeaderEx control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a LineHeaderEx control.
HighlightColor | Read-write property | Returns or sets the highlight color of a LineHeaderEx control.
hWnd | Read-only property | Returns a handle to a LineHeaderEx control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a LineHeaderEx control.
Orientation | Read-write property | Returns or sets a value that determines the orientation (horizontal or vertical) of a LineHeaderEx control.
ShadowColor | Read-write property | Returns or sets the shadow color of a LineHeaderEx control.
TextColor | Read-write property | Returns or sets the text color of a LineHeaderEx control.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Change
Click | Indicates the contents of a LineHeaderEx control have changed.
DblClick | Occurs when the user presses and then releases a mouse button over a LineHeaderEx control
KeyDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
KeyPress | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyUp | Occurs when the user presses and releases an ANSI key
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a LineHeaderEx control
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.


%%localitemtitle%%

About method (asxLineHeaderEx)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.


%%localitemtitle%%

BackColor property (asxLineHeaderEx)

Description

Returns or sets the background color of a LineHeaderEx control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxLineHeaderEx)

Description

Returns or sets a value indicating whether the background of a LineHeaderEx control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

Caption property (asxLineHeaderEx)

Description

Determines the text displayed in a LineHeaderEx control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A String value.


%%localitemtitle%%

Enabled property (asxLineHeaderEx)

Description

Returns or sets a value that determines whether a LineHeaderEx control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Boolean value.


%%localitemtitle%%

Font property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A String value.


%%localitemtitle%%

FontSize property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxLineHeaderEx)

Description

Returns or sets the font used to display text in a LineHeaderEx control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxLineHeaderEx)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a LineHeaderEx control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.


%%localitemtitle%%

HighlightColor property (asxLineHeaderEx)

Description

Returns or sets the highlight color of a LineHeaderEx control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxLineHeaderEx)

Description

Returns a handle to a LineHeaderEx control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.


%%localitemtitle%%

MouseIcon property (asxLineHeaderEx)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxLineHeaderEx)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a LineHeaderEx control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Orientation property (asxLineHeaderEx)

Description

Returns or sets a value that determines the orientation (horizontal or vertical) of a LineHeaderEx control.

Property type

An IFCOrientations enumeration.

Syntax

object.Orientation [= value]

The Orientation Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | An IFCOrientations enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcoHorizontal | 0 | (Default) Drawn objects are positioned horizontally.
ifcoVertical | 1 | Drawn objects are positioned vertically.


%%localitemtitle%%

ShadowColor property (asxLineHeaderEx)

Description

Returns or sets the shadow color of a LineHeaderEx control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TextColor property (asxLineHeaderEx)

Description

Returns or sets the text color of a LineHeaderEx control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Version property (asxLineHeaderEx)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxLineHeaderEx.
value | A String value.


%%localitemtitle%%

Change event (asxLineHeaderEx)

Syntax

Private Sub object_Change([index])

The Change Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Click event (asxLineHeaderEx)

Description

Indicates the contents of a LineHeaderEx control have changed.

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxLineHeaderEx)

Description

Occurs when the user presses and then releases a mouse button over a LineHeaderEx control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

KeyDown event (asxLineHeaderEx)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxLineHeaderEx)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxLineHeaderEx)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxLineHeaderEx)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a LineHeaderEx control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxLineHeaderEx)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxLineHeaderEx)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxLineHeaderEx object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxMenuEvent control
Description

The asxMenuEvent control provides notification when menus are highlighted and exited, allowing you to create status bar help for your applications

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
ReturnSystemTag | Returns a line of text associated with a system menu, allowing you to use status bar help in your applications.
ReturnTag | Returns the tag property of a menu control, allowing you to use status bar help in your applications.

Properties
Enabled Read-write property Returns or sets a value that determines whether a MenuEvent control can respond to user-generated events.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
MenuExit Occurs when a new menu item is highlighted
MenuHighlighted

Interfaces
ISubclass


%%localitemtitle%%

About method (asxMenuEvent)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxMenuEvent.


%%localitemtitle%%

ReturnSystemTag method

Description

Returns a line of text associated with a system menu, allowing you to use status bar help in your applications.

Return Type

A String value.

Syntax

object.ReturnSystemTag (MenuCaption)

The ReturnSystemTag Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxMenuEvent.
MenuCaption | Required. A String value.


%%localitemtitle%%

ReturnTag method

Description

Returns the tag property of a menu control, allowing you to use status bar help in your applications.

Return Type

A String value.

Syntax

object.ReturnTag (Form, MenuCaption)

The ReturnTag Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxMenuEvent.
Form | Required. An Object object.
MenuCaption | Required. A String value.


%%localitemtitle%%

Enabled property (asxMenuEvent)

Description

Returns or sets a value that determines whether a MenuEvent control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxMenuEvent.
value | A Boolean value.


%%localitemtitle%%

Version property (asxMenuEvent)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxMenuEvent.
value | A String value.


%%localitemtitle%%

MenuExit event

Description

Occurs when a new menu item is highlighted

Syntax

Private Sub object_MenuExit([index])

The MenuExit Event syntax has these parts:

Part | Description
object | An asxMenuEvent object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MenuHighlighted event

Syntax

Private Sub object_MenuHighlighted([index], MenuCaption, IsSystemMenu)

The MenuHighlighted Event syntax has these parts:

Part | Description
object | An asxMenuEvent object.
Index | An integer that uniquely identifies a control if it's in a control array.
MenuCaption | A String value.
IsSystemMenu | A Boolean value.


%%localitemtitle%%

ISubclass interface

Members

Implemented Methods
WindowProc

Implemented Properties
MsgResponse


%%localitemtitle%%

WindowProc method implementation

Return Type

A Long value.

Syntax

object.WindowProc (hWnd, iMsg, wParam, lParam)

The WindowProc Method syntax has these parts:

Part | Description
object | An expression evaluating to the ISubclass interface of an object of type asxMenuEvent.
hWnd | Required. A Long value.
iMsg | Required. A Long value.
wParam | Required. A Long value.
lParam | Required. A Long value.


%%localitemtitle%%

MsgResponse property implementation

Property type

None. Property is write only.

Syntax

object.MsgResponse

The MsgResponse Property syntax has these parts:

Part | Description
object | An expression evaluating to the ISubclass interface of an object of type asxMenuEvent.

Settings

The settings for value are:

Constant | Value | Description
emrConsume | 0
emrPostProcess | 1
emrPreprocess | 2


%%localitemtitle%%

asxPager control
Description

The asxPager control allows large controls such as Toolbars to be hosted as children of the Pager, and scrollbar and scrolling functionality is automatically provided as nessecary

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
ForceResize | Forces the Resize() event to be raised
Refresh | Forces a complete repaint of a Pager control

Properties
Appearance | Read-write property | Returns or sets the paint style of a Pager control
BackColor | Read-write property | Returns or sets the background color of a Pager control.
BorderBottom | Read-write property | Returns or sets if the bottom border is drawn
BorderLeft | Read-write property | Returns or sets if the left border is drawn
BorderRight | Read-write property | Returns or sets if the right border is drawn
BorderStyle | Read-write property | Returns or sets the border style of a Pager control
BorderTop | Read-write property | Returns or sets if the top border is drawn
Child | Read-write property | Returns or sets the child control hosted by the Pager
DoubleBottomBorder | Read-write property | Returns or sets if the bottom border is doubled, similar to a Frame border
DoubleTopBorder | Read-write property | Returns or sets if the top border is doubled, similar to a Frame border
Enabled | Read-write property | Returns or sets a value that determines whether a Pager control can respond to user-generated events.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Pager control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Pager control.
HighlightDkColor | Read-write property | Returns or sets the dark highlight colour of the control.
hWnd | Read-only property | Returns a handle to a Pager control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Pager control.
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ScrollSpeed | Read-write property | Returns or sets the scrolling speed of a Pager control
ShadowColor | Read-write property | Returns or sets the shadow color of a Pager control.
ShadowDkColor | Read-write property | Returns or sets the dark shadow colour of the control.
Style | Read-write property | Returns or sets the syle in which the scroll buttons are positioned and the Pager control behaves
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click | Occurs when a Pager control is scrolled horizontally or vertically.
DblClick | Occurs when the user presses and then releases a mouse button over a Pager control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Pager control
Resize | Occurs when the user moves the mouse.
Scroll


%%localitemtitle%%

About method (asxPager)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.


%%localitemtitle%%

ForceResize method (asxPager)

Description

Forces the Resize() event to be raised

Return Type

None

Syntax

object.ForceResize

The ForceResize Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.


%%localitemtitle%%

Refresh method (asxPager)

Description

Forces a complete repaint of a Pager control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.


%%localitemtitle%%

Appearance property (asxPager)

Description

Returns or sets the paint style of a Pager control

Property type

An IFCAppearances enumeration.

Syntax

object.Appearance [= value]

The Appearance Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | An IFCAppearances enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcaStandard | 0 | (Default) Objects are drawn using the default 3D style
ifcaFlat | 1 | Objects are drawn using a flat 3D style, generaly only when the mouse is hovered over the object


%%localitemtitle%%

BackColor property (asxPager)

Description

Returns or sets the background color of a Pager control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderBottom property (asxPager)

Description

Returns or sets if the bottom border is drawn

Property type

A Boolean value.

Syntax

object.BorderBottom [= value]

The BorderBottom Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

BorderLeft property (asxPager)

Description

Returns or sets if the left border is drawn

Property type

A Boolean value.

Syntax

object.BorderLeft [= value]

The BorderLeft Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

BorderRight property (asxPager)

Description

Returns or sets if the right border is drawn

Property type

A Boolean value.

Syntax

object.BorderRight [= value]

The BorderRight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

BorderStyle property (asxPager)

Description

Returns or sets the border style of a Pager control

Property type

An IFCTBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | An IFCTBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

BorderTop property (asxPager)

Description

Returns or sets if the top border is drawn

Property type

A Boolean value.

Syntax

object.BorderTop [= value]

The BorderTop Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

Child property

Description

Returns or sets the child control hosted by the Pager

Property type

An Object object.

Syntax

[Set] object.Child [= Object]

The Child Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
Object | An Object object.


%%localitemtitle%%

DoubleBottomBorder property (asxPager)

Description

Returns or sets if the bottom border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleBottomBorder [= value]

The DoubleBottomBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

DoubleTopBorder property (asxPager)

Description

Returns or sets if the top border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleTopBorder [= value]

The DoubleTopBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

Enabled property (asxPager)

Description

Returns or sets a value that determines whether a Pager control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxPager)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Pager control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.


%%localitemtitle%%

HighlightColor property (asxPager)

Description

Returns or sets the highlight color of a Pager control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDkColor property (asxPager)

Description

Returns or sets the dark highlight colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDkColor [= OLE_COLOR]

The HighlightDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxPager)

Description

Returns a handle to a Pager control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.


%%localitemtitle%%

MouseIcon property (asxPager)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxPager)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Pager control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Redraw property (asxPager)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Boolean value.


%%localitemtitle%%

ScrollSpeed property

Description

Returns or sets the scrolling speed of a Pager control

Property type

A Single value.

Syntax

object.ScrollSpeed [= value]

The ScrollSpeed Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A Single value.


%%localitemtitle%%

ShadowColor property (asxPager)

Description

Returns or sets the shadow color of a Pager control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDkColor property (asxPager)

Description

Returns or sets the dark shadow colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDkColor [= OLE_COLOR]

The ShadowDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Style property (asxPager)

Description

Returns or sets the syle in which the scroll buttons are positioned and the Pager control behaves

Property type

An IFCPGStyles enumeration.

Syntax

object.Style [= value]

The Style Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | An IFCPGStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
pgrsHorizontal | 0 | (Default) Arrows are positioned horizontally on each size of the control.
pgrsHorizontalRight | 1 | Arrows are positioned horizontally on right right size of the control.
pgrsVertical | 2 | Arrows are positioned vertically on the top and bottom of the control.


%%localitemtitle%%

Version property (asxPager)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPager.
value | A String value.


%%localitemtitle%%

Click event (asxPager)

Description

Occurs when a Pager control is scrolled horizontally or vertically.

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxPager)

Description

Occurs when the user presses and then releases a mouse button over a Pager control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxPager)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxPager)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxPager)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Pager control

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

Resize event (asxPager)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_Resize([index], NewWidth, NewHeight)

The Resize Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.
NewWidth | A Single value.
NewHeight | A Single value.


%%localitemtitle%%

Scroll event (asxPager)

Syntax

Private Sub object_Scroll([index], Direction)

The Scroll Event syntax has these parts:

Part | Description
object | An asxPager object.
Index | An integer that uniquely identifies a control if it's in a control array.
Direction | An Integer value.


%%localitemtitle%%

asxPanel control
Description

The asxPanel control is a 3D container control, with a large assortment of customisable features

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
ForceResize | Forces the Resize() event to be raised
Refresh | Forces a complete repaint of a Panel control

Properties
BackColor | Read-write property | Returns or sets the background color of a Panel control.
BorderBottom | Read-write property | Returns or sets if the bottom border is drawn
BorderLeft | Read-write property | Returns or sets if the left border is drawn
BorderRight | Read-write property | Returns or sets if the right border is drawn
BorderStyle | Read-write property | Returns or sets the border style of a Panel control
BorderTop | Read-write property | Returns or sets if the top border is drawn
Caption | Read-write property | Determines the text displayed in a Panel control
CaptionAlignment | Read-write property | Specifies the position where the caption text is displayed.
CaptionOffsetX Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.
CaptionOffsetY Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.
Checked | Read-write property | Returns or sets if panel is drawn in a checked style
DoubleBottomBorder | Read-write property | Returns or sets if the bottom border is doubled, similar to a Frame border
DoubleTopBorder | Read-write property | Returns or sets if the top border is doubled, similar to a Frame border
DragHandle | Read-write property | Returns or sets if a drag handle is visible in a Panel control
Enabled | Read-write property | Returns or sets a value that determines whether a Pager control can respond to user-generated events.
Font | Read-write property | Returns or sets the font used to display text in a Panel control
FontBold | Read-write property | Returns or sets the font used to display text in a Panel control
FontItalic | Read-write property | Returns or sets the font used to display text in a Panel control
FontName | Read-write property | Returns or sets the font used to display text in a Panel control
FontSize | Read-write property | Returns or sets the font used to display text in a Panel control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a Panel control
FontUnderline | Read-write property | Returns or sets the font used to display text in a Panel control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Panel control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Panel control.
HighlightDkColor | Read-write property | Returns or sets the dark highlight colour of the control.
hWnd | Read-only property | Returns a handle to a Panel control
MaskColor | Read-write property | Returns or sets a color in a controls picture to be a “mask” (that is, transparent).
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Panel control.
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
PictureAlignment | Read-write property | Specifies the position with which any picture used by the button is displayed.
PictureOffsetX Read-write property Specifies a value allowing you to manually move the picture to a different location.

For example, if you have the picture centered on the by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.
PictureOffsetY Read-write property Specifies a value allowing you to manually move the picture to a different location.

For example, if you have the picture centered on the by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.
ScaleHeight | Read-only property | Returns the internal height of the control, in pixels
ScaleWidth | Read-only property | Returns the internal width of the control, in pixels
ShadowColor | Read-write property | Returns or sets the shadow color of a Panel control.
ShadowDkColor | Read-write property | Returns or sets the dark shadow colour of the control.
TextColor | Read-write property | Returns or sets the text color of a Panel control.
TilePicture | Read-write property | Returns or sets if the Picture is tiled across the background of the control
UseMaskColor | Read-write property | Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click
DblClick | Occurs when the user presses and then releases a mouse button over a Panel control
HandleMouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button over the drag handle of a Panel control
HandleMouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button over the drag handle of a Panel control
HandleMouseUp | Occurs when the user moves the mouse.
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Panel control
Resize | Occurs when the user moves the mouse over the drag handle of a Panel control


%%localitemtitle%%

About method (asxPanel)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

ForceResize method (asxPanel)

Description

Forces the Resize() event to be raised

Return Type

None

Syntax

object.ForceResize

The ForceResize Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

Refresh method (asxPanel)

Description

Forces a complete repaint of a Panel control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

BackColor property (asxPanel)

Description

Returns or sets the background color of a Panel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderBottom property (asxPanel)

Description

Returns or sets if the bottom border is drawn

Property type

A Boolean value.

Syntax

object.BorderBottom [= value]

The BorderBottom Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

BorderLeft property (asxPanel)

Description

Returns or sets if the left border is drawn

Property type

A Boolean value.

Syntax

object.BorderLeft [= value]

The BorderLeft Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

BorderRight property (asxPanel)

Description

Returns or sets if the right border is drawn

Property type

A Boolean value.

Syntax

object.BorderRight [= value]

The BorderRight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

BorderStyle property (asxPanel)

Description

Returns or sets the border style of a Panel control

Property type

An IFCTBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An IFCTBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

BorderTop property (asxPanel)

Description

Returns or sets if the top border is drawn

Property type

A Boolean value.

Syntax

object.BorderTop [= value]

The BorderTop Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

Caption property (asxPanel)

Description

Determines the text displayed in a Panel control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A String value.


%%localitemtitle%%

CaptionAlignment property (asxPanel)

Description

Specifies the position where the caption text is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.CaptionAlignment [= value]

The CaptionAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

CaptionOffsetX property (asxPanel)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.

Property type

An Integer value.

Syntax

object.CaptionOffsetX [= value]

The CaptionOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An Integer value.


%%localitemtitle%%

CaptionOffsetY property (asxPanel)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.

Property type

An Integer value.

Syntax

object.CaptionOffsetY [= value]

The CaptionOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An Integer value.


%%localitemtitle%%

Checked property (asxPanel)

Description

Returns or sets if panel is drawn in a checked style

Property type

A Boolean value.

Syntax

object.Checked [= value]

The Checked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

DoubleBottomBorder property (asxPanel)

Description

Returns or sets if the bottom border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleBottomBorder [= value]

The DoubleBottomBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

DoubleTopBorder property (asxPanel)

Description

Returns or sets if the top border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleTopBorder [= value]

The DoubleTopBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

DragHandle property

Description

Returns or sets if a drag handle is visible in a Panel control

Property type

A Boolean value.

Syntax

object.DragHandle [= value]

The DragHandle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

Enabled property (asxPanel)

Description

Returns or sets a value that determines whether a Pager control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

Font property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A String value.


%%localitemtitle%%

FontSize property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxPanel)

Description

Returns or sets the font used to display text in a Panel control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxPanel)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Panel control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

HighlightColor property (asxPanel)

Description

Returns or sets the highlight color of a Panel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDkColor property (asxPanel)

Description

Returns or sets the dark highlight colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDkColor [= OLE_COLOR]

The HighlightDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxPanel)

Description

Returns a handle to a Panel control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

MaskColor property (asxPanel)

Description

Returns or sets a color in a controls picture to be a “mask” (that is, transparent).

Property type

An OLE_COLOR object.

Syntax

[Set] object.MaskColor [= OLE_COLOR]

The MaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

MouseIcon property (asxPanel)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxPanel)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Panel control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Picture property (asxPanel)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureAlignment property (asxPanel)

Description

Specifies the position with which any picture used by the button is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.PictureAlignment [= value]

The PictureAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

PictureOffsetX property (asxPanel)

Description

Specifies a value allowing you to manually move the picture to a different location.

For example, if you have the picture centered on the by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.

Property type

An Integer value.

Syntax

object.PictureOffsetX [= value]

The PictureOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An Integer value.


%%localitemtitle%%

PictureOffsetY property (asxPanel)

Description

Specifies a value allowing you to manually move the picture to a different location.

For example, if you have the picture centered on the by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.

Property type

An Integer value.

Syntax

object.PictureOffsetY [= value]

The PictureOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | An Integer value.


%%localitemtitle%%

ScaleHeight property (asxPanel)

Description

Returns the internal height of the control, in pixels

Property type

A Single value.

Syntax

object.ScaleHeight

The ScaleHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

ScaleWidth property (asxPanel)

Description

Returns the internal width of the control, in pixels

Property type

A Single value.

Syntax

object.ScaleWidth

The ScaleWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.


%%localitemtitle%%

ShadowColor property (asxPanel)

Description

Returns or sets the shadow color of a Panel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDkColor property (asxPanel)

Description

Returns or sets the dark shadow colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDkColor [= OLE_COLOR]

The ShadowDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TextColor property (asxPanel)

Description

Returns or sets the text color of a Panel control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TilePicture property

Description

Returns or sets if the Picture is tiled across the background of the control

Property type

A Boolean value.

Syntax

object.TilePicture [= value]

The TilePicture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

UseMaskColor property (asxPanel)

Description

Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Property type

A Boolean value.

Syntax

object.UseMaskColor [= value]

The UseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A Boolean value.


%%localitemtitle%%

Version property (asxPanel)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPanel.
value | A String value.


%%localitemtitle%%

Click event (asxPanel)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxPanel)

Description

Occurs when the user presses and then releases a mouse button over a Panel control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

HandleMouseDown event

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button over the drag handle of a Panel control

Syntax

Private Sub object_HandleMouseDown([index], Button, Shift)

The HandleMouseDown Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

HandleMouseMove event

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button over the drag handle of a Panel control

Syntax

Private Sub object_HandleMouseMove([index], Button, Shift)

The HandleMouseMove Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

HandleMouseUp event

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_HandleMouseUp([index], Button, Shift)

The HandleMouseUp Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxPanel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxPanel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxPanel)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Panel control

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

Resize event (asxPanel)

Description

Occurs when the user moves the mouse over the drag handle of a Panel control

Syntax

Private Sub object_Resize([index], NewWidth, NewHeight)

The Resize Event syntax has these parts:

Part | Description
object | An asxPanel object.
Index | An integer that uniquely identifies a control if it's in a control array.
NewWidth | A Single value.
NewHeight | A Single value.


%%localitemtitle%%

asxPowerBanner control
Description

The asxPowerBanner control displays it's caption text over a highlighted gradient between two colours.

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a PowerBanner control

Properties
BorderStyle | Read-write property | Returns or sets the border style of a PowerBanner control
Enabled | Read-write property | Returns or sets a value that determines whether a Pager control can respond to user-generated events.
EndColor | Read-write property | Returns or sets the end colour of the gradient background
Font | Read-write property | Returns or sets the font used to display text in a PowerBanner control
FormatString | Read-write property | Returns or sets the caption text of a PowerBanner control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a PowerBanner control.
hWnd | Read-only property | Returns a handle to a PowerBanner control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a PowerBanner control.
Orientation | Read-write property | Returns or sets a value that determines the orientation (horizontal or vertical) of a PowerBanner control.
StartColor | Read-write property | Returns or sets the start colour of the gradient background
TextColor | Read-write property | Returns or sets the text color of a PowerBanner control.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click
DblClick | Occurs when the user presses and then releases a mouse button over a PowerBanner control
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a PowerBanner control
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.


%%localitemtitle%%

About method (asxPowerBanner)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.


%%localitemtitle%%

Refresh method (asxPowerBanner)

Description

Forces a complete repaint of a PowerBanner control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.


%%localitemtitle%%

BorderStyle property (asxPowerBanner)

Description

Returns or sets the border style of a PowerBanner control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

Enabled property (asxPowerBanner)

Description

Returns or sets a value that determines whether a Pager control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
value | A Boolean value.


%%localitemtitle%%

EndColor property

Description

Returns or sets the end colour of the gradient background

Property type

An OLE_COLOR object.

Syntax

[Set] object.EndColor [= OLE_COLOR]

The EndColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Font property (asxPowerBanner)

Description

Returns or sets the font used to display text in a PowerBanner control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
StdFont | A StdFont object.


%%localitemtitle%%

FormatString property

Description

Returns or sets the caption text of a PowerBanner control

Property type

A String value.

Syntax

object.FormatString [= value]

The FormatString Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
value | A String value.


%%localitemtitle%%

hDC property (asxPowerBanner)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a PowerBanner control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.


%%localitemtitle%%

hWnd property (asxPowerBanner)

Description

Returns a handle to a PowerBanner control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.


%%localitemtitle%%

MouseIcon property (asxPowerBanner)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxPowerBanner)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a PowerBanner control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Orientation property (asxPowerBanner)

Description

Returns or sets a value that determines the orientation (horizontal or vertical) of a PowerBanner control.

Property type

An IFCOrientations enumeration.

Syntax

object.Orientation [= value]

The Orientation Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
value | An IFCOrientations enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcoHorizontal | 0 | (Default) Drawn objects are positioned horizontally.
ifcoVertical | 1 | Drawn objects are positioned vertically.


%%localitemtitle%%

StartColor property

Description

Returns or sets the start colour of the gradient background

Property type

An OLE_COLOR object.

Syntax

[Set] object.StartColor [= OLE_COLOR]

The StartColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TextColor property (asxPowerBanner)

Description

Returns or sets the text color of a PowerBanner control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Version property (asxPowerBanner)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerBanner.
value | A String value.


%%localitemtitle%%

Click event (asxPowerBanner)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxPowerBanner object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxPowerBanner)

Description

Occurs when the user presses and then releases a mouse button over a PowerBanner control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxPowerBanner object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxPowerBanner)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a PowerBanner control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxPowerBanner object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxPowerBanner)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxPowerBanner object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxPowerBanner)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxPowerBanner object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxPowerButton control
Description

The asxPowerButton is an advanced command button control with dozens of extended features.

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a PowerButton control

Properties
Appearance | Read-write property | Returns or sets the paint style of a PowerButton control
BackColor | Read-write property | Returns or sets the background color of a PowerButton control.
BorderStyle | Read-write property | Returns or sets the border style of a PowerButton control
Caption | Read-write property | Determines the text displayed in a PowerButton control
CaptionAlignment | Read-write property | Specifies the position where the caption text is displayed.
CaptionOffsetX Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.
CaptionOffsetY Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.
CaptionTextAlignment | Read-write property | Specifies the alignment of the caption text itself when the text is multilined.
Checked Read-write property Specifies if the button is checked or not.

When the button is checked, it will be displayed using insert borders, and using the PictureDown image, if specified.
Clicked Read-write property Specifies if the control is pushed down or not.

This property is best designed for use when the Mode property is set to pbbmClickable
DropDownMenu Read-write property Allows you to associate a Menu control with the button, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown
DropDownParent Read-write property Allows you to associate the parent form of the menu specified with the DropDownMenu property, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown
DropDownWidth | Read-write property | Specifies the width of the dropdown portion of a button when the Mode property is set to either pbbmDropDown or pbbmDropDownNoSeparator.
Enabled | Read-write property | Returns or sets a value that determines whether a PowerButton control can respond to user-generated events.
FocusStyle | Read-write property | Specifies how the focus rectangle is displayed when the control receives the focus via either the mouse or keyboard
Font | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontBold | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontItalic | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontName | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontSize | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a PowerButton control
FontUnderline | Read-write property | Returns or sets the font used to display text in a PowerButton control
ForceDown Read-write property Specifies if the button is always displayed in the pushed mode no matter what the settings of the Clicked or Checked properties are.

This setting is ignored if the Mode property is set to pbbmDropDown.
ForceUp Read-write property Specifies is the button is always drawn in a normal state, even when checked, clicked, or pushed via the keyboard or mouse.

This setting is ignored if the Mode property is set to pbbmDropDown.
HighlightColor | Read-write property | Returns or sets the highlight color of a PowerButton control.
HighlightDkColor | Read-write property | Specifies the colour used to draw darker highlighted lines on the buttons borders
HotTracking Read-write property If set, then the caption text will be drawn in the colour specified by the HotTrackingColor when the mouse is positioned over the button.

HotTracking will not occur when the button is disabled.
HotTrackingColor Read-write property Specifies the colour to display caption text in when the HotTracking property is True and the mouse is position over the control.

HotTracking will not occur when the button is disabled.
MaskColor | Read-write property | Returns or sets a color in a controls picture to be a “mask” (that is, transparent).
Mode | Read-write property | Specifies a special mode with which the button operates.
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a PowerButton control.
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
PictureAlignment | Read-write property | Specifies the position with which any picture used by the button is displayed.
PictureDown | Read-write property | Sets the picture that is displayed when the button is either clicked, checked, has the ForceDown property set, or is currently pushed by either the keyboard or the mouse.
PictureOffsetX Read-write property Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.
PictureOffsetY Read-write property Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.
PictureOver | Read-write property | Sets the picture that is displayed when the mouse is over the button.
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ShadowColor | Read-write property | Returns or sets the shadow color of a PowerButton control.
ShadowDkColor | Read-write property | Specifies the colour used to draw dark shadowed lines on the buttons borders
SystemGraphic Read-write property Allows you to display a system image in the background of the button.

For example, you could use the scrollbar arrows to create scrolling controls, just like the asxPager control. Or you could create a fake titlebar by display the Close, Maximise and Minimise graphics.

If you want to use a simple button containing these images, then you should use the asxSysButton control instead, which is a very small lightweight control specifically designed for the system graphics.
TextColor | Read-write property | Returns or sets the text color of a PowerButton control.
UseMaskColor | Read-write property | Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Events
Checked | Occurs when the control is right clicked.
Click
Clicked | Occurs when the control is checked or unchecked by the user.
DblClick | Occurs when the user presses and then releases a mouse button over a PowerButton control
DropDownClicked | Occurs when the control is clicked or unclicked by the user.
KeyDown | Occurs when the mouse leaves the control.
KeyPress | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyUp | Occurs when the user presses and releases an ANSI key
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a PowerButton control
MouseEnter | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseLeave | Occurs when the mouse enters the control.
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MousePushed | Occurs before the menu is displayed when the control is clicked in DropDown mode.
MouseUp | Occurs when the user moves the mouse.
RightClick | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)


%%localitemtitle%%

About method (asxPowerButton)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.


%%localitemtitle%%

Refresh method (asxPowerButton)

Description

Forces a complete repaint of a PowerButton control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.


%%localitemtitle%%

Appearance property (asxPowerButton)

Description

Returns or sets the paint style of a PowerButton control

Property type

An IFCAppearances enumeration.

Syntax

object.Appearance [= value]

The Appearance Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCAppearances enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcaStandard | 0 | (Default) Objects are drawn using the default 3D style
ifcaFlat | 1 | Objects are drawn using a flat 3D style, generaly only when the mouse is hovered over the object


%%localitemtitle%%

BackColor property (asxPowerButton)

Description

Returns or sets the background color of a PowerButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderStyle property (asxPowerButton)

Description

Returns or sets the border style of a PowerButton control

Property type

An IFCPBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCPBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
pbbsNone | 0 | No borders are drawn
pbbsWindows3x | 1 | Borders are drawn in Windows 3.1 style
pbbsWindows95 | 2 | Borders are drawn in standard 3D
pbbsSingle | 3 | A single width border is drawn
pbbsRound | 4 | A round single width border is drawn
pbbsSunken | 5 | Borders are drawn in standard 3D, with slightly different drawing for lowered buttons


%%localitemtitle%%

Caption property (asxPowerButton)

Description

Determines the text displayed in a PowerButton control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A String value.


%%localitemtitle%%

CaptionAlignment property (asxPowerButton)

Description

Specifies the position where the caption text is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.CaptionAlignment [= value]

The CaptionAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

CaptionOffsetX property (asxPowerButton)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.

Property type

A Long value.

Syntax

object.CaptionOffsetX [= value]

The CaptionOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Long value.


%%localitemtitle%%

CaptionOffsetY property (asxPowerButton)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.

Property type

A Long value.

Syntax

object.CaptionOffsetY [= value]

The CaptionOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Long value.


%%localitemtitle%%

CaptionTextAlignment property (asxPowerButton)

Description

Specifies the alignment of the caption text itself when the text is multilined.

Property type

An IFCStandardAlignments enumeration.

Syntax

object.CaptionTextAlignment [= value]

The CaptionTextAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCStandardAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifsaLeft | 0 | (Default) Drawn objects are aligned to the left
ifsaRight | 1 | Drawn objects are aligned to the right
ifsaCenter | 2 | Drawn objects are center aligned


%%localitemtitle%%

Checked property (asxPowerButton)

Description

Specifies if the button is checked or not.

When the button is checked, it will be displayed using insert borders, and using the PictureDown image, if specified.

Property type

A Boolean value.

Syntax

object.Checked [= value]

The Checked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

Clicked property (asxPowerButton)

Description

Specifies if the control is pushed down or not.

This property is best designed for use when the Mode property is set to pbbmClickable

Property type

A Boolean value.

Syntax

object.Clicked [= value]

The Clicked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

DropDownMenu property (asxPowerButton)

Description

Allows you to associate a Menu control with the button, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown

Property type

An Object object.

Syntax

[Set] object.DropDownMenu [= Object]

The DropDownMenu Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
Object | An Object object.


%%localitemtitle%%

DropDownParent property (asxPowerButton)

Description

Allows you to associate the parent form of the menu specified with the DropDownMenu property, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown

Property type

An Object object.

Syntax

[Set] object.DropDownParent [= Object]

The DropDownParent Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
Object | An Object object.


%%localitemtitle%%

DropDownWidth property (asxPowerButton)

Description

Specifies the width of the dropdown portion of a button when the Mode property is set to either pbbmDropDown or pbbmDropDownNoSeparator.

Property type

A Long value.

Syntax

object.DropDownWidth [= value]

The DropDownWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Long value.


%%localitemtitle%%

Enabled property (asxPowerButton)

Description

Returns or sets a value that determines whether a PowerButton control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

FocusStyle property (asxPowerButton)

Description

Specifies how the focus rectangle is displayed when the control receives the focus via either the mouse or keyboard

Property type

An IFCFocusStyles enumeration.

Syntax

object.FocusStyle [= value]

The FocusStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCFocusStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aifsAroundButton | 0 | (Default) Focus rectangle is displayed around the button border
aifsAroundText | 1 | Focus rectangle is displayed around caption text
aifsNone | 2 | No focus rectangle is displayed


%%localitemtitle%%

Font property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A String value.


%%localitemtitle%%

FontSize property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxPowerButton)

Description

Returns or sets the font used to display text in a PowerButton control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

ForceDown property (asxPowerButton)

Description

Specifies if the button is always displayed in the pushed mode no matter what the settings of the Clicked or Checked properties are.

This setting is ignored if the Mode property is set to pbbmDropDown.

Property type

A Boolean value.

Syntax

object.ForceDown [= value]

The ForceDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

ForceUp property (asxPowerButton)

Description

Specifies is the button is always drawn in a normal state, even when checked, clicked, or pushed via the keyboard or mouse.

This setting is ignored if the Mode property is set to pbbmDropDown.

Property type

A Boolean value.

Syntax

object.ForceUp [= value]

The ForceUp Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

HighlightColor property (asxPowerButton)

Description

Returns or sets the highlight color of a PowerButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDkColor property (asxPowerButton)

Description

Specifies the colour used to draw darker highlighted lines on the buttons borders

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDkColor [= OLE_COLOR]

The HighlightDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HotTracking property (asxPowerButton)

Description

If set, then the caption text will be drawn in the colour specified by the HotTrackingColor when the mouse is positioned over the button.

HotTracking will not occur when the button is disabled.

Property type

A Boolean value.

Syntax

object.HotTracking [= value]

The HotTracking Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

HotTrackingColor property (asxPowerButton)

Description

Specifies the colour to display caption text in when the HotTracking property is True and the mouse is position over the control.

HotTracking will not occur when the button is disabled.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HotTrackingColor [= OLE_COLOR]

The HotTrackingColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

MaskColor property (asxPowerButton)

Description

Returns or sets a color in a controls picture to be a “mask” (that is, transparent).

Property type

An OLE_COLOR object.

Syntax

[Set] object.MaskColor [= OLE_COLOR]

The MaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Mode property (asxPowerButton)

Description

Specifies a special mode with which the button operates.

Property type

An IFCPBButtonModes enumeration.

Syntax

object.Mode [= value]

The Mode Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCPBButtonModes enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
pbbmNormal | 0 | (Default) Standard button operation
pbbmClickable | 1 | Button remains pressed when first pushed, then raised with second push
pbbmCheckedClickable | 2 | Same as pbbmClickable except that button is also checked when pushed
pbbmDropDown | 3 | Button displays a drop down menu button and splits into two seperate buttons
pbbmDropDownNoSeparator | 4 | Button displayed drop down arrow, but remains a single button


%%localitemtitle%%

MouseIcon property (asxPowerButton)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxPowerButton)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a PowerButton control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Picture property (asxPowerButton)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureAlignment property (asxPowerButton)

Description

Specifies the position with which any picture used by the button is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.PictureAlignment [= value]

The PictureAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

PictureDown property (asxPowerButton)

Description

Sets the picture that is displayed when the button is either clicked, checked, has the ForceDown property set, or is currently pushed by either the keyboard or the mouse.

Property type

A StdPicture object.

Syntax

[Set] object.PictureDown [= StdPicture]

The PictureDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureOffsetX property (asxPowerButton)

Description

Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.

Property type

A Long value.

Syntax

object.PictureOffsetX [= value]

The PictureOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Long value.


%%localitemtitle%%

PictureOffsetY property (asxPowerButton)

Description

Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.

Property type

A Long value.

Syntax

object.PictureOffsetY [= value]

The PictureOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Long value.


%%localitemtitle%%

PictureOver property (asxPowerButton)

Description

Sets the picture that is displayed when the mouse is over the button.

Property type

A StdPicture object.

Syntax

[Set] object.PictureOver [= StdPicture]

The PictureOver Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

Redraw property (asxPowerButton)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

ShadowColor property (asxPowerButton)

Description

Returns or sets the shadow color of a PowerButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDkColor property (asxPowerButton)

Description

Specifies the colour used to draw dark shadowed lines on the buttons borders

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDkColor [= OLE_COLOR]

The ShadowDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

SystemGraphic property (asxPowerButton)

Description

Allows you to display a system image in the background of the button.

For example, you could use the scrollbar arrows to create scrolling controls, just like the asxPager control. Or you could create a fake titlebar by display the Close, Maximise and Minimise graphics.

If you want to use a simple button containing these images, then you should use the asxSysButton control instead, which is a very small lightweight control specifically designed for the system graphics.

Property type

An IFCSBButtonStyles enumeration.

Syntax

object.SystemGraphic [= value]

The SystemGraphic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | An IFCSBButtonStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
sbbsCaptionClose | 0 | Close window
sbbsCaptionMinimise | 1 | Mimimise window
sbbsCaptionMaximise | 2 | Maximise window
sbbsCaptionRestore | 3 | Restore window
sbbsCaptionHelp | 4 | What's this Help
sbbsMenuArrow | 5 | Submenu marker
sbbsMenuCheck | 6 | Checked item marker
sbbsMenuBullet | 7 | Selected item marker
sbbsMenuArrowRight | 8 | Submenu marker
sbbsScrollUp | 9 | Up facing scroll
sbbsScrollDown | 10 | Down facing scroll
sbbsScrollLeft | 11 | Left facing scroll
sbbsScrollRight | 12 | Right facing scroll
sbbsScrollComboBox | 13 | Combobox dropdown button
sbbsScrollSizeGrip | 14 | Window size grip
sbbsScrollSizeGripRight | 15 | Window size grip
sbbsButtonCheck | 16 | Checkbox
sbbsButtonRadio | 17 | Option button
sbbsButton3DState | 18 | Checkbox
sbbsButtonPush | 19 | (Default) Command button
sbbsNoGraphic | 20 | No graphic


%%localitemtitle%%

TextColor property (asxPowerButton)

Description

Returns or sets the text color of a PowerButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

UseMaskColor property (asxPowerButton)

Description

Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Property type

A Boolean value.

Syntax

object.UseMaskColor [= value]

The UseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxPowerButton.
value | A Boolean value.


%%localitemtitle%%

Checked event (asxPowerButton)

Description

Occurs when the control is right clicked.

Syntax

Private Sub object_Checked([index], IsChecked)

The Checked Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
IsChecked | A Boolean value.


%%localitemtitle%%

Click event (asxPowerButton)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Clicked event (asxPowerButton)

Description

Occurs when the control is checked or unchecked by the user.

Syntax

Private Sub object_Clicked([index], IsClicked)

The Clicked Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
IsClicked | A Boolean value.


%%localitemtitle%%

DblClick event (asxPowerButton)

Description

Occurs when the user presses and then releases a mouse button over a PowerButton control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DropDownClicked event (asxPowerButton)

Description

Occurs when the control is clicked or unclicked by the user.

Syntax

Private Sub object_DropDownClicked([index])

The DropDownClicked Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

KeyDown event (asxPowerButton)

Description

Occurs when the mouse leaves the control.

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxPowerButton)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxPowerButton)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxPowerButton)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a PowerButton control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseEnter event (asxPowerButton)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseEnter([index])

The MouseEnter Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseLeave event (asxPowerButton)

Description

Occurs when the mouse enters the control.

Syntax

Private Sub object_MouseLeave([index])

The MouseLeave Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseMove event (asxPowerButton)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MousePushed event (asxPowerButton)

Description

Occurs before the menu is displayed when the control is clicked in DropDown mode.

Syntax

Private Sub object_MousePushed([index])

The MousePushed Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseUp event (asxPowerButton)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

RightClick event (asxPowerButton)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_RightClick([index])

The RightClick Event syntax has these parts:

Part | Description
object | An asxPowerButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

asxStatusBar control
Description

The asxStatusBar is a fully featured status bar control

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
AddPanel | Adds a new panel to a StatusBar control
AddPanelEx | Adds a new panel to a StatusBar control, and allows most properties to be set at the same time
DeletePanel | Deletes an existing panel from the control.
IsWithinPanel | Returns the index of a panel within the specified values
KeyToIndex | Returns the index of a panel identified by it's key
MovePanel | Swaps one panel with another in a StatusBar control
Refresh | Forces a complete repaint of a StatusBar control
RefreshPanel | Forces a complete repaint of a panel in a StatusBar control

Properties
BackColor | Read-write property | Returns or sets the background color of a StatusBar control.
BorderStyle | Read-write property | Returns or sets the border style of a StatusBar control
CapsLock | Read-only property | Returns if the Caps Lock indicator is set
DisabledText3D | Read-write property | Returns or sets if disable text is drawn in 3D using the HighlightColor and ShadowColor properties, or flat using the DisabledTextColor property
Enabled | Read-write property | Returns or sets a value that determines whether a GenericContainer control can respond to user-generated events.
Font | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontBold | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontItalic | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontName | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontSize | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a StatusBar control
FontUnderline | Read-write property | Returns or sets the font used to display text in a StatusBar control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a StatusBar control.
HighlightColor | Read-write property | Returns or sets the highlight color of a StatusBar control.
HighlightDkColor | Read-write property | Returns or sets the dark highlight colour of the control.
hWnd | Read-only property | Returns a handle to a StatusBar control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a StatusBar control.
MouseX | Read-only property | Returns the last X position of the mouse.
MouseY | Read-only property | Returns the last Y position of the mouse.
NumLock | Read-only property | Returns if the Num Lock indicator is set
Overtype | Read-only property | Returns if the Overtype indicator is set
PanelAlignment | Read-write property | Returns or sets the alignment of text within a panel
PanelAutoSize | Read-write property | Returns or sets if a panel resizes itself to fit it's contents
PanelBorderStyle | Read-write property | Returns or sets the border style of a panel in a StatusBar control
PanelCaption | Read-write property | Returns or sets the caption text of a panel in a StatusBar control
PanelClientHeight | Read-only property | Returns the height of a panel in a StatusBar control
PanelClientLeft | Read-only property | Returns the leftmost position of a panel in a StatusBar control
PanelClientTop | Read-only property | Returns the topmost position of a panel in a StatusBar control
PanelClientWidth | Read-only property | Returns the width of a panel in a StatusBar control
PanelCount | Read-only property | Returns the total number of panels in a StatusBar control
PanelDateTimeFormat | Read-write property | Returns or sets the date and time format of a panel in a StatusBar control
PanelEnabled | Read-write property | Returns or sets a value that determines whether a panel in a StatusBar control can respond to user-generated events.
PanelFontBold | Read-write property | Returns or sets if the panel is displayed in bold or not
PanelKey | Read-write property | Returns or sets the key of a panel in a StatusBar control
PanelMaskColor | Read-write property | Returns or sets a color in a panels picture to be a “mask” (that is, transparent).
PanelMode | Read-write property | Returns or sets the mode of a panel in a StatusBar control in which it operates
PanelPicture | Read-write property | Returns or sets a graphic to be displayed in a panel.
PanelTag | Read-write property | Returns or sets an expression that stores any extra data needed for your program. Unlike other properties, the value of the Tag property isn't used by Visual Basic; you can use this property to identify objects.
PanelTextColor | Read-write property | Returns or sets the text colour of a panel in a StatusBar control
PanelTextDisabledColor | Read-write property | Returns or sets the disabled text colour of a panel in a StatusBar control
PanelToolTipText | Read-write property | Returns or sets the ToolTip text of a panel in a StatusBar control
PanelUseMaskColor | Read-write property | Returns or sets a value that determines whether the color assigned in the PanelMaskColor property is used as a “mask”. (That is, used to create transparent regions.)
PanelVisible | Read-write property | Returns or sets if a panel is visible or not
PanelWidth | Read-write property | Returns or sets the width of a panel in a StatusBar control
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
Redraw | %%icondescription%%
ShadowColor | Read-write property | Returns or sets the shadow color of a StatusBar control.
ShadowDkColor | Read-write property | Returns or sets the dark shadow colour of the control.
ShangleVisible | Read-write property
ShowToolTips | Read-write property | Specifies if ToolTips are enabled for the StatusBar control
TextColor | Read-write property | Returns or sets the text color of a StatusBar control.
TextDisabledColor | Read-write property | Returns or sets the default disabled text color of a StatusBar control.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click
DblClick | Occurs when the user presses and then releases the right mouse button over a StatusBar control
MouseDown | Occurs when the user moves the mouse over a StatusBar control panel
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.
PanelClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a StatusBar control
PanelDblClick | Occurs when the user presses and then releases a mouse button over a StatusBar control panel
PanelMouseOver | Occurs when the user presses and then releases the right mouse button over a StatusBar control
PanelRightClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a StatusBar control panel
Resize | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
RightClick | Occurs when the user presses and then releases a mouse button over a StatusBar control


%%localitemtitle%%

About method (asxStatusBar)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

AddPanel method

Description

Adds a new panel to a StatusBar control

Return Type

An Integer value.

Syntax

object.AddPanel

The AddPanel Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

AddPanelEx method

Description

Adds a new panel to a StatusBar control, and allows most properties to be set at the same time

Return Type

An Integer value.

Syntax

object.AddPanelEx ([Key], [Caption], [BorderStyle], [Width], [Alignment], [Mode], [Picture], [ToolTipText], [Tag], [MaskColor], [UseMaskColor], [Enabled], [DateTimeFormat])

The AddPanelEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Key | Optional. A String value.
Caption | Optional. A String value.
BorderStyle | Optional. An IFCTBBorderStyles enumeration, as described in settings.
Width | Optional. A Single value.
Alignment | Optional. An IFCStandardAlignments enumeration, as described in settings.
Mode | Optional. An IFCSBPanelModes enumeration, as described in settings.
Picture | Optional. A StdPicture object.
ToolTipText | Optional. A String value.
Tag | Optional. A String value.
MaskColor | Optional. An OLE_COLOR object.
UseMaskColor | Optional. A Boolean value.
Enabled | Optional. A Boolean value.
DateTimeFormat | Optional. A String value.

Settings

The settings for BorderStyle are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border

The settings for Alignment are:

Constant | Value | Description
ifsaLeft | 0 | (Default) Drawn objects are aligned to the left
ifsaRight | 1 | Drawn objects are aligned to the right
ifsaCenter | 2 | Drawn objects are center aligned

The settings for Mode are:

Constant | Value | Description
sbpmNormal | 0 | (Default) Displayed text are drawn according to settings you provide
sbpmCaps | 1 | Panel acts as a Caps Lock indicator
sbpmNum | 2 | Panel acts as a Num Lock indicator
sbpmOver | 3 | Panel acts as a Overtype indicator
sppmScroll | 4 | Panel acts as a Scroll Lock indicator
eppmDateTime | 5 | Panel displays the date and time


%%localitemtitle%%

DeletePanel method

Description

Deletes an existing panel from the control.

Return Type

An Integer value.

Syntax

object.DeletePanel (Index)

The DeletePanel Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

IsWithinPanel method

Description

Returns the index of a panel within the specified values

Return Type

An Integer value.

Syntax

object.IsWithinPanel (X, Y)

The IsWithinPanel Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
X | Required. A Single value.
Y | Required. A Single value.


%%localitemtitle%%

KeyToIndex method (asxStatusBar)

Description

Returns the index of a panel identified by it's key

Return Type

An Integer value.

Syntax

object.KeyToIndex (Index)

The KeyToIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

MovePanel method

Description

Swaps one panel with another in a StatusBar control

Return Type

An Integer value.

Syntax

object.MovePanel (CurIndex, NewIndex)

The MovePanel Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
CurIndex | Required. A Variant value.
NewIndex | Required. A Variant value.


%%localitemtitle%%

Refresh method (asxStatusBar)

Description

Forces a complete repaint of a StatusBar control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

RefreshPanel method

Description

Forces a complete repaint of a panel in a StatusBar control

Return Type

None

Syntax

object.RefreshPanel Index

The RefreshPanel Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

BackColor property (asxStatusBar)

Description

Returns or sets the background color of a StatusBar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderStyle property (asxStatusBar)

Description

Returns or sets the border style of a StatusBar control

Property type

An IFCTBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | An IFCTBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

CapsLock property

Description

Returns if the Caps Lock indicator is set

Property type

A Boolean value.

Syntax

object.CapsLock

The CapsLock Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

DisabledText3D property (asxStatusBar)

Description

Returns or sets if disable text is drawn in 3D using the HighlightColor and ShadowColor properties, or flat using the DisabledTextColor property

Property type

A Boolean value.

Syntax

object.DisabledText3D [= value]

The DisabledText3D Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

Enabled property (asxStatusBar)

Description

Returns or sets a value that determines whether a GenericContainer control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

Font property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A String value.


%%localitemtitle%%

FontSize property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxStatusBar)

Description

Returns or sets the font used to display text in a StatusBar control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxStatusBar)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a StatusBar control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

HighlightColor property (asxStatusBar)

Description

Returns or sets the highlight color of a StatusBar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDkColor property (asxStatusBar)

Description

Returns or sets the dark highlight colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDkColor [= OLE_COLOR]

The HighlightDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxStatusBar)

Description

Returns a handle to a StatusBar control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

MouseIcon property (asxStatusBar)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxStatusBar)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a StatusBar control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

MouseX property

Description

Returns the last X position of the mouse.

Property type

A Single value.

Syntax

object.MouseX

The MouseX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

MouseY property (asxStatusBar)

Description

Returns the last Y position of the mouse.

Property type

A Single value.

Syntax

object.MouseY

The MouseY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

NumLock property

Description

Returns if the Num Lock indicator is set

Property type

A Boolean value.

Syntax

object.NumLock

The NumLock Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

Overtype property

Description

Returns if the Overtype indicator is set

Property type

A Boolean value.

Syntax

object.Overtype

The Overtype Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

PanelAlignment property

Description

Returns or sets the alignment of text within a panel

Property type

An IFCStandardAlignments enumeration.

Syntax

object.PanelAlignment(Index) [= value]

The PanelAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | An IFCStandardAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifsaLeft | 0 | (Default) Drawn objects are aligned to the left
ifsaRight | 1 | Drawn objects are aligned to the right
ifsaCenter | 2 | Drawn objects are center aligned


%%localitemtitle%%

PanelAutoSize property

Description

Returns or sets if a panel resizes itself to fit it's contents

Property type

A Boolean value.

Syntax

object.PanelAutoSize(Index) [= value]

The PanelAutoSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PanelBorderStyle property

Description

Returns or sets the border style of a panel in a StatusBar control

Property type

An IFCTBBorderStyles enumeration.

Syntax

object.PanelBorderStyle(Index) [= value]

The PanelBorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | An IFCTBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

PanelCaption property

Description

Returns or sets the caption text of a panel in a StatusBar control

Property type

A String value.

Syntax

object.PanelCaption(Index) [= value]

The PanelCaption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PanelClientHeight property

Description

Returns the height of a panel in a StatusBar control

Property type

A Single value.

Syntax

object.PanelClientHeight(Index)

The PanelClientHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

PanelClientLeft property

Description

Returns the leftmost position of a panel in a StatusBar control

Property type

A Single value.

Syntax

object.PanelClientLeft(Index)

The PanelClientLeft Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

PanelClientTop property

Description

Returns the topmost position of a panel in a StatusBar control

Property type

A Single value.

Syntax

object.PanelClientTop(Index)

The PanelClientTop Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

PanelClientWidth property

Description

Returns the width of a panel in a StatusBar control

Property type

A Single value.

Syntax

object.PanelClientWidth(Index)

The PanelClientWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.


%%localitemtitle%%

PanelCount property

Description

Returns the total number of panels in a StatusBar control

Property type

An Integer value.

Syntax

object.PanelCount

The PanelCount Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.


%%localitemtitle%%

PanelDateTimeFormat property

Description

Returns or sets the date and time format of a panel in a StatusBar control

Property type

A String value.

Syntax

object.PanelDateTimeFormat(Index) [= value]

The PanelDateTimeFormat Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PanelEnabled property

Description

Returns or sets a value that determines whether a panel in a StatusBar control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.PanelEnabled(Index) [= value]

The PanelEnabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PanelFontBold property

Description

Returns or sets if the panel is displayed in bold or not

Property type

A Boolean value.

Syntax

object.PanelFontBold(Index) [= value]

The PanelFontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PanelKey property

Description

Returns or sets the key of a panel in a StatusBar control

Property type

A String value.

Syntax

object.PanelKey(Index) [= value]

The PanelKey Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PanelMaskColor property

Description

Returns or sets a color in a panels picture to be a “mask” (that is, transparent).

Property type

An OLE_COLOR object.

Syntax

[Set] object.PanelMaskColor(Index) [= OLE_COLOR]

The PanelMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PanelMode property

Description

Returns or sets the mode of a panel in a StatusBar control in which it operates

Property type

An IFCSBPanelModes enumeration.

Syntax

object.PanelMode(Index) [= value]

The PanelMode Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | An IFCSBPanelModes enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
sbpmNormal | 0 | (Default) Displayed text are drawn according to settings you provide
sbpmCaps | 1 | Panel acts as a Caps Lock indicator
sbpmNum | 2 | Panel acts as a Num Lock indicator
sbpmOver | 3 | Panel acts as a Overtype indicator
sppmScroll | 4 | Panel acts as a Scroll Lock indicator
eppmDateTime | 5 | Panel displays the date and time


%%localitemtitle%%

PanelPicture property

Description

Returns or sets a graphic to be displayed in a panel.

Property type

A StdPicture object.

Syntax

[Set] object.PanelPicture(Index) [= StdPicture]

The PanelPicture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

PanelTag property

Description

Returns or sets an expression that stores any extra data needed for your program. Unlike other properties, the value of the Tag property isn't used by Visual Basic; you can use this property to identify objects.

Property type

A String value.

Syntax

object.PanelTag(Index) [= value]

The PanelTag Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PanelTextColor property

Description

Returns or sets the text colour of a panel in a StatusBar control

Property type

An OLE_COLOR object.

Syntax

[Set] object.PanelTextColor(Index) [= OLE_COLOR]

The PanelTextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PanelTextDisabledColor property

Description

Returns or sets the disabled text colour of a panel in a StatusBar control

Property type

An OLE_COLOR object.

Syntax

[Set] object.PanelTextDisabledColor(Index) [= OLE_COLOR]

The PanelTextDisabledColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

PanelToolTipText property

Description

Returns or sets the ToolTip text of a panel in a StatusBar control

Property type

A String value.

Syntax

object.PanelToolTipText(Index) [= value]

The PanelToolTipText Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

PanelUseMaskColor property

Description

Returns or sets a value that determines whether the color assigned in the PanelMaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Property type

A Boolean value.

Syntax

object.PanelUseMaskColor(Index) [= value]

The PanelUseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PanelVisible property

Description

Returns or sets if a panel is visible or not

Property type

A Boolean value.

Syntax

object.PanelVisible(Index) [= value]

The PanelVisible Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

PanelWidth property

Description

Returns or sets the width of a panel in a StatusBar control

Property type

A Single value.

Syntax

object.PanelWidth(Index) [= value]

The PanelWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
Index | Required. A Variant value.
value | A Single value.


%%localitemtitle%%

Picture property (asxStatusBar)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
StdPicture | A StdPicture object.


%%localitemtitle%%

Redraw property (asxStatusBar)

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

ShadowColor property (asxStatusBar)

Description

Returns or sets the shadow color of a StatusBar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDkColor property (asxStatusBar)

Description

Returns or sets the dark shadow colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDkColor [= OLE_COLOR]

The ShadowDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShangleVisible property

Property type

A Boolean value.

Syntax

object.ShangleVisible [= value]

The ShangleVisible Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

ShowToolTips property (asxStatusBar)

Description

Specifies if ToolTips are enabled for the StatusBar control

Property type

A Boolean value.

Syntax

object.ShowToolTips [= value]

The ShowToolTips Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A Boolean value.


%%localitemtitle%%

TextColor property (asxStatusBar)

Description

Returns or sets the text color of a StatusBar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TextDisabledColor property (asxStatusBar)

Description

Returns or sets the default disabled text color of a StatusBar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextDisabledColor [= OLE_COLOR]

The TextDisabledColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Version property (asxStatusBar)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxStatusBar.
value | A String value.


%%localitemtitle%%

Click event (asxStatusBar)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxStatusBar)

Description

Occurs when the user presses and then releases the right mouse button over a StatusBar control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxStatusBar)

Description

Occurs when the user moves the mouse over a StatusBar control panel

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxStatusBar)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxStatusBar)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

PanelClick event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a StatusBar control

Syntax

Private Sub object_PanelClick([index], PanelIndex, PanelKey)

The PanelClick Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
PanelIndex | An Integer value.
PanelKey | A String value.


%%localitemtitle%%

PanelDblClick event

Description

Occurs when the user presses and then releases a mouse button over a StatusBar control panel

Syntax

Private Sub object_PanelDblClick([index], PanelIndex, PanelKey)

The PanelDblClick Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
PanelIndex | An Integer value.
PanelKey | A String value.


%%localitemtitle%%

PanelMouseOver event

Description

Occurs when the user presses and then releases the right mouse button over a StatusBar control

Syntax

Private Sub object_PanelMouseOver([index], PanelIndex, PanelKey)

The PanelMouseOver Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
PanelIndex | An Integer value.
PanelKey | A String value.


%%localitemtitle%%

PanelRightClick event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a StatusBar control panel

Syntax

Private Sub object_PanelRightClick([index], PanelIndex, PanelKey)

The PanelRightClick Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.
PanelIndex | An Integer value.
PanelKey | A String value.


%%localitemtitle%%

Resize event (asxStatusBar)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_Resize([index])

The Resize Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

RightClick event (asxStatusBar)

Description

Occurs when the user presses and then releases a mouse button over a StatusBar control

Syntax

Private Sub object_RightClick([index])

The RightClick Event syntax has these parts:

Part | Description
object | An asxStatusBar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

asxSysButton control
Description

The asxSysButton control is a small button control which displays system graphics

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a SysButton control

Properties
AutoButton | Read-write property | Returns or sets if the SysButton control acts as a true button
ButtonFlags | Read-write property | Returns or sets flags which alter the appearance and behaviour of the button
ButtonStyle | Read-write property | Returns or sets the style of the button
Enabled | Read-write property | Returns or sets a value that determines whether a SysButton control can respond to user-generated events.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a SysButton control.
hWnd | Read-only property | Returns a handle to a SysButton control
Margin | Read-write property | Returns or sets the margin offsets to which the button will be drawn
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a SysButton control.
Picture | Read-only property | Returns a graphic of the button face
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
Click
DblClick | Occurs when the user presses and then releases a mouse button over a SysButton control
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a SysButton control
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user moves the mouse.


%%localitemtitle%%

About method (asxSysButton)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.


%%localitemtitle%%

Refresh method (asxSysButton)

Description

Forces a complete repaint of a SysButton control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.


%%localitemtitle%%

AutoButton property

Description

Returns or sets if the SysButton control acts as a true button

Property type

A Boolean value.

Syntax

object.AutoButton [= value]

The AutoButton Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | A Boolean value.


%%localitemtitle%%

ButtonFlags property

Description

Returns or sets flags which alter the appearance and behaviour of the button

Property type

An IFCSBButtonFlags enumeration.

Syntax

object.ButtonFlags [= value]

The ButtonFlags Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | An IFCSBButtonFlags enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
sbbfNone | &H0 | (Default) No flags set
sbbfInactive | &H100 | Button is disabled
sbbfPushed | &H200 | Button is pushed (lowered)
sbbfChecked | &H400 | Button is checked
sbbfAdjustrect | &H2000
sbbfFlat | &H4000 | Button is flat
sbbfMono | &H8000 | Button sbbfMono is drawn in mono colours


%%localitemtitle%%

ButtonStyle property (asxSysButton)

Description

Returns or sets the style of the button

Property type

An IFCSBButtonStyles enumeration.

Syntax

object.ButtonStyle [= value]

The ButtonStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | An IFCSBButtonStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
sbbsCaptionClose | 0 | Close window
sbbsCaptionMinimise | 1 | Mimimise window
sbbsCaptionMaximise | 2 | Maximise window
sbbsCaptionRestore | 3 | Restore window
sbbsCaptionHelp | 4 | What's this Help
sbbsMenuArrow | 5 | Submenu marker
sbbsMenuCheck | 6 | Checked item marker
sbbsMenuBullet | 7 | Selected item marker
sbbsMenuArrowRight | 8 | Submenu marker
sbbsScrollUp | 9 | Up facing scroll
sbbsScrollDown | 10 | Down facing scroll
sbbsScrollLeft | 11 | Left facing scroll
sbbsScrollRight | 12 | Right facing scroll
sbbsScrollComboBox | 13 | Combobox dropdown button
sbbsScrollSizeGrip | 14 | Window size grip
sbbsScrollSizeGripRight | 15 | Window size grip
sbbsButtonCheck | 16 | Checkbox
sbbsButtonRadio | 17 | Option button
sbbsButton3DState | 18 | Checkbox
sbbsButtonPush | 19 | (Default) Command button
sbbsNoGraphic | 20 | No graphic


%%localitemtitle%%

Enabled property (asxSysButton)

Description

Returns or sets a value that determines whether a SysButton control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxSysButton)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a SysButton control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.


%%localitemtitle%%

hWnd property (asxSysButton)

Description

Returns a handle to a SysButton control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.


%%localitemtitle%%

Margin property

Description

Returns or sets the margin offsets to which the button will be drawn

Property type

A Single value.

Syntax

object.Margin [= value]

The Margin Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | A Single value.


%%localitemtitle%%

MouseIcon property (asxSysButton)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxSysButton)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a SysButton control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Picture property (asxSysButton)

Description

Returns a graphic of the button face

Property type

A StdPicture object.

Syntax

object.Picture

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.


%%localitemtitle%%

Version property (asxSysButton)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxSysButton.
value | A String value.


%%localitemtitle%%

Click event (asxSysButton)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxSysButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxSysButton)

Description

Occurs when the user presses and then releases a mouse button over a SysButton control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxSysButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxSysButton)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a SysButton control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxSysButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxSysButton)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxSysButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxSysButton)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxSysButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

asxToolbar control
Description

The asxToolbar is a powerful toolbar control

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
AddButton | Adds a new blank button to the control.
AddButtonEx | Adds a new button to the control, optionally allowing many of it's properties to be set at once.
DeleteButton | Deletes an existing button from the control.
ForceClick | Forces a button to be clicked and to raise appropriate events.
ForceResize | Forces the Resize() event to be raised
IsWithinButton | Returns a value indicating which button is within a specified set of co-ordinates, or zero if one does not.
KeyToIndex | Returns the integer index value of a button identified by either it's Key property or index.
PictureHeight | Returns the height, in pixels, of a picture in a button.
PictureWidth | Returns the width, in pixels, of a picture in a button.
Refresh | Forces a complete repaint of a Toolbar control
RefreshButton | Forces a complete repaint of a button in a Toolbar control
SwapButton | Swaps one button with another.

Properties
Appearance | Read-write property | Returns or sets the paint style of a Toolbar control
AutoSize Read-write property Returns or sets if the control automatically resizes itself to ensure that all buttons are visible.

This property is best used when the Toolbar control is hosted in other controls, such as the asxPager control.
BackColor | Read-write property | Returns or sets the background color of a Toolbar control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a Toolbar control is transparent or opaque.
BoldOnChecked | Read-write property | Returns or sets if captions are displayed in Bold text when buttons are checked.
BorderBottom | Read-write property | Returns or sets if the bottom border is drawn
BorderLeft | Read-write property | Returns or sets if the left border is drawn
BorderRight | Read-write property | Returns or sets if the right border is drawn
BorderStyle | Read-write property | Returns or sets the border style of a Toolbar control
BorderTop | Read-write property | Returns or sets if the top border is drawn
Button | Read-only property | Returns a direct button object.
ButtonAlwaysShowCaption Read-write property Returns or sets if the caption is always displayed on a button.

The value of this property is ignored if the CaptionOptions property is set to iftoNoLabels.
ButtonCaption Read-write property Returns or sets the caption text of a button.

Please note that, depending on the setting of the CaptionOptions properties button captions may not be displayed.
ButtonChecked | Read-write property | Returns or sets if a button is drawn checked and pressed.
ButtonClientHeight | Read-only property | Returns the height, in pixels, of a button.
ButtonClientLeft | Read-only property | Returns the left position, in pixels, of a button.
ButtonClientTop | Read-only property | Returns the top position, in pixels, of a button.
ButtonClientWidth | Read-only property | Returns the width, in pixels, of a button.
ButtonCount | Read-only property | Returns the total number of buttons in the control.
ButtonDescription Read-write property Returns or sets a description associated with a button.

This property is not used directly by the control, however third party code such as Ariad's Common Dialogs feature a Toolbar Customisation dialog (source available) which uses this property.
ButtonDithered | Read-write property | Returns or sets if a button is drawn Dithered and pressed.
ButtonEnabled | Read-write property | Returns or sets if a button is enabled for user access or not.
ButtonGap | Read-write property | Returns or sets the gaps between buttons.
ButtonGroupID | Read-write property | Returns or sets the group ID of a button for creating toggle groups.
ButtonKey | Read-write property | Returns or sets an unique key to indentify a button.
ButtonMaskColor | Read-write property | Returns or sets the mask colour of a button, allowing button pictures to be transparent.
ButtonPicture | Read-write property | Returns or sets the default picture drawn on a button.
ButtonPictureDown | Read-write property | Returns or sets the picture drawn on a button when it is pressed or checked.
ButtonPictureOver | Read-write property | Returns or sets the picture drawn on a button when the mouse hovers over it.
ButtonPlaceholderWidth Read-write property Returns or sets the width of a button.

This property is only used when the ButtonStyle property is set to tbbsPlaceholder
ButtonStyle | Read-write property | Returns or sets the style of a button.
ButtonToolTipText | Read-write property | Returns or sets the popup ToolTip text associated with a button.
ButtonUseMaskColor | Read-write property | Returns or sets if a button uses the ButtonMaskColor property to create transparent bitmaps or not.
ButtonVisible | Read-write property | Returns or sets if a button is visible or not.
CaptionAlignment | Read-write property | Returns or sets the position of caption text related to button pictures.
CaptionOptions | Read-write property | Returns or sets how button captions are displayed.
CurrentGroupID | Read-only property | Returns the selected button in the specified group.
DisabledText3D | Read-write property | Returns or sets if the captions on disabled buttons are drawn in 3D text or not.
DoubleBottomBorder | Read-write property | Returns or sets if the bottom border is doubled, similar to a Frame border
DoubleTopBorder | Read-write property | Returns or sets if the top border is doubled, similar to a Frame border
Enabled | Read-write property | Returns or sets a value that determines whether a Toolbar control can respond to user-generated events.
FixedSize | Read-write property | Returns or sets the size of buttons when the Style property is set to tbtsFixed
Font | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontBold | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontItalic | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontName | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontSize | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a Toolbar control
FontUnderline | Read-write property | Returns or sets the font used to display text in a Toolbar control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Toolbar control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Toolbar control.
HighlightDarkColor | Read-write property | Returns or sets the dark highlight colour of the control.
HotTracking | Read-write property | Returns or sets if hottracking is used to colour button captions as the mouse moves over a button.
HotTrackingColor | Read-write property | Returns or sets colour used to draw button captions when the HotTracking property is specified and the mouse is hovered over a button.
hWnd | Read-only property | Returns a handle to a Toolbar control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Toolbar control.
MouseY | Read-only property | Returns the last Y position of the mouse.
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
PlaySounds | Read-write property | Returns or sets if sounds are played when buttons in a Toolbar control are clicked
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ScaleHeight | Read-only property | Returns the height, in pixels, of the control.
ScaleWidth | Read-only property | Returns the width, in pixels, of the control.
ShadowColor | Read-write property | Returns or sets the shadow color of a Toolbar control.
ShadowDarkColor | Read-write property | Returns or sets the dark shadow colour of the control.
ShowSeparators | Read-write property | Returns or sets if seperators are automatically displayed between buttons when the ButtonGap property is specifed and the Appearance property is set to ifcaFlat
ShowToolTips | Read-write property | Specifies if ToolTips are enabled for the Toolbar control
SolidChecked | Read-write property | Returns or sets if double lowered borders are drawn when a button is checked.
Style | Read-write property | Returns or sets how buttons are sized.
TextColor | Read-write property | Returns or sets the text color of a Toolbar control.
TextDisabledColor Read-write property Returns or sets the colour used to draw disabled captions.

This property is only used when the DisabledText3D property is False.
ToolTipFont | Read-write property | Returns or sets the font used for displaying popup tooltips.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
BeforeButtonClick
ButtonClick
ButtonMouseOver
ButtonRightClick
Click
DblClick | Occurs when the user presses and then releases a mouse button over a Toolbar control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseUp | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Toolbar control
Resize | Occurs when the user moves the mouse.
RightClick | Occurs when Toolbar control window size is changed


%%localitemtitle%%

About method (asxToolbar)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

AddButton method (asxToolbar)

Description

Adds a new blank button to the control.

Return Type

An Integer value.

Syntax

object.AddButton

The AddButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

AddButtonEx method (asxToolbar)

Description

Adds a new button to the control, optionally allowing many of it's properties to be set at once.

Return Type

An Integer value.

Syntax

object.AddButtonEx ([Key], [Style], [Picture], [ToolTipText], [MaskColor], [UseMaskColor], [Caption], [Checked], [Enabled], [PlaceholderWidth], [Visible])

The AddButtonEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Key | Optional. A String value.
Style | Optional. An IFCTBButtonStyles enumeration, as described in settings.
Picture | Optional. A StdPicture object.
ToolTipText | Optional. A String value.
MaskColor | Optional. An OLE_COLOR object.
UseMaskColor | Optional. A Boolean value.
Caption | Optional. A String value.
Checked | Optional. A Boolean value.
Enabled | Optional. A Boolean value.
PlaceholderWidth | Optional. A Single value.
Visible | Optional. A Boolean value.

Settings

The settings for Style are:

Constant | Value | Description
tbbsPlaceholder | 0 | A holder for another control - no visible button elements
tbbsButton | 1 | (Default) A standard clickable button
tbbsSeparator | 2 | A separator between buttons


%%localitemtitle%%

DeleteButton method (asxToolbar)

Description

Deletes an existing button from the control.

Return Type

An Integer value.

Syntax

object.DeleteButton (Index)

The DeleteButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ForceClick method (asxToolbar)

Description

Forces a button to be clicked and to raise appropriate events.

Return Type

None

Syntax

object.ForceClick Index

The ForceClick Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ForceResize method (asxToolbar)

Description

Forces the Resize() event to be raised

Return Type

None

Syntax

object.ForceResize

The ForceResize Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

IsWithinButton method (asxToolbar)

Description

Returns a value indicating which button is within a specified set of co-ordinates, or zero if one does not.

Return Type

An Integer value.

Syntax

object.IsWithinButton (X, Y)

The IsWithinButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
X | Required. A Single value.
Y | Required. A Single value.


%%localitemtitle%%

KeyToIndex method (asxToolbar)

Description

Returns the integer index value of a button identified by either it's Key property or index.

Return Type

An Integer value.

Syntax

object.KeyToIndex (Index)

The KeyToIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

PictureHeight method

Description

Returns the height, in pixels, of a picture in a button.

Return Type

A Single value.

Syntax

object.PictureHeight ([What])

The PictureHeight Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
What | Optional. An IFCWhatPictures enumeration, as described in settings.

Settings

The settings for What are:

Constant | Value | Description
ifwpPicNormal | 0 | (Default) Images are displayed from the Picture property
ifwpPicOver | 1 | Images are displayed from the PictureOver property
ifwpPicDown | 2 | Images are displayed from the PictureDown property


%%localitemtitle%%

PictureWidth method

Description

Returns the width, in pixels, of a picture in a button.

Return Type

A Single value.

Syntax

object.PictureWidth ([What])

The PictureWidth Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
What | Optional. An IFCWhatPictures enumeration, as described in settings.

Settings

The settings for What are:

Constant | Value | Description
ifwpPicNormal | 0 | (Default) Images are displayed from the Picture property
ifwpPicOver | 1 | Images are displayed from the PictureOver property
ifwpPicDown | 2 | Images are displayed from the PictureDown property


%%localitemtitle%%

Refresh method (asxToolbar)

Description

Forces a complete repaint of a Toolbar control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

RefreshButton method (asxToolbar)

Description

Forces a complete repaint of a button in a Toolbar control

Return Type

None

Syntax

object.RefreshButton Index, [ButtonLowered], [ForceNoBorder]

The RefreshButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
ButtonLowered | Optional. A Boolean value.
ForceNoBorder | Optional. A Boolean value.


%%localitemtitle%%

SwapButton method (asxToolbar)

Description

Swaps one button with another.

Return Type

An Integer value.

Syntax

object.SwapButton (CurIndex, NewIndex)

The SwapButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
CurIndex | Required. A Variant value.
NewIndex | Required. A Variant value.


%%localitemtitle%%

Appearance property (asxToolbar)

Description

Returns or sets the paint style of a Toolbar control

Property type

An IFCAppearances enumeration.

Syntax

object.Appearance [= value]

The Appearance Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCAppearances enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcaStandard | 0 | (Default) Objects are drawn using the default 3D style
ifcaFlat | 1 | Objects are drawn using a flat 3D style, generaly only when the mouse is hovered over the object


%%localitemtitle%%

AutoSize property (asxToolbar)

Description

Returns or sets if the control automatically resizes itself to ensure that all buttons are visible.

This property is best used when the Toolbar control is hosted in other controls, such as the asxPager control.

Property type

A Boolean value.

Syntax

object.AutoSize [= value]

The AutoSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

BackColor property (asxToolbar)

Description

Returns or sets the background color of a Toolbar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxToolbar)

Description

Returns or sets a value indicating whether the background of a Toolbar control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BoldOnChecked property

Description

Returns or sets if captions are displayed in Bold text when buttons are checked.

Property type

A Boolean value.

Syntax

object.BoldOnChecked [= value]

The BoldOnChecked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

BorderBottom property (asxToolbar)

Description

Returns or sets if the bottom border is drawn

Property type

A Boolean value.

Syntax

object.BorderBottom [= value]

The BorderBottom Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

BorderLeft property (asxToolbar)

Description

Returns or sets if the left border is drawn

Property type

A Boolean value.

Syntax

object.BorderLeft [= value]

The BorderLeft Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

BorderRight property (asxToolbar)

Description

Returns or sets if the right border is drawn

Property type

A Boolean value.

Syntax

object.BorderRight [= value]

The BorderRight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

BorderStyle property (asxToolbar)

Description

Returns or sets the border style of a Toolbar control

Property type

An IFCTBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCTBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

BorderTop property (asxToolbar)

Description

Returns or sets if the top border is drawn

Property type

A Boolean value.

Syntax

object.BorderTop [= value]

The BorderTop Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

Button property

Description

Returns a direct button object.

Property type

An Object object.

Syntax

object.Button(Index)

The Button Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonAlwaysShowCaption property

Description

Returns or sets if the caption is always displayed on a button.

The value of this property is ignored if the CaptionOptions property is set to iftoNoLabels.

Property type

A Boolean value.

Syntax

object.ButtonAlwaysShowCaption(Index) [= value]

The ButtonAlwaysShowCaption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonCaption property (asxToolbar)

Description

Returns or sets the caption text of a button.

Please note that, depending on the setting of the CaptionOptions properties button captions may not be displayed.

Property type

A String value.

Syntax

object.ButtonCaption(Index) [= value]

The ButtonCaption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonChecked property

Description

Returns or sets if a button is drawn checked and pressed.

Property type

A Boolean value.

Syntax

object.ButtonChecked(Index) [= value]

The ButtonChecked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonClientHeight property

Description

Returns the height, in pixels, of a button.

Property type

A Single value.

Syntax

object.ButtonClientHeight(Index)

The ButtonClientHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonClientLeft property

Description

Returns the left position, in pixels, of a button.

Property type

A Single value.

Syntax

object.ButtonClientLeft(Index)

The ButtonClientLeft Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonClientTop property

Description

Returns the top position, in pixels, of a button.

Property type

A Single value.

Syntax

object.ButtonClientTop(Index)

The ButtonClientTop Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonClientWidth property

Description

Returns the width, in pixels, of a button.

Property type

A Single value.

Syntax

object.ButtonClientWidth(Index)

The ButtonClientWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.


%%localitemtitle%%

ButtonCount property (asxToolbar)

Description

Returns the total number of buttons in the control.

Property type

An Integer value.

Syntax

object.ButtonCount

The ButtonCount Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

ButtonDescription property

Description

Returns or sets a description associated with a button.

This property is not used directly by the control, however third party code such as Ariad's Common Dialogs feature a Toolbar Customisation dialog (source available) which uses this property.

Property type

A String value.

Syntax

object.ButtonDescription(Index) [= value]

The ButtonDescription Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonDithered property

Description

Returns or sets if a button is drawn Dithered and pressed.

Property type

A Boolean value.

Syntax

object.ButtonDithered(Index) [= value]

The ButtonDithered Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonEnabled property (asxToolbar)

Description

Returns or sets if a button is enabled for user access or not.

Property type

A Boolean value.

Syntax

object.ButtonEnabled(Index) [= value]

The ButtonEnabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonGap property (asxToolbar)

Description

Returns or sets the gaps between buttons.

Property type

An Integer value.

Syntax

object.ButtonGap [= value]

The ButtonGap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An Integer value.


%%localitemtitle%%

ButtonGroupID property

Description

Returns or sets the group ID of a button for creating toggle groups.

Property type

An Integer value.

Syntax

object.ButtonGroupID(Index) [= value]

The ButtonGroupID Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | An Integer value.


%%localitemtitle%%

ButtonKey property (asxToolbar)

Description

Returns or sets an unique key to indentify a button.

Property type

A String value.

Syntax

object.ButtonKey(Index) [= value]

The ButtonKey Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonMaskColor property (asxToolbar)

Description

Returns or sets the mask colour of a button, allowing button pictures to be transparent.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonMaskColor(Index) [= OLE_COLOR]

The ButtonMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonPicture property (asxToolbar)

Description

Returns or sets the default picture drawn on a button.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPicture(Index) [= StdPicture]

The ButtonPicture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureDown property (asxToolbar)

Description

Returns or sets the picture drawn on a button when it is pressed or checked.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureDown(Index) [= StdPicture]

The ButtonPictureDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureOver property (asxToolbar)

Description

Returns or sets the picture drawn on a button when the mouse hovers over it.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureOver(Index) [= StdPicture]

The ButtonPictureOver Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPlaceholderWidth property

Description

Returns or sets the width of a button.

This property is only used when the ButtonStyle property is set to tbbsPlaceholder

Property type

A Single value.

Syntax

object.ButtonPlaceholderWidth(Index) [= value]

The ButtonPlaceholderWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Single value.


%%localitemtitle%%

ButtonStyle property (asxToolbar)

Description

Returns or sets the style of a button.

Property type

An IFCTBButtonStyles enumeration.

Syntax

object.ButtonStyle(Index) [= value]

The ButtonStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | An IFCTBButtonStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbbsPlaceholder | 0 | A holder for another control - no visible button elements
tbbsButton | 1 | (Default) A standard clickable button
tbbsSeparator | 2 | A separator between buttons


%%localitemtitle%%

ButtonToolTipText property (asxToolbar)

Description

Returns or sets the popup ToolTip text associated with a button.

Property type

A String value.

Syntax

object.ButtonToolTipText(Index) [= value]

The ButtonToolTipText Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonUseMaskColor property (asxToolbar)

Description

Returns or sets if a button uses the ButtonMaskColor property to create transparent bitmaps or not.

Property type

A Boolean value.

Syntax

object.ButtonUseMaskColor(Index) [= value]

The ButtonUseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonVisible property

Description

Returns or sets if a button is visible or not.

Property type

A Boolean value.

Syntax

object.ButtonVisible(Index) [= value]

The ButtonVisible Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

CaptionAlignment property (asxToolbar)

Description

Returns or sets the position of caption text related to button pictures.

Property type

An IFCCaptionAlignments enumeration.

Syntax

object.CaptionAlignment [= value]

The CaptionAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCCaptionAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcaCaptionOnTop | 0 | Caption is displayed above button graphic
ifcaCaptionOnBottom | 1 | (Default) Caption is displayed below button graphic
ifcaCaptionOnLeft | 2 | Caption is displayed to left of button graphic
ifcaCaptionOnRight | 3 | Caption is displayed to the right of button graphic


%%localitemtitle%%

CaptionOptions property

Description

Returns or sets how button captions are displayed.

Property type

An IFCCaptionOptions enumeration.

Syntax

object.CaptionOptions [= value]

The CaptionOptions Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCCaptionOptions enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
iftoNoLabels | 0 | No labels are displayed
iftoShowLabels | 1 | (Default) All labels are displayed
iftoSelectedLabels | 2 | Only certain labels are displayed


%%localitemtitle%%

CurrentGroupID property

Description

Returns the selected button in the specified group.

Property type

An Integer value.

Syntax

object.CurrentGroupID(GroupID)

The CurrentGroupID Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
GroupID | Required. An Integer value.


%%localitemtitle%%

DisabledText3D property (asxToolbar)

Description

Returns or sets if the captions on disabled buttons are drawn in 3D text or not.

Property type

A Boolean value.

Syntax

object.DisabledText3D [= value]

The DisabledText3D Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

DoubleBottomBorder property (asxToolbar)

Description

Returns or sets if the bottom border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleBottomBorder [= value]

The DoubleBottomBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

DoubleTopBorder property (asxToolbar)

Description

Returns or sets if the top border is doubled, similar to a Frame border

Property type

A Boolean value.

Syntax

object.DoubleTopBorder [= value]

The DoubleTopBorder Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

Enabled property (asxToolbar)

Description

Returns or sets a value that determines whether a Toolbar control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

FixedSize property

Description

Returns or sets the size of buttons when the Style property is set to tbtsFixed

Property type

A Single value.

Syntax

object.FixedSize [= value]

The FixedSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Single value.


%%localitemtitle%%

Font property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A String value.


%%localitemtitle%%

FontSize property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxToolbar)

Description

Returns or sets the font used to display text in a Toolbar control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxToolbar)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Toolbar control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

HighlightColor property (asxToolbar)

Description

Returns or sets the highlight color of a Toolbar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDarkColor property

Description

Returns or sets the dark highlight colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDarkColor [= OLE_COLOR]

The HighlightDarkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HotTracking property (asxToolbar)

Description

Returns or sets if hottracking is used to colour button captions as the mouse moves over a button.

Property type

A Boolean value.

Syntax

object.HotTracking [= value]

The HotTracking Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

HotTrackingColor property (asxToolbar)

Description

Returns or sets colour used to draw button captions when the HotTracking property is specified and the mouse is hovered over a button.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HotTrackingColor [= OLE_COLOR]

The HotTrackingColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxToolbar)

Description

Returns a handle to a Toolbar control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

MouseIcon property (asxToolbar)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxToolbar)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Toolbar control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

MouseY property (asxToolbar)

Description

Returns the last Y position of the mouse.

Property type

A Single value.

Syntax

object.MouseY

The MouseY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

Picture property (asxToolbar)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
StdPicture | A StdPicture object.


%%localitemtitle%%

PlaySounds property (asxToolbar)

Description

Returns or sets if sounds are played when buttons in a Toolbar control are clicked

Property type

A Boolean value.

Syntax

object.PlaySounds [= value]

The PlaySounds Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

Redraw property (asxToolbar)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

ScaleHeight property (asxToolbar)

Description

Returns the height, in pixels, of the control.

Property type

A Single value.

Syntax

object.ScaleHeight

The ScaleHeight Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

ScaleWidth property (asxToolbar)

Description

Returns the width, in pixels, of the control.

Property type

A Single value.

Syntax

object.ScaleWidth

The ScaleWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.


%%localitemtitle%%

ShadowColor property (asxToolbar)

Description

Returns or sets the shadow color of a Toolbar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDarkColor property

Description

Returns or sets the dark shadow colour of the control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDarkColor [= OLE_COLOR]

The ShadowDarkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShowSeparators property

Description

Returns or sets if seperators are automatically displayed between buttons when the ButtonGap property is specifed and the Appearance property is set to ifcaFlat

Property type

A Boolean value.

Syntax

object.ShowSeparators [= value]

The ShowSeparators Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

ShowToolTips property (asxToolbar)

Description

Specifies if ToolTips are enabled for the Toolbar control

Property type

A Boolean value.

Syntax

object.ShowToolTips [= value]

The ShowToolTips Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

SolidChecked property

Description

Returns or sets if double lowered borders are drawn when a button is checked.

Property type

A Boolean value.

Syntax

object.SolidChecked [= value]

The SolidChecked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A Boolean value.


%%localitemtitle%%

Style property (asxToolbar)

Description

Returns or sets how buttons are sized.

Property type

An IFCTBStyle enumeration.

Syntax

object.Style [= value]

The Style Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | An IFCTBStyle enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
tbtsVariable | 0 | (Default) Button size varies depending on caption text and picutre settings
tbtsFixed | 1 | Button size is fixed according to object settings


%%localitemtitle%%

TextColor property (asxToolbar)

Description

Returns or sets the text color of a Toolbar control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

TextDisabledColor property (asxToolbar)

Description

Returns or sets the colour used to draw disabled captions.

This property is only used when the DisabledText3D property is False.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextDisabledColor [= OLE_COLOR]

The TextDisabledColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ToolTipFont property (asxToolbar)

Description

Returns or sets the font used for displaying popup tooltips.

Property type

A StdFont object.

Syntax

[Set] object.ToolTipFont [= StdFont]

The ToolTipFont Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
StdFont | A StdFont object.


%%localitemtitle%%

Version property (asxToolbar)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbar.
value | A String value.


%%localitemtitle%%

BeforeButtonClick event

Syntax

Private Sub object_BeforeButtonClick([index], ButtonIndex, ButtonKey, Cancel)

The BeforeButtonClick Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
ButtonKey | A String value.
Cancel | A Boolean value.


%%localitemtitle%%

ButtonClick event (asxToolbar)

Syntax

Private Sub object_ButtonClick([index], ButtonIndex, ButtonKey)

The ButtonClick Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
ButtonKey | A String value.


%%localitemtitle%%

ButtonMouseOver event (asxToolbar)

Syntax

Private Sub object_ButtonMouseOver([index], ButtonIndex, ButtonKey)

The ButtonMouseOver Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
ButtonKey | A String value.


%%localitemtitle%%

ButtonRightClick event (asxToolbar)

Syntax

Private Sub object_ButtonRightClick([index], ButtonIndex, ButtonKey, CancelBeep)

The ButtonRightClick Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
ButtonKey | A String value.
CancelBeep | A Boolean value.


%%localitemtitle%%

Click event (asxToolbar)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxToolbar)

Description

Occurs when the user presses and then releases a mouse button over a Toolbar control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxToolbar)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxToolbar)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxToolbar)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Toolbar control

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

Resize event (asxToolbar)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_Resize([index], NewWidth, NewHeight)

The Resize Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.
NewWidth | A Single value.
NewHeight | A Single value.


%%localitemtitle%%

RightClick event (asxToolbar)

Description

Occurs when Toolbar control window size is changed

Syntax

Private Sub object_RightClick([index])

The RightClick Event syntax has these parts:

Part | Description
object | An asxToolbar object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

asxToolbox control
Description

The asxToolbox is a toolbar control that allows itself to be resized in multiple lines

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
AddButton | Adds a new blank button to the toolbox.
AddButtonEx | Adds a new button to the toolbox, optionally allowing many properties to be set at the same time.
DeleteButton | Deletes an existing button from the toolbox.
IsWithinButton | Returns the index of a button located within the specified set of co-ordinates.
Refresh | Forces a complete repaint of a Toolbox control
RefreshButton | Forces a complete repaint of a button in a Toolbox control
SwapButton | Swaps one button with another.

Properties
BackColor | Read-write property | Returns or sets the background color of a Toolbox control.
BackStyle | Read-write property | Returns or sets a value indicating whether the background of a Toolbox control is transparent or opaque.
BorderStyle | Read-write property | Returns or sets the border style of a Toolbox control
ButtonCount | Read-only property | Returns the number of buttons within a toolbox control.
ButtonEnabled | Read-write property | Returns or sets if a button is enabled for user access or not.
ButtonGap | Read-write property | Returns or sets the gap between buttons.
ButtonMargin | Read-write property | Returns or sets the margin between the edge of a toolbox control and it's buttons.
ButtonMaskColor | Read-write property | Returns or sets the colour used to create transparent pictures.
ButtonPicture | Read-write property | Returns or sets the default picture drawn on a button.
ButtonPictureDown | Read-write property | Returns or sets the picture drawn on a button when the button is clicked or pushed.
ButtonPictureOver | Read-write property | Returns or sets the picture drawn on a button when the mouse is positioned over it.
ButtonSize | Read-write property | Returns or sets the size of buttons within the toolbox.
ButtonToolTipText | Read-write property | Returns or sets the popup ToolTip text associated with a button.
ButtonUseMaskColor | Read-write property | Returns or sets if a button uses the ButtonMaskColor property for creating transparent pictures.
ClickStyle | Read-write property | Returns or sets how the buttons in a toolbox control behave.
CurrentButton | Read-write property | Returns the selected button in a toolbox.
Enabled | Read-write property | Returns or sets a value that determines whether a Toolbox control can respond to user-generated events.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Toolbox control.
HighlightColor | Read-write property | Returns or sets the highlight color of a Toolbox control.
hWnd | Read-only property | Returns a handle to a Toolbox control
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Toolbix control.
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
PlaySounds | Read-write property | Returns or sets if sounds are played when buttons in a Toolbox control are clicked
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ShadowColor | Read-write property | Returns or sets the shadow color of a Toolbox control.
ShowToolTips | Read-write property | Specifies if ToolTips are enabled for the Toolbox control
ToolTipFont | Read-write property | Returns or sets the font used to display popup ToolTips.
Version Read-write property Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Events
ButtonChange
ButtonMouseOver
ButtonRightClick
Click | Occurs when the user presses and then releases a mouse button over a Toolbox control
DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Toolbox control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user moves the mouse.
MouseUp | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
Resize | Occurs when Toolbox control window size is changed


%%localitemtitle%%

About method (asxToolbox)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

AddButton method (asxToolbox)

Description

Adds a new blank button to the toolbox.

Return Type

An Integer value.

Syntax

object.AddButton

The AddButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

AddButtonEx method (asxToolbox)

Description

Adds a new button to the toolbox, optionally allowing many properties to be set at the same time.

Return Type

An Integer value.

Syntax

object.AddButtonEx ([Picture], [ToolTipText], [MaskColor], [UseMaskColor], [Enabled])

The AddButtonEx Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Picture | Optional. A StdPicture object.
ToolTipText | Optional. A String value.
MaskColor | Optional. An OLE_COLOR object.
UseMaskColor | Optional. A Boolean value.
Enabled | Optional. A Boolean value.


%%localitemtitle%%

DeleteButton method (asxToolbox)

Description

Deletes an existing button from the toolbox.

Return Type

An Integer value.

Syntax

object.DeleteButton (Index)

The DeleteButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.


%%localitemtitle%%

IsWithinButton method (asxToolbox)

Description

Returns the index of a button located within the specified set of co-ordinates.

Return Type

An Integer value.

Syntax

object.IsWithinButton (X, Y)

The IsWithinButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
X | Required. A Single value.
Y | Required. A Single value.


%%localitemtitle%%

Refresh method (asxToolbox)

Description

Forces a complete repaint of a Toolbox control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

RefreshButton method (asxToolbox)

Description

Forces a complete repaint of a button in a Toolbox control

Return Type

None

Syntax

object.RefreshButton Index, [IsHighlighted], [IsPushed], [IsChecked]

The RefreshButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. An Integer value.
IsHighlighted | Optional. A Boolean value.
IsPushed | Optional. A Boolean value.
IsChecked | Optional. A Boolean value.


%%localitemtitle%%

SwapButton method (asxToolbox)

Description

Swaps one button with another.

Return Type

An Integer value.

Syntax

object.SwapButton (CurIndex, NewIndex)

The SwapButton Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
CurIndex | Required. A Variant value.
NewIndex | Required. A Variant value.


%%localitemtitle%%

BackColor property (asxToolbox)

Description

Returns or sets the background color of a Toolbox control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property (asxToolbox)

Description

Returns or sets a value indicating whether the background of a Toolbox control is transparent or opaque.

Property type

An IFCBackStyles enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An IFCBackStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BorderStyle property (asxToolbox)

Description

Returns or sets the border style of a Toolbox control

Property type

An IFCBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An IFCBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

ButtonCount property (asxToolbox)

Description

Returns the number of buttons within a toolbox control.

Property type

An Integer value.

Syntax

object.ButtonCount

The ButtonCount Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

ButtonEnabled property (asxToolbox)

Description

Returns or sets if a button is enabled for user access or not.

Property type

A Boolean value.

Syntax

object.ButtonEnabled(Index) [= value]

The ButtonEnabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ButtonGap property (asxToolbox)

Description

Returns or sets the gap between buttons.

Property type

An Integer value.

Syntax

object.ButtonGap [= value]

The ButtonGap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An Integer value.


%%localitemtitle%%

ButtonMargin property

Description

Returns or sets the margin between the edge of a toolbox control and it's buttons.

Property type

An Integer value.

Syntax

object.ButtonMargin [= value]

The ButtonMargin Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An Integer value.


%%localitemtitle%%

ButtonMaskColor property (asxToolbox)

Description

Returns or sets the colour used to create transparent pictures.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ButtonMaskColor(Index) [= OLE_COLOR]

The ButtonMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ButtonPicture property (asxToolbox)

Description

Returns or sets the default picture drawn on a button.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPicture(Index) [= StdPicture]

The ButtonPicture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureDown property (asxToolbox)

Description

Returns or sets the picture drawn on a button when the button is clicked or pushed.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureDown(Index) [= StdPicture]

The ButtonPictureDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. An Integer value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonPictureOver property (asxToolbox)

Description

Returns or sets the picture drawn on a button when the mouse is positioned over it.

Property type

A StdPicture object.

Syntax

[Set] object.ButtonPictureOver(Index) [= StdPicture]

The ButtonPictureOver Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. An Integer value.
StdPicture | A StdPicture object.


%%localitemtitle%%

ButtonSize property

Description

Returns or sets the size of buttons within the toolbox.

Property type

An Integer value.

Syntax

object.ButtonSize [= value]

The ButtonSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An Integer value.


%%localitemtitle%%

ButtonToolTipText property (asxToolbox)

Description

Returns or sets the popup ToolTip text associated with a button.

Property type

A String value.

Syntax

object.ButtonToolTipText(Index) [= value]

The ButtonToolTipText Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.
value | A String value.


%%localitemtitle%%

ButtonUseMaskColor property (asxToolbox)

Description

Returns or sets if a button uses the ButtonMaskColor property for creating transparent pictures.

Property type

A Boolean value.

Syntax

object.ButtonUseMaskColor(Index) [= value]

The ButtonUseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
Index | Required. A Variant value.
value | A Boolean value.


%%localitemtitle%%

ClickStyle property

Description

Returns or sets how the buttons in a toolbox control behave.

Property type

An ICTXClickStyles enumeration.

Syntax

object.ClickStyle [= value]

The ClickStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An ICTXClickStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
txcsToolbar | 0 | (Default) Buttons stay down when pushed
txcsNoStick | 1 | Buttons do not stay down when pushed


%%localitemtitle%%

CurrentButton property (asxToolbox)

Description

Returns the selected button in a toolbox.

Property type

An Integer value.

Syntax

object.CurrentButton [= value]

The CurrentButton Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | An Integer value.


%%localitemtitle%%

Enabled property (asxToolbox)

Description

Returns or sets a value that determines whether a Toolbox control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | A Boolean value.


%%localitemtitle%%

hDC property (asxToolbox)

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of a Toolbox control.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

HighlightColor property (asxToolbox)

Description

Returns or sets the highlight color of a Toolbox control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hWnd property (asxToolbox)

Description

Returns a handle to a Toolbox control

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.


%%localitemtitle%%

MouseIcon property (asxToolbox)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxToolbox)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a Toolbix control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

Picture property (asxToolbox)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
StdPicture | A StdPicture object.


%%localitemtitle%%

PlaySounds property (asxToolbox)

Description

Returns or sets if sounds are played when buttons in a Toolbox control are clicked

Property type

A Boolean value.

Syntax

object.PlaySounds [= value]

The PlaySounds Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | A Boolean value.


%%localitemtitle%%

Redraw property (asxToolbox)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | A Boolean value.


%%localitemtitle%%

ShadowColor property (asxToolbox)

Description

Returns or sets the shadow color of a Toolbox control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShowToolTips property (asxToolbox)

Description

Specifies if ToolTips are enabled for the Toolbox control

Property type

A Boolean value.

Syntax

object.ShowToolTips [= value]

The ShowToolTips Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | A Boolean value.


%%localitemtitle%%

ToolTipFont property (asxToolbox)

Description

Returns or sets the font used to display popup ToolTips.

Property type

A StdFont object.

Syntax

[Set] object.ToolTipFont [= StdFont]

The ToolTipFont Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
StdFont | A StdFont object.


%%localitemtitle%%

Version property (asxToolbox)

Description

Returns the full version of the Interface Components.

You can use this to ensure your application never uses an older version of the components, or for when reporting problems about the controls to Ariad.

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolbox.
value | A String value.


%%localitemtitle%%

ButtonChange event

Syntax

Private Sub object_ButtonChange([index], ButtonIndex, Cancel)

The ButtonChange Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
Cancel | A Boolean value.


%%localitemtitle%%

ButtonMouseOver event (asxToolbox)

Syntax

Private Sub object_ButtonMouseOver([index], ButtonIndex)

The ButtonMouseOver Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.


%%localitemtitle%%

ButtonRightClick event (asxToolbox)

Syntax

Private Sub object_ButtonRightClick([index], ButtonIndex, CancelBeep)

The ButtonRightClick Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
ButtonIndex | An Integer value.
CancelBeep | A Boolean value.


%%localitemtitle%%

Click event (asxToolbox)

Description

Occurs when the user presses and then releases a mouse button over a Toolbox control

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (asxToolbox)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a Toolbox control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (asxToolbox)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (asxToolbox)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (asxToolbox)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

Resize event (asxToolbox)

Description

Occurs when Toolbox control window size is changed

Syntax

Private Sub object_Resize([index], NewWidth, NewHeight)

The Resize Event syntax has these parts:

Part | Description
object | An asxToolbox object.
Index | An integer that uniquely identifies a control if it's in a control array.
NewWidth | A Single value.
NewHeight | A Single value.


%%localitemtitle%%

asxToolButton control
Description

The asxToolButton is an advanced command button control with dozens of extended features. Unlike the PowerButton, the ToolButton control cannot receive the focus or keyboard events

Members

Methods
About | Displays an About dialog, containing version, copyright and contact information
Refresh | Forces a complete repaint of a ToolButton control

Properties
Appearance | Read-write property | Returns or sets the paint style of a ToolButton control
BackColor | Read-write property | Returns or sets the background color of a ToolButton control.
BorderStyle | Read-write property | Returns or sets the border style of a ToolButton control
Caption | Read-write property | Determines the text displayed in a ToolButton control
CaptionAlignment | Read-write property | Specifies the position where the caption text is displayed.
CaptionOffsetX Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.
CaptionOffsetY Read-write property Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.
CaptionTextAlignment | Read-write property | Specifies the alignment of the caption text itself when the text is multilined.
Checked Read-write property Specifies if the button is checked or not.

When the button is checked, it will be displayed using insert borders, and using the PictureDown image, if specified.
Clicked Read-write property Specifies if the control is pushed down or not.

This property is best designed for use when the Mode property is set to pbbmClickable
DropDownMenu Read-write property Allows you to associate a Menu control with the button, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown
DropDownParent Read-write property Allows you to associate the parent form of the menu specified with the DropDownMenu property, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown
DropDownWidth | Read-write property | Specifies the width of the dropdown portion of a button when the Mode property is set to either pbbmDropDown or pbbmDropDownNoSeparator.
Enabled | Read-write property | Returns or sets a value that determines whether a ToolButton control can respond to user-generated events.
FocusStyle | Read-write property | Specifies how the focus rectangle is displayed when the control receives the focus via either the mouse or keyboard
Font | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontBold | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontItalic | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontName | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontSize | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontStrikethru | Read-write property | Returns or sets the font used to display text in a ToolButton control
FontUnderline | Read-write property | Returns or sets the font used to display text in a ToolButton control
ForceDown Read-write property Specifies if the button is always displayed in the pushed mode no matter what the settings of the Clicked or Checked properties are.

This setting is ignored if the Mode property is set to pbbmDropDown.
ForceUp Read-write property Specifies is the button is always drawn in a normal state, even when checked, clicked, or pushed via the keyboard or mouse.

This setting is ignored if the Mode property is set to pbbmDropDown.
HighlightColor | Read-write property | Returns or sets the highlight color of a ToolButton control.
HighlightDkColor | Read-write property | Specifies the colour used to draw darker highlighted lines on the buttons borders
HotTracking Read-write property If set, then the caption text will be drawn in the colour specified by the HotTrackingColor when the mouse is positioned over the button.

HotTracking will not occur when the button is disabled.
HotTrackingColor Read-write property Specifies the colour to display caption text in when the HotTracking property is True and the mouse is position over the control.

HotTracking will not occur when the button is disabled.
MaskColor | Read-write property | Returns or sets a color in a controls picture to be a “mask” (that is, transparent).
Mode | Read-write property | Specifies a special mode with which the button operates.
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ToolButton control.
NoCtlDisable | %%icondescription%%
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
PictureAlignment | Read-write property | Specifies the position with which any picture used by the button is displayed.
PictureDown | Read-write property | Sets the picture that is displayed when the button is either clicked, checked, has the ForceDown property set, or is currently pushed by either the keyboard or the mouse.
PictureOffsetX Read-write property Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.
PictureOffsetY Read-write property Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.
PictureOver | Read-write property | Sets the picture that is displayed when the mouse is over the button.
Redraw | %%icondescription%% | When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.
ShadowColor | Read-write property | Returns or sets the shadow color of a ToolButton control.
ShadowDkColor | Read-write property | Specifies the colour used to draw dark shadowed lines on the buttons borders
SystemGraphic Read-write property Allows you to display a system image in the background of the button.

For example, you could use the scrollbar arrows to create scrolling controls, just like the asxPager control. Or you could create a fake titlebar by display the Close, Maximise and Minimise graphics.

If you want to use a simple button containing these images, then you should use the asxSysButton control instead, which is a very small lightweight control specifically designed for the system graphics.
TextColor | Read-write property | Returns or sets the text color of a ToolButton control.
UseMaskColor | Read-write property | Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Events
Checked | Occurs when the control is right clicked.
Click
Clicked | Occurs when the control is checked or unchecked by the user.
DblClick | Occurs when the user presses and then releases a mouse button over a ToolButton control
DropDownClicked | Occurs when the control is clicked or unclicked by the user.
KeyDown | Occurs when the mouse leaves the control.
KeyPress | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)
KeyUp | Occurs when the user presses and releases an ANSI key
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a ToolButton control
MouseEnter | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseLeave | Occurs when the mouse enters the control.
MouseMove | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MousePushed | Occurs before the menu is displayed when the control is clicked in DropDown mode.
MouseUp | Occurs when the user moves the mouse.
RightClick | Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)


%%localitemtitle%%

About method (asxToolButton)

Description

Displays an About dialog, containing version, copyright and contact information

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.


%%localitemtitle%%

Refresh method (asxToolButton)

Description

Forces a complete repaint of a ToolButton control

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.


%%localitemtitle%%

Appearance property (asxToolButton)

Description

Returns or sets the paint style of a ToolButton control

Property type

An IFCAppearances enumeration.

Syntax

object.Appearance [= value]

The Appearance Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCAppearances enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifcaStandard | 0 | (Default) Objects are drawn using the default 3D style
ifcaFlat | 1 | Objects are drawn using a flat 3D style, generaly only when the mouse is hovered over the object


%%localitemtitle%%

BackColor property (asxToolButton)

Description

Returns or sets the background color of a ToolButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BorderStyle property (asxToolButton)

Description

Returns or sets the border style of a ToolButton control

Property type

An IFCPBBorderStyles enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCPBBorderStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
pbbsNone | 0 | No borders are drawn
pbbsWindows3x | 1 | Borders are drawn in Windows 3.1 style
pbbsWindows95 | 2 | Borders are drawn in standard 3D
pbbsSingle | 3 | A single width border is drawn
pbbsRound | 4 | A round single width border is drawn
pbbsSunken | 5 | Borders are drawn in standard 3D, with slightly different drawing for lowered buttons


%%localitemtitle%%

Caption property (asxToolButton)

Description

Determines the text displayed in a ToolButton control

Property type

A String value.

Syntax

object.Caption [= value]

The Caption Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A String value.


%%localitemtitle%%

CaptionAlignment property (asxToolButton)

Description

Specifies the position where the caption text is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.CaptionAlignment [= value]

The CaptionAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

CaptionOffsetX property (asxToolButton)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetX property to 5, moving the text 5 pixels to the left of the centered location.

In a similar manner, setting the CaptionOffsetX property to -5 will move the text 5 pixels to the right of the centered location.

Property type

A Long value.

Syntax

object.CaptionOffsetX [= value]

The CaptionOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Long value.


%%localitemtitle%%

CaptionOffsetY property (asxToolButton)

Description

Specifies a value allowing you to manually move the caption text to a different location.

For example, if you have the text centered on the button by setting the CaptionAlignment property to aiaCenterCenter, you could then could then set the CaptionOffsetY property to 5, moving the text 5 pixels below the centered location.

In a similar manner, setting the CaptionOffsetY property to -5 will move the text 5 pixels above the centered location.

Property type

A Long value.

Syntax

object.CaptionOffsetY [= value]

The CaptionOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Long value.


%%localitemtitle%%

CaptionTextAlignment property (asxToolButton)

Description

Specifies the alignment of the caption text itself when the text is multilined.

Property type

An IFCStandardAlignments enumeration.

Syntax

object.CaptionTextAlignment [= value]

The CaptionTextAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCStandardAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
ifsaLeft | 0 | (Default) Drawn objects are aligned to the left
ifsaRight | 1 | Drawn objects are aligned to the right
ifsaCenter | 2 | Drawn objects are center aligned


%%localitemtitle%%

Checked property (asxToolButton)

Description

Specifies if the button is checked or not.

When the button is checked, it will be displayed using insert borders, and using the PictureDown image, if specified.

Property type

A Boolean value.

Syntax

object.Checked [= value]

The Checked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

Clicked property (asxToolButton)

Description

Specifies if the control is pushed down or not.

This property is best designed for use when the Mode property is set to pbbmClickable

Property type

A Boolean value.

Syntax

object.Clicked [= value]

The Clicked Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

DropDownMenu property (asxToolButton)

Description

Allows you to associate a Menu control with the button, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown

Property type

An Object object.

Syntax

[Set] object.DropDownMenu [= Object]

The DropDownMenu Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
Object | An Object object.


%%localitemtitle%%

DropDownParent property (asxToolButton)

Description

Allows you to associate the parent form of the menu specified with the DropDownMenu property, so that when the dropdown portion of the button is clicked, the menu will be displayed at the bottom left corner of the button.

Please note that the dropdown portion of the button is only visible when the Mode property is set to pbbmDropDown

Property type

An Object object.

Syntax

[Set] object.DropDownParent [= Object]

The DropDownParent Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
Object | An Object object.


%%localitemtitle%%

DropDownWidth property (asxToolButton)

Description

Specifies the width of the dropdown portion of a button when the Mode property is set to either pbbmDropDown or pbbmDropDownNoSeparator.

Property type

A Long value.

Syntax

object.DropDownWidth [= value]

The DropDownWidth Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Long value.


%%localitemtitle%%

Enabled property (asxToolButton)

Description

Returns or sets a value that determines whether a ToolButton control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

FocusStyle property (asxToolButton)

Description

Specifies how the focus rectangle is displayed when the control receives the focus via either the mouse or keyboard

Property type

An IFCFocusStyles enumeration.

Syntax

object.FocusStyle [= value]

The FocusStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCFocusStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aifsAroundButton | 0 | (Default) Focus rectangle is displayed around the button border
aifsAroundText | 1 | Focus rectangle is displayed around caption text
aifsNone | 2 | No focus rectangle is displayed


%%localitemtitle%%

Font property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
StdFont | A StdFont object.


%%localitemtitle%%

FontBold property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A Boolean value.

Syntax

object.FontBold [= value]

The FontBold Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

FontItalic property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A Boolean value.

Syntax

object.FontItalic [= value]

The FontItalic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

FontName property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A String value.

Syntax

object.FontName [= value]

The FontName Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A String value.


%%localitemtitle%%

FontSize property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A Single value.

Syntax

object.FontSize [= value]

The FontSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Single value.


%%localitemtitle%%

FontStrikethru property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A Boolean value.

Syntax

object.FontStrikethru [= value]

The FontStrikethru Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

FontUnderline property (asxToolButton)

Description

Returns or sets the font used to display text in a ToolButton control

Property type

A Boolean value.

Syntax

object.FontUnderline [= value]

The FontUnderline Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

ForceDown property (asxToolButton)

Description

Specifies if the button is always displayed in the pushed mode no matter what the settings of the Clicked or Checked properties are.

This setting is ignored if the Mode property is set to pbbmDropDown.

Property type

A Boolean value.

Syntax

object.ForceDown [= value]

The ForceDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

ForceUp property (asxToolButton)

Description

Specifies is the button is always drawn in a normal state, even when checked, clicked, or pushed via the keyboard or mouse.

This setting is ignored if the Mode property is set to pbbmDropDown.

Property type

A Boolean value.

Syntax

object.ForceUp [= value]

The ForceUp Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

HighlightColor property (asxToolButton)

Description

Returns or sets the highlight color of a ToolButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightColor [= OLE_COLOR]

The HighlightColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HighlightDkColor property (asxToolButton)

Description

Specifies the colour used to draw darker highlighted lines on the buttons borders

Property type

An OLE_COLOR object.

Syntax

[Set] object.HighlightDkColor [= OLE_COLOR]

The HighlightDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

HotTracking property (asxToolButton)

Description

If set, then the caption text will be drawn in the colour specified by the HotTrackingColor when the mouse is positioned over the button.

HotTracking will not occur when the button is disabled.

Property type

A Boolean value.

Syntax

object.HotTracking [= value]

The HotTracking Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

HotTrackingColor property (asxToolButton)

Description

Specifies the colour to display caption text in when the HotTracking property is True and the mouse is position over the control.

HotTracking will not occur when the button is disabled.

Property type

An OLE_COLOR object.

Syntax

[Set] object.HotTrackingColor [= OLE_COLOR]

The HotTrackingColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

MaskColor property (asxToolButton)

Description

Returns or sets a color in a controls picture to be a “mask” (that is, transparent).

Property type

An OLE_COLOR object.

Syntax

[Set] object.MaskColor [= OLE_COLOR]

The MaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Mode property (asxToolButton)

Description

Specifies a special mode with which the button operates.

Property type

An IFCPBButtonModes enumeration.

Syntax

object.Mode [= value]

The Mode Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCPBButtonModes enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
pbbmNormal | 0 | (Default) Standard button operation
pbbmClickable | 1 | Button remains pressed when first pushed, then raised with second push
pbbmCheckedClickable | 2 | Same as pbbmClickable except that button is also checked when pushed
pbbmDropDown | 3 | Button displays a drop down menu button and splits into two seperate buttons
pbbmDropDownNoSeparator | 4 | Button displayed drop down arrow, but remains a single button


%%localitemtitle%%

MouseIcon property (asxToolButton)

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property (asxToolButton)

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ToolButton control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

NoCtlDisable property

Property type

A Boolean value.

Syntax

object.NoCtlDisable [= value]

The NoCtlDisable Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

Picture property (asxToolButton)

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureAlignment property (asxToolButton)

Description

Specifies the position with which any picture used by the button is displayed.

Property type

An IFCAlignments enumeration.

Syntax

object.PictureAlignment [= value]

The PictureAlignment Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCAlignments enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

PictureDown property (asxToolButton)

Description

Sets the picture that is displayed when the button is either clicked, checked, has the ForceDown property set, or is currently pushed by either the keyboard or the mouse.

Property type

A StdPicture object.

Syntax

[Set] object.PictureDown [= StdPicture]

The PictureDown Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

PictureOffsetX property (asxToolButton)

Description

Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetX property to 5, moving the picture 5 pixels to the left of the centered location.

In a similar manner, setting the PictureOffsetX property to -5 will move the picture 5 pixels to the right of the centered location.

Property type

A Long value.

Syntax

object.PictureOffsetX [= value]

The PictureOffsetX Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Long value.


%%localitemtitle%%

PictureOffsetY property (asxToolButton)

Description

Specifies a value allowing you to manually move the buttons picture to a different location.

For example, if you have the picture centered on the button by setting the PictureAlignment property to aiaCenterCenter, you could then could then set the PictureOffsetY property to 5, moving the picture 5 pixels below the centered location.

In a similar manner, setting the PictureOffsetY property to -5 will move the picture 5 pixels above the centered location.

Property type

A Long value.

Syntax

object.PictureOffsetY [= value]

The PictureOffsetY Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Long value.


%%localitemtitle%%

PictureOver property (asxToolButton)

Description

Sets the picture that is displayed when the mouse is over the button.

Property type

A StdPicture object.

Syntax

[Set] object.PictureOver [= StdPicture]

The PictureOver Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
StdPicture | A StdPicture object.


%%localitemtitle%%

Redraw property (asxToolButton)

Description

When this property is set to False, calls to any Refresh methods, either internal or external, will be ignored.

Property type

A Boolean value.

Syntax

object.Redraw [= value]

The Redraw Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

ShadowColor property (asxToolButton)

Description

Returns or sets the shadow color of a ToolButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowColor [= OLE_COLOR]

The ShadowColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

ShadowDkColor property (asxToolButton)

Description

Specifies the colour used to draw dark shadowed lines on the buttons borders

Property type

An OLE_COLOR object.

Syntax

[Set] object.ShadowDkColor [= OLE_COLOR]

The ShadowDkColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

SystemGraphic property (asxToolButton)

Description

Allows you to display a system image in the background of the button.

For example, you could use the scrollbar arrows to create scrolling controls, just like the asxPager control. Or you could create a fake titlebar by display the Close, Maximise and Minimise graphics.

If you want to use a simple button containing these images, then you should use the asxSysButton control instead, which is a very small lightweight control specifically designed for the system graphics.

Property type

An IFCSBButtonStyles enumeration.

Syntax

object.SystemGraphic [= value]

The SystemGraphic Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | An IFCSBButtonStyles enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
sbbsCaptionClose | 0 | Close window
sbbsCaptionMinimise | 1 | Mimimise window
sbbsCaptionMaximise | 2 | Maximise window
sbbsCaptionRestore | 3 | Restore window
sbbsCaptionHelp | 4 | What's this Help
sbbsMenuArrow | 5 | Submenu marker
sbbsMenuCheck | 6 | Checked item marker
sbbsMenuBullet | 7 | Selected item marker
sbbsMenuArrowRight | 8 | Submenu marker
sbbsScrollUp | 9 | Up facing scroll
sbbsScrollDown | 10 | Down facing scroll
sbbsScrollLeft | 11 | Left facing scroll
sbbsScrollRight | 12 | Right facing scroll
sbbsScrollComboBox | 13 | Combobox dropdown button
sbbsScrollSizeGrip | 14 | Window size grip
sbbsScrollSizeGripRight | 15 | Window size grip
sbbsButtonCheck | 16 | Checkbox
sbbsButtonRadio | 17 | Option button
sbbsButton3DState | 18 | Checkbox
sbbsButtonPush | 19 | (Default) Command button
sbbsNoGraphic | 20 | No graphic


%%localitemtitle%%

TextColor property (asxToolButton)

Description

Returns or sets the text color of a ToolButton control.

Property type

An OLE_COLOR object.

Syntax

[Set] object.TextColor [= OLE_COLOR]

The TextColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

UseMaskColor property (asxToolButton)

Description

Returns or sets a value that determines whether the color assigned in the MaskColor property is used as a “mask”. (That is, used to create transparent regions.)

Property type

A Boolean value.

Syntax

object.UseMaskColor [= value]

The UseMaskColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type asxToolButton.
value | A Boolean value.


%%localitemtitle%%

Checked event (asxToolButton)

Description

Occurs when the control is right clicked.

Syntax

Private Sub object_Checked([index], IsChecked)

The Checked Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
IsChecked | A Boolean value.


%%localitemtitle%%

Click event (asxToolButton)

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

Clicked event (asxToolButton)

Description

Occurs when the control is checked or unchecked by the user.

Syntax

Private Sub object_Clicked([index], IsClicked)

The Clicked Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
IsClicked | A Boolean value.


%%localitemtitle%%

DblClick event (asxToolButton)

Description

Occurs when the user presses and then releases a mouse button over a ToolButton control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DropDownClicked event (asxToolButton)

Description

Occurs when the control is clicked or unclicked by the user.

Syntax

Private Sub object_DropDownClicked([index])

The DropDownClicked Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

KeyDown event (asxToolButton)

Description

Occurs when the mouse leaves the control.

Syntax

Private Sub object_KeyDown([index], KeyCode, Shift)

The KeyDown Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

KeyPress event (asxToolButton)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_KeyPress([index], KeyAscii)

The KeyPress Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


%%localitemtitle%%

KeyUp event (asxToolButton)

Description

Occurs when the user presses and releases an ANSI key

Syntax

Private Sub object_KeyUp([index], KeyCode, Shift)

The KeyUp Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


%%localitemtitle%%

MouseDown event (asxToolButton)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a ToolButton control

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseEnter event (asxToolButton)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseEnter([index])

The MouseEnter Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseLeave event (asxToolButton)

Description

Occurs when the mouse enters the control.

Syntax

Private Sub object_MouseLeave([index])

The MouseLeave Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseMove event (asxToolButton)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MousePushed event (asxToolButton)

Description

Occurs before the menu is displayed when the control is clicked in DropDown mode.

Syntax

Private Sub object_MousePushed([index])

The MousePushed Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseUp event (asxToolButton)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

RightClick event (asxToolButton)

Description

Occur when the user presses (KeyDown) or releases (KeyUp) a key while an object has the focus. (To interpret ANSI characters, use the KeyPress event.)

Syntax

Private Sub object_RightClick([index])

The RightClick Event syntax has these parts:

Part | Description
object | An asxToolButton object.
Index | An integer that uniquely identifies a control if it's in a control array.


Licence Agreement

IMPORTANT! Do not install this software before you have read this license agreement. By proceeding to install this software you are indicating your acceptance of all the terms and conditions stated in this agreement.

This is a legal agreement between you (either as an individual or a single entity) and Ariad Software for this software product which includes computer software and may include associated media, printed materials, and "online" or electronic documentation (the "SOFTWARE"). By installing, copying or otherwise using this SOFTWARE you are agreeing to be bound by the terms of this agreement. If you do not agree to the terms of this Agreement, do not install or use the SOFTWARE and if it is a non-evaluation version, return it together with physical materials and media to the place you obtained them for a full refund.

1 GRANT OF LICENSE. This agreement grants you the following rights.

(i) EVALUATION LICENSE

You may install and use an unlimited number of copies of the SOFTWARE on an unlimited number of machines.

(ii) SINGLE USER LICENSE

You may install and use one copy of the SOFTWARE on a single computer. The primary user of the computer on which the SOFTWARE is installed may make a second copy for his or her exclusive use on a portable computer.

(iii) MULTI USER LICENSE

You may use as many copies of the SOFTWARE as your multi user license entitles you to, in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2. COPYRIGHT. The SOFTWARE is owned by Ariad Software and is protected by copyright laws and international treaty provisions, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold. You must therefore treat the SOFTWARE like any other copyrighted material.

3. TERM OF LICENSE. The license will continue until you physically destroy all copies of the SOFTWARE and merged portions thereof, and return any original program media and documentation to Ariad Software.

4. OTHER RESTRICTIONS.

(i) TRANSFER

You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. If the SOFTWARE is an update, any transfer must include the update and all prior versions.

(ii) REVERSE ENGINEERING

You may not reverse engineer, decompile, or disassemble the SOFTWARE.

(iii) TERMINATION

Without prejudice to any other rights, Ariad may terminate this agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of the SOFTWARE and all of its component parts.

(iv) DISTRIBUTION

You may use this Product in your business application for sale or distribution as long as:

The product that you produce and/or distribute is NOT an ActiveX Control with functionality substantially similar or equivalent to the SOFTWARE.

You may not remove any proprietary notices, labels, trademarks from the SOFTWARE or associated documentation.

You may not modify, de-compile, disassemble, reverse engineer or translate the software.

The only file that may be distributed with your application is AS-IFce1.ocx

5. ENHANCEMENTS AND UPDATES. From time to time, at its sole discretion, Ariad Software may provide enhancements, updates, or new versions of the SOFTWARE on its then standard terms and conditions thereof. This Agreement shall apply to such enhancements.

LIMITED WARRANTY

You assume all responsibility for the selection of the SOFTWARE as appropriate to achieve the results you intend and for the installation of, use of, and results obtained from the SOFTWARE. Ariad warrants that the media on which you obtained SOFTWARE shall be free of manufacturing defects for a period of (60) sixty days from date of purchase. Except for the limited warranty set forth herein, the SOFTWARE is provided "as is." to the maximum extent permitted by applicable law, Ariad disclaims all warranties, either express or implied, including but not limited to implied warranties of merchantability, fitness for a particular purpose, and non infringement with respect to the software and the accompanying documentation. without limiting the foregoing provisions, Ariad makes no warranty that the software will be error-free or free from interruptions or other failures or that the software will meet your requirements. Some states and jurisdictions do not allow limitations on implied warranties, so the above limitation may not apply to you. The foregoing provisions shall be enforceable to the maximum extent permitted by applicable law.

CUSTOMER REMEDIES. Ariad Software and its suppliers' entire liability and your exclusive remedy shall be, at Ariad Software's option, either (a) return of the price paid or (b) repair or replacement of the SOFTWARE that does not meet Ariad Software's Limited Warranty and which is returned to Ariad Software with a copy of your receipt or proof of purchase. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Ariad or anyone else who has been involved in the creation, development, production, distribution or supply of this software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of use of or inability to use this Ariad Software product, even if Ariad Software or its dealer have been advised of the possibility of such damages. Some countries do not allow the exclusion or limitation of certain implied warranties or the limitation of the foregoing warranty or the exclusion or limitation of incidental or consequential damages, in which case and to the extent such exclusion or limitation is not allowed some of the foregoing limitations and exclusions may not apply to you.

HIGH RISK ACTIVITIES. The SOFTWARE is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, "High Risk Activities"). Ariad expressly disclaims any express or implied warranty of fitness for High Risk Activities.

GENERAL PROVISION. You shall have no right to sub-license any of the rights of this agreement, for any reason. In the event of the breach by you of this Agreement, you shall be liable for all damages to Ariad Software, and this Agreement shall be terminated. If any provision of this Agreement shall be deemed to be invalid, illegal, or unenforceable, the validity, legality, and enforceability of the remaining portions of this Agreement shall not be affected or impaired thereby. In the event of a legal proceeding arising out of this Agreement, the prevailing party shall be awarded all legal costs incurred.

This Agreement constitutes the entire agreement between the parties for the supply of the SOFTWARE and its associated documentation and supersedes all prior arrangements, agreements, representations, and undertakings. This Agreement may not be changed or modified except by a written instrument duly executed by each of the parties hereto.

MISCELLANEOUS. This Agreement shall be governed by and construed in accordance with the laws of the United Kingdom, without reference to conflict of laws principles. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect.

You shall be responsible for the payment of all taxes, duties, or levies that may now or hereafter be imposed by any authority upon this Agreement for the supply, use, or maintenance of the SOFTWARE, and if any of the foregoing taxes, duties, or levies are paid at any time by Ariad Software, you shall reimburse Ariad Software in full upon demand.

ACKNOWLEDGEMENTS. You acknowledge that you have read this Agreement, understand it, and agree to be bound by its terms and conditions.


%%localitemtitle%%

advapi32.dll library

The following function calls to this Library are declared.

Name | Alias | Description
RegCloseKey
RegCreateKeyEx | RegCreateKeyExA
RegDeleteValue | RegDeleteValueA
RegGetValueExString | RegQueryValueExA
RegGetValueExLong | RegQueryValueExA
RegGetValueExNULL | RegQueryValueExA
RegOpenKeyEx | RegOpenKeyExA
RegSetValueExString | RegSetValueExA
RegSetValueExLong | RegSetValueExA


%%localitemtitle%%

RegCloseKey declaration

Return Type

A Long value.

Syntax

Function RegCloseKey(hKey)

The RegCloseKey Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.


%%localitemtitle%%

RegCreateKeyEx declaration

Return Type

A Long value.

Syntax

Function RegCreateKeyEx(hKey, lpSubKey, Reserved, lpClass, dwOptions, samDesired, lpSecurityAttributes, phkResult, lpdwDisposition)

The RegCreateKeyEx Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpSubKey | Required. A String value.
Reserved | Required. A Long value.
lpClass | Required. A String value.
dwOptions | Required. A Long value.
samDesired | Required. A Long value.
lpSecurityAttributes | Required. A Long value.
phkResult | Required. A Long value.
lpdwDisposition | Required. A Long value.


%%localitemtitle%%

RegDeleteValue declaration

Return Type

A Long value.

Syntax

Function RegDeleteValue(hKey, lpValueName)

The RegDeleteValue Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.


%%localitemtitle%%

RegGetValueExLong declaration

Return Type

A Long value.

Syntax

Function RegGetValueExLong(hKey, lpValueName, lpReserved, lpType, lpData, lpcbData)

The RegGetValueExLong Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.
lpReserved | Required. A Long value.
lpType | Required. A Long value.
lpData | Required. A Long value.
lpcbData | Required. A Long value.


%%localitemtitle%%

RegGetValueExNULL declaration

Return Type

A Long value.

Syntax

Function RegGetValueExNULL(hKey, lpValueName, lpReserved, lpType, lpData, lpcbData)

The RegGetValueExNULL Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.
lpReserved | Required. A Long value.
lpType | Required. A Long value.
lpData | Required. A Long value.
lpcbData | Required. A Long value.


%%localitemtitle%%

RegGetValueExString declaration

Return Type

A Long value.

Syntax

Function RegGetValueExString(hKey, lpValueName, lpReserved, lpType, lpData, lpcbData)

The RegGetValueExString Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.
lpReserved | Required. A Long value.
lpType | Required. A Long value.
lpData | Required. A String value.
lpcbData | Required. A Long value.


%%localitemtitle%%

RegOpenKeyEx declaration

Return Type

A Long value.

Syntax

Function RegOpenKeyEx(hKey, lpSubKey, ulOptions, samDesired, phkResult)

The RegOpenKeyEx Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpSubKey | Required. A String value.
ulOptions | Required. A Long value.
samDesired | Required. A Long value.
phkResult | Required. A Long value.


%%localitemtitle%%

RegSetValueExLong declaration

Return Type

A Long value.

Syntax

Function RegSetValueExLong(hKey, lpValueName, Reserved, dwType, lpValue, cbData)

The RegSetValueExLong Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.
Reserved | Required. A Long value.
dwType | Required. A Long value.
lpValue | Required. A Long value.
cbData | Required. A Long value.


%%localitemtitle%%

RegSetValueExString declaration

Return Type

A Long value.

Syntax

Function RegSetValueExString(hKey, lpValueName, Reserved, dwType, lpValue, cbData)

The RegSetValueExString Declaration syntax has these parts:

Part | Description
hKey | Required. A Long value.
lpValueName | Required. A String value.
Reserved | Required. A Long value.
dwType | Required. A Long value.
lpValue | Required. A String value.
cbData | Required. A Long value.


%%localitemtitle%%

asxGeneric control

Members

Methods
Cls
Refresh Forces a complete repaint of a form or control.

Properties
AutoRedraw | Read-write property
BackColor | Read-write property | Returns or sets the background color of a Generic control.
BorderStyle | Read-write property | Returns or sets the border style of a Generic control
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of a Generic control.
hWnd | Read-only property | Returns a handle to a Generic control
Image | Read-only property
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.

Events
Click
DblClick | Occurs when the user presses and then releases a mouse button over a Generic control
MouseDown | Occurs when the user presses and releases a mouse button and then presses and releases it again over a Generic control
MouseMove
MouseUp


%%localitemtitle%%

basDLLStartup standard module

Members

Methods
RegCreatekey
RegSetValue
SaveDLLInformation


%%localitemtitle%%

basFileDialogs standard module

Members

Methods
SelectFile

Properties
OFN %%icondescription%%


%%localitemtitle%%

basGDI standard module

Members

Methods
Box3DDC
BoxDC
BoxRect3DDC
BoxSolidDC
DrawControl
DrawCtlEdge
DrawFocus
LineDC
PaintText
TranslateColor

Properties
PT %%icondescription%%


%%localitemtitle%%

ICTXClickStyles enumeration

Description

The ICTXClickStyles enum determines how the buttons on an asxToolBox react when clicked.

Members

Constant | Value | Description
txcsToolbar | 0 | (Default) Buttons stay down when pushed
txcsNoStick | 1 | Buttons do not stay down when pushed


%%localitemtitle%%

IFCAlignments enumeration

Description

The IFCAlignments enum determines how text and graphics are positioned on a control.

Members

Constant | Value | Description
aiaTopLeft | 0 | Align to the upper left corner of the control
aiaTopCenter | 1 | Align to the upper center of the control
aiaTopRight | 2 | Align to the upper right corner of the control
aiaCenterLeft | 3 | Align to the left of the control
aiaCenterCenter | 4 | (Default) Align in the center of the control
aiaCenterRight | 5 | Align to the right of the control
aiaBottomLeft | 6 | Align to the lower left corner of the control
aiaBottomCenter | 7 | Align to the bottom center of the control
aiaBottomRight | 8 | Align to the lower left corner of the control


%%localitemtitle%%

IFCAppearances enumeration

Description

The IFCAppearances enum determines how borders are drawn on a control

Members

Constant | Value | Description
ifcaStandard | 0 | (Default) Objects are drawn using the default 3D style
ifcaFlat | 1 | Objects are drawn using a flat 3D style, generaly only when the mouse is hovered over the object


%%localitemtitle%%

IFCBackStyles enumeration

Members

Constant | Value | Description
ifbsTransparent | 0 | Background color and any graphics are visible behind the control.
ifbsOpaque | 1 | (Default) The control's BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

IFCBorderStyles enumeration

Description

The IFCBorderStyles enum determines how borders are displayed in a control

Members

Constant | Value | Description
ifcbsNone | 0 | No border
ifcbsFixedSingle | 1 | Fixed border
ifcbsThin | 2
ifcbsRaised | 3


%%localitemtitle%%

IFCCaptionAlignments enumeration

Members

Constant | Value | Description
ifcaCaptionOnTop | 0 | Caption is displayed above button graphic
ifcaCaptionOnBottom | 1 | (Default) Caption is displayed below button graphic
ifcaCaptionOnLeft | 2 | Caption is displayed to left of button graphic
ifcaCaptionOnRight | 3 | Caption is displayed to the right of button graphic


%%localitemtitle%%

IFCCaptionOptions enumeration

Members

Constant | Value | Description
iftoNoLabels | 0 | No labels are displayed
iftoShowLabels | 1 | (Default) All labels are displayed
iftoSelectedLabels | 2 | Only certain labels are displayed


%%localitemtitle%%

IFCFocusStyles enumeration

Description

The IFCFocusStyles enum determines how the focus rectangle is drawn on the active control.

Members

Constant | Value | Description
aifsAroundButton | 0 | (Default) Focus rectangle is displayed around the button border
aifsAroundText | 1 | Focus rectangle is displayed around caption text
aifsNone | 2 | No focus rectangle is displayed


%%localitemtitle%%

IFCOrientations enumeration

Description

The IFCBorderStyles enum determines how objects are drawn on a control

Members

Constant | Value | Description
ifcoHorizontal | 0 | (Default) Drawn objects are positioned horizontally.
ifcoVertical | 1 | Drawn objects are positioned vertically.


%%localitemtitle%%

IFCPBBorderStyles enumeration

Members

Constant | Value | Description
pbbsNone | 0 | No borders are drawn
pbbsWindows3x | 1 | Borders are drawn in Windows 3.1 style
pbbsWindows95 | 2 | Borders are drawn in standard 3D
pbbsSingle | 3 | A single width border is drawn
pbbsRound | 4 | A round single width border is drawn
pbbsSunken | 5 | Borders are drawn in standard 3D, with slightly different drawing for lowered buttons


%%localitemtitle%%

IFCPBButtonModes enumeration

Members

Constant | Value | Description
pbbmNormal | 0 | (Default) Standard button operation
pbbmClickable | 1 | Button remains pressed when first pushed, then raised with second push
pbbmCheckedClickable | 2 | Same as pbbmClickable except that button is also checked when pushed
pbbmDropDown | 3 | Button displays a drop down menu button and splits into two seperate buttons
pbbmDropDownNoSeparator | 4 | Button displayed drop down arrow, but remains a single button


%%localitemtitle%%

IFCPGStyles enumeration

Members

Constant | Value | Description
pgrsHorizontal | 0 | (Default) Arrows are positioned horizontally on each size of the control.
pgrsHorizontalRight | 1 | Arrows are positioned horizontally on right right size of the control.
pgrsVertical | 2 | Arrows are positioned vertically on the top and bottom of the control.


%%localitemtitle%%

IFCSBButtonFlags enumeration

Description

The IFCSBButtonFlags enum determines additional behaviour and displayed flags for an asxSysButton control.

Members

Constant | Value | Description
sbbfNone | &H0 | (Default) No flags set
sbbfInactive | &H100 | Button is disabled
sbbfPushed | &H200 | Button is pushed (lowered)
sbbfChecked | &H400 | Button is checked
sbbfAdjustrect | &H2000
sbbfFlat | &H4000 | Button is flat
sbbfMono | &H8000 | Button sbbfMono is drawn in mono colours


%%localitemtitle%%

IFCSBButtonStyles enumeration

Description

The IFCSBButtonStyles enum determines what system graphic is displayed on an asxSysButton control.

Members

Constant | Value | Description
sbbsCaptionClose | 0 | Close window
sbbsCaptionMinimise | 1 | Mimimise window
sbbsCaptionMaximise | 2 | Maximise window
sbbsCaptionRestore | 3 | Restore window
sbbsCaptionHelp | 4 | What's this Help
sbbsMenuArrow | 5 | Submenu marker
sbbsMenuCheck | 6 | Checked item marker
sbbsMenuBullet | 7 | Selected item marker
sbbsMenuArrowRight | 8 | Submenu marker
sbbsScrollUp | 9 | Up facing scroll
sbbsScrollDown | 10 | Down facing scroll
sbbsScrollLeft | 11 | Left facing scroll
sbbsScrollRight | 12 | Right facing scroll
sbbsScrollComboBox | 13 | Combobox dropdown button
sbbsScrollSizeGrip | 14 | Window size grip
sbbsScrollSizeGripRight | 15 | Window size grip
sbbsButtonCheck | 16 | Checkbox
sbbsButtonRadio | 17 | Option button
sbbsButton3DState | 18 | Checkbox
sbbsButtonPush | 19 | (Default) Command button
sbbsNoGraphic | 20 | No graphic


%%localitemtitle%%

IFCSBPanelModes enumeration

Description

The IFCSBPanelModes enum determines how a panel behaves in an asxStatusBar control

Members

Constant | Value | Description
sbpmNormal | 0 | (Default) Displayed text are drawn according to settings you provide
sbpmCaps | 1 | Panel acts as a Caps Lock indicator
sbpmNum | 2 | Panel acts as a Num Lock indicator
sbpmOver | 3 | Panel acts as a Overtype indicator
sppmScroll | 4 | Panel acts as a Scroll Lock indicator
eppmDateTime | 5 | Panel displays the date and time


%%localitemtitle%%

IFCStandardAlignments enumeration

Description

The IFCStandardAlignments enum determines how text is aligned to another object

Members

Constant | Value | Description
ifsaLeft | 0 | (Default) Drawn objects are aligned to the left
ifsaRight | 1 | Drawn objects are aligned to the right
ifsaCenter | 2 | Drawn objects are center aligned


%%localitemtitle%%

IFCStandardAlignmentsEx enumeration

Description

The IFCStandardAlignmentsEx enum determines how text is aligned to another object

Members

Constant | Value | Description
ifaxLeft | 0 | (Default) Drawn objects are aligned to the left
ifaxRight | 1 | Drawn objects are aligned to the right
ifaxCenter | 2 | Drawn objects are center aligned
ifaxJustify | 3 | Drawn objects are justified to fill the entire control width


%%localitemtitle%%

IFCTBBorderStyles enumeration

Description

The IFCTBBorderStyles enum determines how borders are drawn.

Members

Constant | Value | Description
tbbsNone | 0 | No border
tbbsInset | 1 | A inset or lowered border
tbbsRaised | 2 | (Default) A raised border
tbbsFrame | 3 | A combination raised and lowered border, similar to the standard Frame control
tbbsInsetButton | 4 | A double width lowered border
tbbsRaisedButton | 5 | A double width raised border


%%localitemtitle%%

IFCTBButtonStyles enumeration

Description

The IFCTBButtonStyles enum determines how a button on an asxToolbar control is drawn and behaves

Members

Constant | Value | Description
tbbsPlaceholder | 0 | A holder for another control - no visible button elements
tbbsButton | 1 | (Default) A standard clickable button
tbbsSeparator | 2 | A separator between buttons


%%localitemtitle%%

IFCTBStyle enumeration

Description

The IFCTBStyle enum determines how buttons on an asxToolbar control are sized

Members

Constant | Value | Description
tbtsVariable | 0 | (Default) Button size varies depending on caption text and picutre settings
tbtsFixed | 1 | Button size is fixed according to object settings


%%localitemtitle%%

IFCWhatPictures enumeration

Description

The IFCWhatPictures enum determines how a panel behaves in an asxStatusBar control

Members

Constant | Value | Description
ifwpPicNormal | 0 | (Default) Images are displayed from the Picture property
ifwpPicOver | 1 | Images are displayed from the PictureOver property
ifwpPicDown | 2 | Images are displayed from the PictureDown property


%%localitemtitle%%

COMDLG32.DLL library

The following function calls to this Library are declared.

Name | Alias | Description
ChooseColor | ChooseColorA
CommDlgExtendedError
GetOpenFileName | GetOpenFileNameA
GetSaveFileName | GetSaveFileNameA


%%localitemtitle%%

ChooseColor declaration

Return Type

A Long value.

Syntax

Function ChooseColor(Color)

The ChooseColor Declaration syntax has these parts:

Part | Description
Color | Required. A TCHOOSECOLOR object.


%%localitemtitle%%

CommDlgExtendedError declaration

Return Type

An value.

Syntax

Function CommDlgExtendedError

The CommDlgExtendedError Declaration syntax has these parts:


%%localitemtitle%%

GetOpenFileName declaration

Return Type

A Long value.

Syntax

Function GetOpenFileName(pOpenfilename)

The GetOpenFileName Declaration syntax has these parts:

Part | Description
pOpenfilename | Required. An OPENFILENAME object.


%%localitemtitle%%

GetSaveFileName declaration

Return Type

A Long value.

Syntax

Function GetSaveFileName(pOpenfilename)

The GetSaveFileName Declaration syntax has these parts:

Part | Description
pOpenfilename | Required. An OPENFILENAME object.


%%localitemtitle%%

gdi32.dll library

The following function calls to this Library are declared.

Name | Alias | Description
CreateFontIndirect | CreateFontIndirectA
DeleteObject
GetDeviceCaps
BitBlt
CreateCompatibleBitmap
CreateCompatibleDC
CreateDCAsNull | CreateDCA
DeleteDC
GetObjectAPI | GetObjectA
SelectObject
CreateSolidBrush
SetBkColor
SetTextColor
CreateBitmap
GetBkColor
GetTextColor
SelectPalette
RealizePalette
CreateHalftonePalette
CreateDIBSection
SetDIBColorTable
SetMapMode
GetMapMode
CreatePen
LineTo
MoveToEx
SetTextJustification
TextOut | TextOutA
CreateFont | CreateFontA


%%localitemtitle%%

BitBlt declaration

Return Type

A Long value.

Syntax

Function BitBlt(hDestDC, X, Y, nWidth, nHeight, hSrcDC, xSrc, ySrc, dwRop)

The BitBlt Declaration syntax has these parts:

Part | Description
hDestDC | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.
nWidth | Required. A Long value.
nHeight | Required. A Long value.
hSrcDC | Required. A Long value.
xSrc | Required. A Long value.
ySrc | Required. A Long value.
dwRop | Required. A Long value.


%%localitemtitle%%

CreateBitmap declaration

Return Type

A Long value.

Syntax

Function CreateBitmap(nWidth, nHeight, nPlanes, nBitCount, lpBits)

The CreateBitmap Declaration syntax has these parts:

Part | Description
nWidth | Required. A Long value.
nHeight | Required. A Long value.
nPlanes | Required. A Long value.
nBitCount | Required. A Long value.
lpBits | Required. An Any value.


%%localitemtitle%%

CreateCompatibleBitmap declaration

Return Type

A Long value.

Syntax

Function CreateCompatibleBitmap(hDC, nWidth, nHeight)

The CreateCompatibleBitmap Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
nWidth | Required. A Long value.
nHeight | Required. A Long value.


%%localitemtitle%%

CreateCompatibleDC declaration

Return Type

A Long value.

Syntax

Function CreateCompatibleDC(hDC)

The CreateCompatibleDC Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

CreateDCAsNull declaration

Return Type

A Long value.

Syntax

Function CreateDCAsNull(lpDriverName, lpDeviceName, lpOutput, lpInitData)

The CreateDCAsNull Declaration syntax has these parts:

Part | Description
lpDriverName | Required. A String value.
lpDeviceName | Required. An Any value.
lpOutput | Required. An Any value.
lpInitData | Required. An Any value.


%%localitemtitle%%

CreateDIBSection declaration

Return Type

A Long value.

Syntax

Function CreateDIBSection(hDC, pBitmapInfo, un, lplpVoid, Handle, dw)

The CreateDIBSection Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
pBitmapInfo | Required. A BITMAPINFO object.
un | Required. A Long value.
lplpVoid | Required. A Long value.
Handle | Required. A Long value.
dw | Required. A Long value.


%%localitemtitle%%

CreateFont declaration

Return Type

A Long value.

Syntax

Function CreateFont(H, W, E, O, W, I, u, S, C, OP, CP, Q, PAF, F)

The CreateFont Declaration syntax has these parts:

Part | Description
H | Required. A Long value.
W | Required. A Long value.
E | Required. A Long value.
O | Required. A Long value.
W | Required. A Long value.
I | Required. A Long value.
u | Required. A Long value.
S | Required. A Long value.
C | Required. A Long value.
OP | Required. A Long value.
CP | Required. A Long value.
Q | Required. A Long value.
PAF | Required. A Long value.
F | Required. A String value.


%%localitemtitle%%

CreateFontIndirect declaration

Return Type

A Long value.

Syntax

Function CreateFontIndirect(lpLogFont)

The CreateFontIndirect Declaration syntax has these parts:

Part | Description
lpLogFont | Required. A LOGFONT object.


%%localitemtitle%%

CreateHalftonePalette declaration

Return Type

A Long value.

Syntax

Function CreateHalftonePalette(hDC)

The CreateHalftonePalette Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

CreatePen declaration

Return Type

A Long value.

Syntax

Function CreatePen(nPenStyle, nWidth, crColor)

The CreatePen Declaration syntax has these parts:

Part | Description
nPenStyle | Required. A Long value.
nWidth | Required. A Long value.
crColor | Required. A Long value.


%%localitemtitle%%

CreateSolidBrush declaration

Return Type

A Long value.

Syntax

Function CreateSolidBrush(crColor)

The CreateSolidBrush Declaration syntax has these parts:

Part | Description
crColor | Required. A Long value.


%%localitemtitle%%

DeleteDC declaration

Return Type

A Long value.

Syntax

Function DeleteDC(hDC)

The DeleteDC Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

DeleteObject declaration

Return Type

A Long value.

Syntax

Function DeleteObject(hObject)

The DeleteObject Declaration syntax has these parts:

Part | Description
hObject | Required. A Long value.


%%localitemtitle%%

GetBkColor declaration

Return Type

A Long value.

Syntax

Function GetBkColor(hDC)

The GetBkColor Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

GetDeviceCaps declaration

Return Type

A Long value.

Syntax

Function GetDeviceCaps(hDC, nIndex)

The GetDeviceCaps Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
nIndex | Required. A Long value.


%%localitemtitle%%

GetMapMode declaration

Return Type

A Long value.

Syntax

Function GetMapMode(hDC)

The GetMapMode Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

GetObjectAPI declaration

Return Type

A Long value.

Syntax

Function GetObjectAPI(hObject, nCount, lpObject)

The GetObjectAPI Declaration syntax has these parts:

Part | Description
hObject | Required. A Long value.
nCount | Required. A Long value.
lpObject | Required. An Any value.


%%localitemtitle%%

GetTextColor declaration

Return Type

A Long value.

Syntax

Function GetTextColor(hDC)

The GetTextColor Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

LineTo declaration

Return Type

A Long value.

Syntax

Function LineTo(hDC, X, Y)

The LineTo Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.


%%localitemtitle%%

MoveToEx declaration

Return Type

A Long value.

Syntax

Function MoveToEx(hDC, X, Y, lpPoint)

The MoveToEx Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.
lpPoint | Required. A POINTAPI object.


%%localitemtitle%%

RealizePalette declaration

Return Type

A Long value.

Syntax

Function RealizePalette(hDC)

The RealizePalette Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.


%%localitemtitle%%

SelectObject declaration

Return Type

A Long value.

Syntax

Function SelectObject(hDC, hObject)

The SelectObject Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
hObject | Required. A Long value.


%%localitemtitle%%

SelectPalette declaration

Return Type

A Long value.

Syntax

Function SelectPalette(hDC, hPalette, bForceBackground)

The SelectPalette Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
hPalette | Required. A Long value.
bForceBackground | Required. A Long value.


%%localitemtitle%%

SetBkColor declaration

Return Type

A Long value.

Syntax

Function SetBkColor(hDC, crColor)

The SetBkColor Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
crColor | Required. A Long value.


%%localitemtitle%%

SetDIBColorTable declaration

Return Type

A Long value.

Syntax

Function SetDIBColorTable(hDC, un1, un2, pcRGBQuad)

The SetDIBColorTable Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
un1 | Required. A Long value.
un2 | Required. A Long value.
pcRGBQuad | Required. A RGBQUAD object.


%%localitemtitle%%

SetMapMode declaration

Return Type

A Long value.

Syntax

Function SetMapMode(hDC, nMapMode)

The SetMapMode Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
nMapMode | Required. A Long value.


%%localitemtitle%%

SetTextColor declaration

Return Type

A Long value.

Syntax

Function SetTextColor(hDC, crColor)

The SetTextColor Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
crColor | Required. A Long value.


%%localitemtitle%%

SetTextJustification declaration

Return Type

A Long value.

Syntax

Function SetTextJustification(hDC, nBreakExtra, nBreakCount)

The SetTextJustification Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
nBreakExtra | Required. A Long value.
nBreakCount | Required. A Long value.


%%localitemtitle%%

TextOut declaration

Return Type

A Long value.

Syntax

Function TextOut(hDC, X, Y, lpString, nCount)

The TextOut Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.
lpString | Required. A String value.
nCount | Required. A Long value.


%%localitemtitle%%

ISubclass object

Members

Methods
WindowProc

Properties
MsgResponse %%icondescription%%


%%localitemtitle%%

EMsgResponse enumeration

Members

Constant | Value | Description
emrConsume | 0
emrPostProcess | 1
emrPreprocess | 2


%%localitemtitle%%

kernel32.dll library

The following function calls to this Library are declared.

Name | Alias | Description
Sleep
MulDiv
GetCurrentProcessId
CopyMemory | RtlMoveMemory


%%localitemtitle%%

CopyMemory declaration

Return Type

None

Syntax

Sub CopyMemory lpvDest, lpvSource, cbCopy

The CopyMemory Declaration syntax has these parts:

Part | Description
lpvDest | Required. An Any value.
lpvSource | Required. An Any value.
cbCopy | Required. A Long value.


%%localitemtitle%%

GetCurrentProcessId declaration

Return Type

An value.

Syntax

Function GetCurrentProcessId

The GetCurrentProcessId Declaration syntax has these parts:


%%localitemtitle%%

MulDiv declaration

Return Type

A Long value.

Syntax

Function MulDiv(nNumber, nNumerator, nDenominator)

The MulDiv Declaration syntax has these parts:

Part | Description
nNumber | Required. A Long value.
nNumerator | Required. A Long value.
nDenominator | Required. A Long value.


%%localitemtitle%%

Sleep declaration

Return Type

None

Syntax

Sub Sleep dwMilliseconds

The Sleep Declaration syntax has these parts:

Part | Description
dwMilliseconds | Required. A Long value.


%%localitemtitle%%

modControlBorders standard module

Members

Methods
SetBorderStyle | Sets the border style of an object
SetWindowStyle | Applys a style to a window


%%localitemtitle%%

modSubClass standard module

Members

Methods
AttachMessage
CallOldWindowProc
DetachMessage
IsWindowLocal

Properties
CurrentMessage Read-only property


%%localitemtitle%%

oleaut32.dll library

The following function calls to this Library are declared.

Name Alias Description
OleTranslateColor


%%localitemtitle%%

OleTranslateColor declaration

Return Type

A Long value.

Syntax

Function OleTranslateColor(lOleColor, lHPalette, lColorRef)

The OleTranslateColor Declaration syntax has these parts:

Part | Description
lOleColor | Required. A Long value.
lHPalette | Required. A Long value.
lColorRef | Required. A Long value.


%%localitemtitle%%

olepro32.dll library

The following function calls to this Library are declared.

Name Alias Description
OleCreatePictureIndirect
OleTranslateColor


%%localitemtitle%%

OleCreatePictureIndirect declaration

Return Type

A Long value.

Syntax

Function OleCreatePictureIndirect(PicDesc, RefIID, fPictureOwnsHandle, IPic)

The OleCreatePictureIndirect Declaration syntax has these parts:

Part | Description
PicDesc | Required. A PicBmp object.
RefIID | Required. A GUID object.
fPictureOwnsHandle | Required. A Long value.
IPic | Required. An IPicture object.


%%localitemtitle%%

OleTranslateColor declaration

Return Type

A Long value.

Syntax

Function OleTranslateColor(OLE_COLOR, hPalette, pccolorref)

The OleTranslateColor Declaration syntax has these parts:

Part | Description
OLE_COLOR | Required. A Long value.
hPalette | Required. A Long value.
pccolorref | Required. A Long value.


%%localitemtitle%%

shell32.dll library

The following function calls to this Library are declared.

Name | Alias | Description
ShellExecute | ShellExecuteA


%%localitemtitle%%

ShellExecute declaration

Return Type

A Long value.

Syntax

Function ShellExecute(hWnd, lpOperation, lpFile, lpParameters, lpDirectory, nShowCmd)

The ShellExecute Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpOperation | Required. A String value.
lpFile | Required. A String value.
lpParameters | Required. A String value.
lpDirectory | Required. A String value.
nShowCmd | Required. A Long value.


%%localitemtitle%%

user32.dll library

The following function calls to this Library are declared.

Name | Alias | Description
GetDesktopWindow
GetDC
ReleaseDC
DrawIcon
FillRect
DrawIconEx
GetClientRect
DrawEdge
InflateRect
DrawState | DrawStateA
ClientToScreen
GetActiveWindow
GetCursorPos
GetKeyState
GetWindowRect
ReleaseCapture
SendMessage | SendMessageA
SetCapture
SetParent
SetWindowPos
ShowWindow
WindowFromPoint
DrawFocusRect
DrawFrameControl
DrawText | DrawTextA
UpdateWindow
GetMenuString | GetMenuStringA
GetParent
IsWindow
GetProp | GetPropA
SetProp | SetPropA
RemoveProp | RemovePropA
SetWindowLong | SetWindowLongA
GetWindowLong | GetWindowLongA
CallWindowProc | CallWindowProcA
GetWindowThreadProcessId


%%localitemtitle%%

CallWindowProc declaration

Return Type

A Long value.

Syntax

Function CallWindowProc(lpPrevWndFunc, hWnd, Msg, wParam, lParam)

The CallWindowProc Declaration syntax has these parts:

Part | Description
lpPrevWndFunc | Required. A Long value.
hWnd | Required. A Long value.
Msg | Required. A Long value.
wParam | Required. A Long value.
lParam | Required. A Long value.


%%localitemtitle%%

ClientToScreen declaration

Return Type

A Long value.

Syntax

Function ClientToScreen(hWnd, lpPoint)

The ClientToScreen Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpPoint | Required. A POINTAPI object.


%%localitemtitle%%

DrawEdge declaration

Return Type

A Long value.

Syntax

Function DrawEdge(hDC, qrc, edge, grfFlags)

The DrawEdge Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
qrc | Required. A RECT object.
edge | Required. A Long value.
grfFlags | Required. A Long value.


%%localitemtitle%%

DrawFocusRect declaration

Return Type

A Long value.

Syntax

Function DrawFocusRect(hDC, lpRect)

The DrawFocusRect Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
lpRect | Required. A RECT object.


%%localitemtitle%%

DrawFrameControl declaration

Return Type

A Boolean value.

Syntax

Function DrawFrameControl(hDC, lpRect, un1, un2)

The DrawFrameControl Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
lpRect | Required. A RECT object.
un1 | Required. A Long value.
un2 | Required. A Long value.


%%localitemtitle%%

DrawIcon declaration

Return Type

A Long value.

Syntax

Function DrawIcon(hDC, X, Y, hIcon)

The DrawIcon Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.
hIcon | Required. A Long value.


%%localitemtitle%%

DrawIconEx declaration

Return Type

A Long value.

Syntax

Function DrawIconEx(hDC, xLeft, yTop, hIcon, cxWidth, cyHeight, istepIfAniCur, hbrFlickerFreeDraw, diFlags)

The DrawIconEx Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
xLeft | Required. A Long value.
yTop | Required. A Long value.
hIcon | Required. A Long value.
cxWidth | Required. A Long value.
cyHeight | Required. A Long value.
istepIfAniCur | Required. A Long value.
hbrFlickerFreeDraw | Required. A Long value.
diFlags | Required. A Long value.


%%localitemtitle%%

DrawState declaration

Return Type

A Long value.

Syntax

Function DrawState(hDC, hBrush, lpDrawStateProc, lParam, wParam, n1, n2, n3, n4, un)

The DrawState Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
hBrush | Required. A Long value.
lpDrawStateProc | Required. A Long value.
lParam | Required. A Long value.
wParam | Required. A Long value.
n1 | Required. A Long value.
n2 | Required. A Long value.
n3 | Required. A Long value.
n4 | Required. A Long value.
un | Required. A Long value.


%%localitemtitle%%

DrawText declaration

Return Type

A Long value.

Syntax

Function DrawText(hDC, lpStr, nCount, lpRect, wFormat)

The DrawText Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
lpStr | Required. A String value.
nCount | Required. A Long value.
lpRect | Required. A RECT object.
wFormat | Required. A Long value.


%%localitemtitle%%

FillRect declaration

Return Type

A Long value.

Syntax

Function FillRect(hDC, lpRect, hBrush)

The FillRect Declaration syntax has these parts:

Part | Description
hDC | Required. A Long value.
lpRect | Required. A RECT object.
hBrush | Required. A Long value.


%%localitemtitle%%

GetActiveWindow declaration

Return Type

An value.

Syntax

Function GetActiveWindow

The GetActiveWindow Declaration syntax has these parts:


%%localitemtitle%%

GetClientRect declaration

Return Type

A Long value.

Syntax

Function GetClientRect(hWnd, lpRect)

The GetClientRect Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpRect | Required. A RECT object.


%%localitemtitle%%

GetCursorPos declaration

Return Type

A Long value.

Syntax

Function GetCursorPos(lpPoint)

The GetCursorPos Declaration syntax has these parts:

Part | Description
lpPoint | Required. A POINTAPI object.


%%localitemtitle%%

GetDC declaration

Return Type

A Long value.

Syntax

Function GetDC(hWnd)

The GetDC Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.


%%localitemtitle%%

GetDesktopWindow declaration

Return Type

An value.

Syntax

Function GetDesktopWindow

The GetDesktopWindow Declaration syntax has these parts:


%%localitemtitle%%

GetKeyState declaration

Return Type

An Integer value.

Syntax

Function GetKeyState(nVirtKey)

The GetKeyState Declaration syntax has these parts:

Part | Description
nVirtKey | Required. A Long value.


%%localitemtitle%%

GetMenuString declaration

Return Type

A Long value.

Syntax

Function GetMenuString(hMenu, wIDItem, lpString, nMaxCount, wFlag)

The GetMenuString Declaration syntax has these parts:

Part | Description
hMenu | Required. A Long value.
wIDItem | Required. A Long value.
lpString | Required. A String value.
nMaxCount | Required. A Long value.
wFlag | Required. A Long value.


%%localitemtitle%%

GetParent declaration

Return Type

A Long value.

Syntax

Function GetParent(hWnd)

The GetParent Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.


%%localitemtitle%%

GetProp declaration

Return Type

A Long value.

Syntax

Function GetProp(hWnd, lpString)

The GetProp Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpString | Required. A String value.


%%localitemtitle%%

GetWindowLong declaration

Return Type

A Long value.

Syntax

Function GetWindowLong(hWnd, nIndex)

The GetWindowLong Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
nIndex | Required. A Long value.


%%localitemtitle%%

GetWindowRect declaration

Return Type

A Long value.

Syntax

Function GetWindowRect(hWnd, lpRect)

The GetWindowRect Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpRect | Required. A RECT object.


%%localitemtitle%%

GetWindowThreadProcessId declaration

Return Type

A Long value.

Syntax

Function GetWindowThreadProcessId(hWnd, lpdwProcessId)

The GetWindowThreadProcessId Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpdwProcessId | Required. A Long value.


%%localitemtitle%%

InflateRect declaration

Return Type

A Long value.

Syntax

Function InflateRect(lpRect, X, Y)

The InflateRect Declaration syntax has these parts:

Part | Description
lpRect | Required. A RECT object.
X | Required. A Long value.
Y | Required. A Long value.


%%localitemtitle%%

IsWindow declaration

Return Type

A Long value.

Syntax

Function IsWindow(hWnd)

The IsWindow Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.


%%localitemtitle%%

ReleaseCapture declaration

Return Type

A Long value.

Syntax

Function ReleaseCapture()

The ReleaseCapture Declaration syntax has these parts:


%%localitemtitle%%

ReleaseDC declaration

Return Type

A Long value.

Syntax

Function ReleaseDC(hWnd, hDC)

The ReleaseDC Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
hDC | Required. A Long value.


%%localitemtitle%%

RemoveProp declaration

Return Type

A Long value.

Syntax

Function RemoveProp(hWnd, lpString)

The RemoveProp Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpString | Required. A String value.


%%localitemtitle%%

SendMessage declaration

Return Type

A Long value.

Syntax

Function SendMessage(hWnd, wMsg, wParam, lParam)

The SendMessage Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
wMsg | Required. A Long value.
wParam | Required. A Long value.
lParam | Required. An Any value.


%%localitemtitle%%

SetCapture declaration

Return Type

A Long value.

Syntax

Function SetCapture(hWnd)

The SetCapture Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.


%%localitemtitle%%

SetParent declaration

Return Type

A Long value.

Syntax

Function SetParent(hWndChild, hWndNewParent)

The SetParent Declaration syntax has these parts:

Part | Description
hWndChild | Required. A Long value.
hWndNewParent | Required. A Long value.


%%localitemtitle%%

SetProp declaration

Return Type

A Long value.

Syntax

Function SetProp(hWnd, lpString, hData)

The SetProp Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
lpString | Required. A String value.
hData | Required. A Long value.


%%localitemtitle%%

SetWindowLong declaration

Return Type

A Long value.

Syntax

Function SetWindowLong(hWnd, nIndex, dwNewLong)

The SetWindowLong Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
nIndex | Required. A Long value.
dwNewLong | Required. A Long value.


%%localitemtitle%%

SetWindowPos declaration

Return Type

A Long value.

Syntax

Function SetWindowPos(hWnd, hWndInsertAfter, X, Y, cx, cy, wFlags)

The SetWindowPos Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
hWndInsertAfter | Required. A Long value.
X | Required. A Long value.
Y | Required. A Long value.
cx | Required. A Long value.
cy | Required. A Long value.
wFlags | Required. A Long value.


%%localitemtitle%%

ShowWindow declaration

Return Type

A Long value.

Syntax

Function ShowWindow(hWnd, nCmdShow)

The ShowWindow Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.
nCmdShow | Required. A Long value.


%%localitemtitle%%

UpdateWindow declaration

Return Type

A Long value.

Syntax

Function UpdateWindow(hWnd)

The UpdateWindow Declaration syntax has these parts:

Part | Description
hWnd | Required. A Long value.


%%localitemtitle%%

WindowFromPoint declaration

Return Type

A Long value.

Syntax

Function WindowFromPoint(xPoint, yPoint)

The WindowFromPoint Declaration syntax has these parts:

Part | Description
xPoint | Required. A Long value.
yPoint | Required. A Long value.


%%localitemtitle%%

WINMM.DLL library

The following function calls to this Library are declared.

Name | Alias | Description
PlaySoundData | PlaySoundA


%%localitemtitle%%

PlaySoundData declaration

Return Type

A Long value.

Syntax

Function PlaySoundData(lpData, hModule, dwFlags)

The PlaySoundData Declaration syntax has these parts:

Part | Description
lpData | Required. An Any value.
hModule | Required. A Long value.
dwFlags | Required. A Long value.